#include "arrayez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(32, _flick_abort3);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 32);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_end_glob(32);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32);
  flick_iiop_check_span(32, _flick_abort6);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 32);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_end_glob(32);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32);
  flick_iiop_check_span(8 * 4 + 0, _flick_abort9);
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(32);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(1024, _flick_abort15);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_check_span(1024, _flick_abort18);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_check_span(256 * 4 + 0, _flick_abort21);
  for (_t1_array_iter = 0; _t1_array_iter < 256; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(1024);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(32768, _flick_abort27);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(32768);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32768);
  flick_iiop_check_span(32768, _flick_abort30);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(32768);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32768);
  flick_iiop_check_span(8192 * 4 + 0, _flick_abort33);
  for (_t2_array_iter = 0; _t2_array_iter < 8192; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(32768);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(10, _flick_abort41);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t66_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t67_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t68_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t68_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t69_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t70_storage[8];
                        flick_unsigned32_t _t71_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t72_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_check_span(8 * 4 + 6, _flick_abort186);
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t69_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t69_principal_len);
                        flick_iiop_check_span(_t69_principal_len * 1, _flick_abort186);
                        flick_iiop_decode_new_chunk(_t69_principal_len);
                        flick_iiop_decode_end_chunk(_t69_principal_len);
                        flick_iiop_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(56);
                        _local_a = (CORBA_long *)_t70_storage;
                        for (_t71_array_iter = 0; _t71_array_iter < 8; _t71_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiop_check_span(4, _flick_abort190);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t71_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort190:
                              goto _flick_abort186;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t72_storage);
                        flick_iiop_decode_end_glob(56);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort186);
                          flick_iiop_encode_new_glob(8, _flick_abort186);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort197);
                                break;
                                {
                                _flick_abort197:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort198:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t73_switch_tag;

          flick_iiop_check_span(8, _flick_abort41);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t74_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t75_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t76_storage[256];
                        flick_unsigned32_t _t77_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t78_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort200);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_check_span(256 * 4 + 4, _flick_abort200);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t75_principal_len);
                        flick_iiop_check_span(_t75_principal_len * 1, _flick_abort200);
                        flick_iiop_decode_new_chunk(_t75_principal_len);
                        flick_iiop_decode_end_chunk(_t75_principal_len);
                        flick_iiop_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(1792);
                        _local_a = (CORBA_long *)_t76_storage;
                        for (_t77_array_iter = 0; _t77_array_iter < 256; _t77_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiop_check_span(4, _flick_abort204);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t77_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort204:
                              goto _flick_abort200;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t78_storage);
                        flick_iiop_decode_end_glob(1792);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort200);
                          flick_iiop_encode_new_glob(8, _flick_abort200);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort211);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort200;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort212);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort200;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort200:
                          goto _flick_abort199;
                        }
                      }
                      break;
                      {
                      _flick_abort199:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t79_switch_tag;

          flick_iiop_check_span(7, _flick_abort41);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t80_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t81_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t81_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t81_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t82_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t83_storage[8192];
                              flick_unsigned32_t _t84_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t85_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort214);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_check_span(8192 * 4 + 5, _flick_abort214);
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t82_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t82_principal_len);
                              flick_iiop_check_span(_t82_principal_len * 1, _flick_abort214);
                              flick_iiop_decode_new_chunk(_t82_principal_len);
                              flick_iiop_decode_end_chunk(_t82_principal_len);
                              flick_iiop_decode_end_glob(_t82_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(57344);
                              _local_a = (CORBA_long *)_t83_storage;
                              for (_t84_array_iter = 0; _t84_array_iter < 8192; _t84_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort218);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t84_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort218:
                                    goto _flick_abort214;
                                  }
                                }
                              flick_iiop_decode_end_glob(57344);
                              _ev = (CORBA_Environment *)(&_t85_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort214);
                                flick_iiop_encode_new_glob(8, _flick_abort214);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort225);
                                      break;
                                      {
                                      _flick_abort225:
                                        goto _flick_abort214;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort226);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort226:
                                        goto _flick_abort214;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort214:
                                goto _flick_abort213;
                              }
                            }
                            break;
                            {
                            _flick_abort213:
                              goto _flick_abort41;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t86_switch_tag;

          flick_iiop_check_span(12, _flick_abort41);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t87_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t87_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t87_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t88_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t89_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t90_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort228);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t88_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t88_principal_len);
                        flick_iiop_check_span(_t88_principal_len * 1, _flick_abort228);
                        flick_iiop_decode_new_chunk(_t88_principal_len);
                        flick_iiop_decode_end_chunk(_t88_principal_len);
                        flick_iiop_decode_end_glob(_t88_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort228);
                        flick_cdr_swap_decode_unsigned32(0, _t89_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t89_temp_string_len);
                        flick_iiop_check_span(1 * _t89_temp_string_len * 1, _flick_abort228);
                        flick_iiop_decode_new_chunk(1 * _t89_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t89_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t89_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t90_storage);
                        _par = flick_interface_parents_arrays;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort228);
                          flick_iiop_encode_new_glob(5, _flick_abort228);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort236);
                                break;
                                {
                                _flick_abort236:
                                  goto _flick_abort228;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort237);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort237:
                                  goto _flick_abort228;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort228:
                          goto _flick_abort227;
                        }
                      }
                      break;
                      {
                      _flick_abort227:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort41);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t23_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t24_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t24_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t24_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t25_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t26_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t25_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t25_principal_len);
                        flick_iiop_check_span(_t25_principal_len * 1, _flick_abort88);
                        flick_iiop_decode_new_chunk(_t25_principal_len);
                        flick_iiop_decode_end_chunk(_t25_principal_len);
                        flick_iiop_decode_end_glob(_t25_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(35);
                        flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                        flick_iiop_check_span(32, _flick_abort88);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t26_storage);
                        flick_iiop_decode_end_chunk(32);
                        flick_iiop_decode_end_glob(35);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_iiop_encode_new_glob(8, _flick_abort88);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t27_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t28_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t28_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t29_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t30_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort99);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t29_principal_len);
                        flick_iiop_check_span(_t29_principal_len * 1, _flick_abort99);
                        flick_iiop_decode_new_chunk(_t29_principal_len);
                        flick_iiop_decode_end_chunk(_t29_principal_len);
                        flick_iiop_decode_end_glob(_t29_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(1027);
                        flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_iiop_check_span(1024, _flick_abort99);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t30_storage);
                        flick_iiop_decode_end_chunk(1024);
                        flick_iiop_decode_end_glob(1027);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort99);
                          flick_iiop_encode_new_glob(8, _flick_abort99);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort107);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort99;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort108:
                                  goto _flick_abort99;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort99:
                          goto _flick_abort98;
                        }
                      }
                      break;
                      {
                      _flick_abort98:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t31_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t32_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t32_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t33_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t33_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t34_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t35_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort110);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t34_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t34_principal_len);
                              flick_iiop_check_span(_t34_principal_len * 1, _flick_abort110);
                              flick_iiop_decode_new_chunk(_t34_principal_len);
                              flick_iiop_decode_end_chunk(_t34_principal_len);
                              flick_iiop_decode_end_glob(_t34_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_iiop_check_span(32768, _flick_abort110);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              flick_iiop_decode_end_chunk(32768);
                              flick_iiop_decode_end_glob(3);
                              _ev = (CORBA_Environment *)(&_t35_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort110);
                                flick_iiop_encode_new_glob(8, _flick_abort110);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort118);
                                      break;
                                      {
                                      _flick_abort118:
                                        goto _flick_abort110;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort119:
                                        goto _flick_abort110;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort110:
                                goto _flick_abort109;
                              }
                            }
                            break;
                            {
                            _flick_abort109:
                              goto _flick_abort41;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t36_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t36_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t37_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t37_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t37_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t38_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t39_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t40_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort121);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t38_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t38_principal_len);
                        flick_iiop_check_span(_t38_principal_len * 1, _flick_abort121);
                        flick_iiop_decode_new_chunk(_t38_principal_len);
                        flick_iiop_decode_end_chunk(_t38_principal_len);
                        flick_iiop_decode_end_glob(_t38_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort121);
                        flick_cdr_decode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t39_temp_string_len);
                        flick_iiop_check_span(1 * _t39_temp_string_len * 1, _flick_abort121);
                        flick_iiop_decode_new_chunk(1 * _t39_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t39_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t39_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t40_storage);
                        _par = flick_interface_parents_arrays;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort121);
                          flick_iiop_encode_new_glob(5, _flick_abort121);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort129);
                                break;
                                {
                                _flick_abort129:
                                  goto _flick_abort121;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort130);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort130:
                                  goto _flick_abort121;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort121:
                          goto _flick_abort120;
                        }
                      }
                      break;
                      {
                      _flick_abort120:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort41:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort40);
  _flick_abort40:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

