#include "string-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t progname_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t12_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t12_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t13_principal_len;
            int *_return;
            char **_local_arg;
            char *_t14_storage;
            flick_unsigned32_t _t15_temp_string_len;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort39);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t13_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t13_principal_len);
            flick_iiop_check_span(_t13_principal_len * 1, _flick_abort39);
            flick_iiop_decode_new_chunk(_t13_principal_len);
            flick_iiop_decode_end_chunk(_t13_principal_len);
            flick_iiop_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t14_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort39);
            flick_cdr_swap_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(1 * _t15_temp_string_len);
            flick_iiop_check_span(1 * _t15_temp_string_len * 1, _flick_abort39);
            flick_iiop_decode_new_chunk(1 * _t15_temp_string_len);
            flick_cdr_swap_decode_msgptr(0, *_local_arg, char *);
            flick_iiop_decode_end_chunk(1 * _t15_temp_string_len);
            flick_iiop_decode_end_glob(1 * _t15_temp_string_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort39);
              flick_iiop_encode_new_glob(8, _flick_abort39);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort47);
                    break;
                    {
                    _flick_abort47:
                      goto _flick_abort39;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort48);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort48:
                      goto _flick_abort39;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort39:
              goto _flick_abort38;
            }
          }
          break;
          {
          _flick_abort38:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t4_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t4_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t5_principal_len;
            int *_return;
            char **_local_arg;
            char *_t6_storage;
            flick_unsigned32_t _t7_temp_string_len;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort16);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t5_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t5_principal_len);
            flick_iiop_check_span(_t5_principal_len * 1, _flick_abort16);
            flick_iiop_decode_new_chunk(_t5_principal_len);
            flick_iiop_decode_end_chunk(_t5_principal_len);
            flick_iiop_decode_end_glob(_t5_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t6_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort16);
            flick_cdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(1 * _t7_temp_string_len);
            flick_iiop_check_span(1 * _t7_temp_string_len * 1, _flick_abort16);
            flick_iiop_decode_new_chunk(1 * _t7_temp_string_len);
            flick_cdr_decode_msgptr(0, *_local_arg, char *);
            flick_iiop_decode_end_chunk(1 * _t7_temp_string_len);
            flick_iiop_decode_end_glob(1 * _t7_temp_string_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort16);
              flick_iiop_encode_new_glob(8, _flick_abort16);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort24);
                    break;
                    {
                    _flick_abort24:
                      goto _flick_abort16;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort25);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort25:
                      goto _flick_abort16;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort16:
              goto _flick_abort15;
            }
          }
          break;
          {
          _flick_abort15:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

