#ifndef _IIOP_client_h_
#define _IIOP_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

struct Version {
  CORBA::Char major;
  CORBA::Char minor;
} ;


class Version_var {

public:
  Version_var();
  Version_var(struct Version *p);
  Version_var(const Version_var &a);
  ~Version_var();
  Version_var &operator=(struct Version *p);
  Version_var &operator=(const Version_var &p);
  struct Version *operator->();
  const struct Version *operator->() const;
  operator const struct Version &() const;
  operator struct Version &();
  operator struct Version &() const;
  const struct Version &in() const;
  struct Version &inout();
  struct Version &out();
  struct Version _retn();
  struct Version *ptr() const;

private:
  struct Version *ptr_;
} ;


typedef struct Version &Version_out;

void operator<<=(CORBA::Any &a, const struct Version &o);

void operator<<=(CORBA::Any &a, struct Version *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct Version *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct Version *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct Version *_data);

TAO_NAMESPACE IOP {
  typedef CORBA::ULong ServiceID;
  typedef CORBA::ULong &ServiceID_out;
  struct ServiceContext {
    IOP::ServiceID context_id;
    class flick_sequence_octet {

    public:
      CORBA::ULong _maximum;
      CORBA::ULong _length;
      CORBA::Octet *_buffer;
      CORBA::Boolean _release;
      flick_sequence_octet();
      flick_sequence_octet(CORBA::ULong max);
      flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
      flick_sequence_octet(const IOP::ServiceContext::flick_sequence_octet &o);
      virtual ~flick_sequence_octet();
      IOP::ServiceContext::flick_sequence_octet &operator=(const IOP::ServiceContext::flick_sequence_octet &rhs);
      CORBA::Octet &operator[](CORBA::ULong i);
      const CORBA::Octet &operator[](CORBA::ULong i) const;
      static CORBA::Octet *allocbuf(CORBA::ULong size);
      static void freebuf(CORBA::Octet *buffer);
      virtual void _allocate_buffer(CORBA::ULong length);
      virtual void _deallocate_buffer();
      CORBA::Boolean release() const;
      CORBA::ULong maximum() const;
      CORBA::ULong length() const;
      void length(CORBA::ULong length);
      virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
      CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
      const CORBA::Octet *get_buffer() const;
    } ;

    typedef IOP::ServiceContext::flick_sequence_octet *flick_sequence_octet_ptr;
    class flick_sequence_octet_var {

    public:
      flick_sequence_octet_var();
      flick_sequence_octet_var(IOP::ServiceContext::flick_sequence_octet *p);
      flick_sequence_octet_var(const IOP::ServiceContext::flick_sequence_octet_var &a);
      ~flick_sequence_octet_var();
      IOP::ServiceContext::flick_sequence_octet_var &operator=(IOP::ServiceContext::flick_sequence_octet *p);
      IOP::ServiceContext::flick_sequence_octet_var &operator=(const IOP::ServiceContext::flick_sequence_octet_var &p);
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      IOP::ServiceContext::flick_sequence_octet *operator->();
      const IOP::ServiceContext::flick_sequence_octet *operator->() const;
      operator const IOP::ServiceContext::flick_sequence_octet &() const;
      operator IOP::ServiceContext::flick_sequence_octet &();
      operator IOP::ServiceContext::flick_sequence_octet &() const;
      const IOP::ServiceContext::flick_sequence_octet &in() const;
      IOP::ServiceContext::flick_sequence_octet &inout();
      IOP::ServiceContext::flick_sequence_octet *&out();
      IOP::ServiceContext::flick_sequence_octet *_retn();
      IOP::ServiceContext::flick_sequence_octet *ptr() const;

    private:
      IOP::ServiceContext::flick_sequence_octet_ptr ptr_;
    } ;

    class flick_sequence_octet_out {

    public:
      flick_sequence_octet_out(IOP::ServiceContext::flick_sequence_octet *&r);
      flick_sequence_octet_out(IOP::ServiceContext::flick_sequence_octet_var &r);
      flick_sequence_octet_out(const IOP::ServiceContext::flick_sequence_octet_out &r);
      IOP::ServiceContext::flick_sequence_octet_out &operator=(const IOP::ServiceContext::flick_sequence_octet_out &r);

    private:
      IOP::ServiceContext::flick_sequence_octet_out &operator=(const IOP::ServiceContext::flick_sequence_octet_var &r);

    public:
      IOP::ServiceContext::flick_sequence_octet_out &operator=(IOP::ServiceContext::flick_sequence_octet *r);
      operator IOP::ServiceContext::flick_sequence_octet *&();
      IOP::ServiceContext::flick_sequence_octet *&ptr();
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      IOP::ServiceContext::flick_sequence_octet *operator->();

    private:
      IOP::ServiceContext::flick_sequence_octet_ptr &ptr_;
    } ;

    IOP::ServiceContext::flick_sequence_octet context_data;
    static CORBA::TypeCode_ptr _tc_flick_sequence_octet;
  } ;

  class ServiceContext_var {

  public:
    ServiceContext_var();
    ServiceContext_var(struct IOP::ServiceContext *p);
    ServiceContext_var(const IOP::ServiceContext_var &a);
    ~ServiceContext_var();
    IOP::ServiceContext_var &operator=(struct IOP::ServiceContext *p);
    IOP::ServiceContext_var &operator=(const IOP::ServiceContext_var &p);
    struct IOP::ServiceContext *operator->();
    const struct IOP::ServiceContext *operator->() const;
    operator const struct IOP::ServiceContext &() const;
    operator struct IOP::ServiceContext &();
    operator struct IOP::ServiceContext &() const;
    const struct IOP::ServiceContext &in() const;
    struct IOP::ServiceContext &inout();
    struct IOP::ServiceContext *&out();
    struct IOP::ServiceContext *_retn();
    struct IOP::ServiceContext *ptr() const;

  private:
    struct IOP::ServiceContext *ptr_;
  } ;

  class ServiceContext_out {

  public:
    ServiceContext_out(struct IOP::ServiceContext *&r);
    ServiceContext_out(IOP::ServiceContext_var &r);
    ServiceContext_out(const IOP::ServiceContext_out &r);
    IOP::ServiceContext_out &operator=(const IOP::ServiceContext_out &r);

  private:
    IOP::ServiceContext_out &operator=(const IOP::ServiceContext_var &r);

  public:
    IOP::ServiceContext_out &operator=(struct IOP::ServiceContext *r);
    operator struct IOP::ServiceContext *&();
    struct IOP::ServiceContext *&ptr();
    struct IOP::ServiceContext *operator->();

  private:
    struct IOP::ServiceContext *&ptr_;
  } ;

  class ServiceContextList {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    struct IOP::ServiceContext *_buffer;
    CORBA::Boolean _release;
    ServiceContextList();
    ServiceContextList(CORBA::ULong max);
    ServiceContextList(CORBA::ULong max, CORBA::ULong length, struct IOP::ServiceContext *buffer, CORBA::Boolean release = 0);
    ServiceContextList(const IOP::ServiceContextList &o);
    virtual ~ServiceContextList();
    IOP::ServiceContextList &operator=(const IOP::ServiceContextList &rhs);
    struct IOP::ServiceContext &operator[](CORBA::ULong i);
    const struct IOP::ServiceContext &operator[](CORBA::ULong i) const;
    static struct IOP::ServiceContext *allocbuf(CORBA::ULong size);
    static void freebuf(struct IOP::ServiceContext *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    struct IOP::ServiceContext *get_buffer(CORBA::Boolean orphan = 0);
    const struct IOP::ServiceContext *get_buffer() const;
  } ;

  typedef IOP::ServiceContextList *ServiceContextList_ptr;
  class ServiceContextList_var {

  public:
    ServiceContextList_var();
    ServiceContextList_var(IOP::ServiceContextList *p);
    ServiceContextList_var(const IOP::ServiceContextList_var &a);
    ~ServiceContextList_var();
    IOP::ServiceContextList_var &operator=(IOP::ServiceContextList *p);
    IOP::ServiceContextList_var &operator=(const IOP::ServiceContextList_var &p);
    struct IOP::ServiceContext &operator[](CORBA::ULong index);
    const struct IOP::ServiceContext &operator[](CORBA::ULong index) const;
    IOP::ServiceContextList *operator->();
    const IOP::ServiceContextList *operator->() const;
    operator const IOP::ServiceContextList &() const;
    operator IOP::ServiceContextList &();
    operator IOP::ServiceContextList &() const;
    const IOP::ServiceContextList &in() const;
    IOP::ServiceContextList &inout();
    IOP::ServiceContextList *&out();
    IOP::ServiceContextList *_retn();
    IOP::ServiceContextList *ptr() const;

  private:
    IOP::ServiceContextList_ptr ptr_;
  } ;

  class ServiceContextList_out {

  public:
    ServiceContextList_out(IOP::ServiceContextList *&r);
    ServiceContextList_out(IOP::ServiceContextList_var &r);
    ServiceContextList_out(const IOP::ServiceContextList_out &r);
    IOP::ServiceContextList_out &operator=(const IOP::ServiceContextList_out &r);

  private:
    IOP::ServiceContextList_out &operator=(const IOP::ServiceContextList_var &r);

  public:
    IOP::ServiceContextList_out &operator=(IOP::ServiceContextList *r);
    operator IOP::ServiceContextList *&();
    IOP::ServiceContextList *&ptr();
    struct IOP::ServiceContext &operator[](CORBA::ULong index);
    const struct IOP::ServiceContext &operator[](CORBA::ULong index) const;
    IOP::ServiceContextList *operator->();

  private:
    IOP::ServiceContextList_ptr &ptr_;
  } ;

  static const CORBA::ULong TransactionServer = 0;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_ServiceID;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_ServiceContext;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_ServiceContextList;
}


int flick_marshal_stub(flick_marshal_stream_t _stream, const IOP::ServiceID *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, IOP::ServiceID *_data);

void operator<<=(CORBA::Any &a, const struct IOP::ServiceContext &o);

void operator<<=(CORBA::Any &a, struct IOP::ServiceContext *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct IOP::ServiceContext *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct IOP::ServiceContext *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct IOP::ServiceContext *_data);

void operator<<=(CORBA::Any &a, const IOP::ServiceContextList &o);

void operator<<=(CORBA::Any &a, IOP::ServiceContextList *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, IOP::ServiceContextList *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const IOP::ServiceContextList *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, IOP::ServiceContextList *_data);

TAO_NAMESPACE GIOP {
  class Principal ;

  typedef Principal *Principal_ptr;
  class Principal_var {

  public:
    Principal_var();
    Principal_var(GIOP::Principal_ptr p);
    Principal_var(const GIOP::Principal_var &a);
    ~Principal_var();
    GIOP::Principal_var &operator=(GIOP::Principal_ptr p);
    GIOP::Principal_var &operator=(const GIOP::Principal_var &p);
    GIOP::Principal_ptr operator->() const;
    operator const GIOP::Principal_ptr &() const;
    operator GIOP::Principal_ptr &();
    GIOP::Principal_ptr in() const;
    GIOP::Principal_ptr &inout();
    GIOP::Principal_ptr &out();
    GIOP::Principal_ptr _retn();
    GIOP::Principal_ptr ptr() const;

  private:
    GIOP::Principal_ptr ptr_;
  } ;

  class Principal_out {

  public:
    Principal_out(GIOP::Principal_ptr &r);
    Principal_out(GIOP::Principal_var &r);
    Principal_out(const GIOP::Principal_out &r);
    GIOP::Principal_out &operator=(const GIOP::Principal_out &r);
    GIOP::Principal_out &operator=(const GIOP::Principal_var &r);
    GIOP::Principal_out &operator=(GIOP::Principal_ptr r);
    operator GIOP::Principal_ptr &();
    GIOP::Principal_ptr &ptr();
    GIOP::Principal_ptr operator->();

  private:
    GIOP::Principal_ptr &ptr_;
  } ;

  enum MsgType {
    Request = 0,
    Reply = 1,
    CancelRequest = 2,
    LocateRequest = 3,
    LocateReply = 4,
    CloseConnection = 5,
    MessageError = 6
  } ;

  typedef enum GIOP::MsgType &MsgType_out;
  struct MessageHeader {
    typedef CORBA::Char _magic[4];
    typedef CORBA::Char _magic_slice;
    class _magic_var {

    public:
      _magic_var();
      _magic_var(GIOP::MessageHeader::_magic_slice *p);
      _magic_var(const GIOP::MessageHeader::_magic_var &a);
      ~_magic_var();
      GIOP::MessageHeader::_magic_var &operator=(GIOP::MessageHeader::_magic_slice *p);
      GIOP::MessageHeader::_magic_var &operator=(const GIOP::MessageHeader::_magic_var &p);
      GIOP::MessageHeader::_magic_slice &operator[](CORBA::ULong index);
      const GIOP::MessageHeader::_magic_slice &operator[](CORBA::ULong index) const;
      operator GIOP::MessageHeader::_magic_slice *const &() const;
      operator GIOP::MessageHeader::_magic_slice *&();
      const GIOP::MessageHeader::_magic_slice *in() const;
      GIOP::MessageHeader::_magic_slice *inout();
      GIOP::MessageHeader::_magic_slice *&out();
      GIOP::MessageHeader::_magic_slice *_retn();
      GIOP::MessageHeader::_magic_slice *ptr() const;

    private:
      CORBA::Char *ptr_;
    } ;

    class _magic_forany {

    public:
      _magic_forany();
      _magic_forany(GIOP::MessageHeader::_magic_slice *p, CORBA::Boolean nocopy = 0);
      _magic_forany(const GIOP::MessageHeader::_magic_forany &a);
      ~_magic_forany();
      GIOP::MessageHeader::_magic_forany &operator=(GIOP::MessageHeader::_magic_slice *p);
      GIOP::MessageHeader::_magic_forany &operator=(const GIOP::MessageHeader::_magic_forany &p);
      GIOP::MessageHeader::_magic_slice &operator[](CORBA::ULong index);
      const GIOP::MessageHeader::_magic_slice &operator[](CORBA::ULong index) const;
      operator GIOP::MessageHeader::_magic_slice *const &() const;
      operator GIOP::MessageHeader::_magic_slice *&();
      const GIOP::MessageHeader::_magic_slice *in() const;
      GIOP::MessageHeader::_magic_slice *inout();
      GIOP::MessageHeader::_magic_slice *&out();
      GIOP::MessageHeader::_magic_slice *_retn();
      GIOP::MessageHeader::_magic_slice *ptr() const;
      CORBA::Boolean nocopy() const;

    private:
      CORBA::Char *ptr_;
      CORBA::Boolean nocopy_;
    } ;

    typedef GIOP::MessageHeader::_magic _magic_out;
    static GIOP::MessageHeader::_magic_slice *_magic_alloc();
    static GIOP::MessageHeader::_magic_slice *_magic_dup(const GIOP::MessageHeader::_magic_slice *_slice);
    static void _magic_copy(GIOP::MessageHeader::_magic_slice *_to_slice, const GIOP::MessageHeader::_magic_slice *_from_slice);
    static void _magic_free(GIOP::MessageHeader::_magic_slice *_slice);
    GIOP::MessageHeader::_magic magic;
    struct Version GIOP_version;
    CORBA::Boolean byte_order;
    CORBA::Octet message_type;
    CORBA::ULong message_size;
  } ;

  class MessageHeader_var {

  public:
    MessageHeader_var();
    MessageHeader_var(struct GIOP::MessageHeader *p);
    MessageHeader_var(const GIOP::MessageHeader_var &a);
    ~MessageHeader_var();
    GIOP::MessageHeader_var &operator=(struct GIOP::MessageHeader *p);
    GIOP::MessageHeader_var &operator=(const GIOP::MessageHeader_var &p);
    struct GIOP::MessageHeader *operator->();
    const struct GIOP::MessageHeader *operator->() const;
    operator const struct GIOP::MessageHeader &() const;
    operator struct GIOP::MessageHeader &();
    operator struct GIOP::MessageHeader &() const;
    const struct GIOP::MessageHeader &in() const;
    struct GIOP::MessageHeader &inout();
    struct GIOP::MessageHeader &out();
    struct GIOP::MessageHeader _retn();
    struct GIOP::MessageHeader *ptr() const;

  private:
    struct GIOP::MessageHeader *ptr_;
  } ;

  typedef struct GIOP::MessageHeader &MessageHeader_out;

public:
  struct RequestHeader {

  public:
    IOP::ServiceContextList service_context;
    CORBA::ULong request_id;
    CORBA::Boolean response_expected;
    class flick_sequence_octet {

    public:
      CORBA::ULong _maximum;
      CORBA::ULong _length;
      CORBA::Octet *_buffer;
      CORBA::Boolean _release;
      flick_sequence_octet();
      flick_sequence_octet(CORBA::ULong max);
      flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
      flick_sequence_octet(const GIOP::RequestHeader::flick_sequence_octet &o);
      virtual ~flick_sequence_octet();
      GIOP::RequestHeader::flick_sequence_octet &operator=(const GIOP::RequestHeader::flick_sequence_octet &rhs);
      CORBA::Octet &operator[](CORBA::ULong i);
      const CORBA::Octet &operator[](CORBA::ULong i) const;
      static CORBA::Octet *allocbuf(CORBA::ULong size);
      static void freebuf(CORBA::Octet *buffer);
      virtual void _allocate_buffer(CORBA::ULong length);
      virtual void _deallocate_buffer();
      CORBA::Boolean release() const;
      CORBA::ULong maximum() const;
      CORBA::ULong length() const;
      void length(CORBA::ULong length);
      virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
      CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
      const CORBA::Octet *get_buffer() const;
    } ;

    typedef GIOP::RequestHeader::flick_sequence_octet *flick_sequence_octet_ptr;
    class flick_sequence_octet_var {

    public:
      flick_sequence_octet_var();
      flick_sequence_octet_var(GIOP::RequestHeader::flick_sequence_octet *p);
      flick_sequence_octet_var(const GIOP::RequestHeader::flick_sequence_octet_var &a);
      ~flick_sequence_octet_var();
      GIOP::RequestHeader::flick_sequence_octet_var &operator=(GIOP::RequestHeader::flick_sequence_octet *p);
      GIOP::RequestHeader::flick_sequence_octet_var &operator=(const GIOP::RequestHeader::flick_sequence_octet_var &p);
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      GIOP::RequestHeader::flick_sequence_octet *operator->();
      const GIOP::RequestHeader::flick_sequence_octet *operator->() const;
      operator const GIOP::RequestHeader::flick_sequence_octet &() const;
      operator GIOP::RequestHeader::flick_sequence_octet &();
      operator GIOP::RequestHeader::flick_sequence_octet &() const;
      const GIOP::RequestHeader::flick_sequence_octet &in() const;
      GIOP::RequestHeader::flick_sequence_octet &inout();
      GIOP::RequestHeader::flick_sequence_octet *&out();
      GIOP::RequestHeader::flick_sequence_octet *_retn();
      GIOP::RequestHeader::flick_sequence_octet *ptr() const;

    private:
      GIOP::RequestHeader::flick_sequence_octet_ptr ptr_;
    } ;

    class flick_sequence_octet_out {

    public:
      flick_sequence_octet_out(GIOP::RequestHeader::flick_sequence_octet *&r);
      flick_sequence_octet_out(GIOP::RequestHeader::flick_sequence_octet_var &r);
      flick_sequence_octet_out(const GIOP::RequestHeader::flick_sequence_octet_out &r);
      GIOP::RequestHeader::flick_sequence_octet_out &operator=(const GIOP::RequestHeader::flick_sequence_octet_out &r);

    private:
      GIOP::RequestHeader::flick_sequence_octet_out &operator=(const GIOP::RequestHeader::flick_sequence_octet_var &r);

    public:
      GIOP::RequestHeader::flick_sequence_octet_out &operator=(GIOP::RequestHeader::flick_sequence_octet *r);
      operator GIOP::RequestHeader::flick_sequence_octet *&();
      GIOP::RequestHeader::flick_sequence_octet *&ptr();
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      GIOP::RequestHeader::flick_sequence_octet *operator->();

    private:
      GIOP::RequestHeader::flick_sequence_octet_ptr &ptr_;
    } ;

    GIOP::RequestHeader::flick_sequence_octet object_key;
    TAO_String_Manager operation;
    TAO_Object_Field_T<GIOP::Principal > requesting_principal;
    static CORBA::TypeCode_ptr _tc_flick_sequence_octet;
  } ;

  class RequestHeader_var {

  public:
    RequestHeader_var();
    RequestHeader_var(struct GIOP::RequestHeader *p);
    RequestHeader_var(const GIOP::RequestHeader_var &a);
    ~RequestHeader_var();
    GIOP::RequestHeader_var &operator=(struct GIOP::RequestHeader *p);
    GIOP::RequestHeader_var &operator=(const GIOP::RequestHeader_var &p);
    struct GIOP::RequestHeader *operator->();
    const struct GIOP::RequestHeader *operator->() const;
    operator const struct GIOP::RequestHeader &() const;
    operator struct GIOP::RequestHeader &();
    operator struct GIOP::RequestHeader &() const;
    const struct GIOP::RequestHeader &in() const;
    struct GIOP::RequestHeader &inout();
    struct GIOP::RequestHeader *&out();
    struct GIOP::RequestHeader *_retn();
    struct GIOP::RequestHeader *ptr() const;

  private:
    struct GIOP::RequestHeader *ptr_;
  } ;

  class RequestHeader_out {

  public:
    RequestHeader_out(struct GIOP::RequestHeader *&r);
    RequestHeader_out(GIOP::RequestHeader_var &r);
    RequestHeader_out(const GIOP::RequestHeader_out &r);
    GIOP::RequestHeader_out &operator=(const GIOP::RequestHeader_out &r);

  private:
    GIOP::RequestHeader_out &operator=(const GIOP::RequestHeader_var &r);

  public:
    GIOP::RequestHeader_out &operator=(struct GIOP::RequestHeader *r);
    operator struct GIOP::RequestHeader *&();
    struct GIOP::RequestHeader *&ptr();
    struct GIOP::RequestHeader *operator->();

  private:
    struct GIOP::RequestHeader *&ptr_;
  } ;

  enum ReplyStatusType {
    NO_EXCEPTION = 0,
    USER_EXCEPTION = 1,
    SYSTEM_EXCEPTION = 2,
    LOCATION_FORWARD = 3
  } ;

  typedef enum GIOP::ReplyStatusType &ReplyStatusType_out;
  struct ReplyHeader {

  public:
    IOP::ServiceContextList server_context;
    CORBA::ULong request_id;
    enum GIOP::ReplyStatusType reply_status;
  } ;

  class ReplyHeader_var {

  public:
    ReplyHeader_var();
    ReplyHeader_var(struct GIOP::ReplyHeader *p);
    ReplyHeader_var(const GIOP::ReplyHeader_var &a);
    ~ReplyHeader_var();
    GIOP::ReplyHeader_var &operator=(struct GIOP::ReplyHeader *p);
    GIOP::ReplyHeader_var &operator=(const GIOP::ReplyHeader_var &p);
    struct GIOP::ReplyHeader *operator->();
    const struct GIOP::ReplyHeader *operator->() const;
    operator const struct GIOP::ReplyHeader &() const;
    operator struct GIOP::ReplyHeader &();
    operator struct GIOP::ReplyHeader &() const;
    const struct GIOP::ReplyHeader &in() const;
    struct GIOP::ReplyHeader &inout();
    struct GIOP::ReplyHeader *&out();
    struct GIOP::ReplyHeader *_retn();
    struct GIOP::ReplyHeader *ptr() const;

  private:
    struct GIOP::ReplyHeader *ptr_;
  } ;

  class ReplyHeader_out {

  public:
    ReplyHeader_out(struct GIOP::ReplyHeader *&r);
    ReplyHeader_out(GIOP::ReplyHeader_var &r);
    ReplyHeader_out(const GIOP::ReplyHeader_out &r);
    GIOP::ReplyHeader_out &operator=(const GIOP::ReplyHeader_out &r);

  private:
    GIOP::ReplyHeader_out &operator=(const GIOP::ReplyHeader_var &r);

  public:
    GIOP::ReplyHeader_out &operator=(struct GIOP::ReplyHeader *r);
    operator struct GIOP::ReplyHeader *&();
    struct GIOP::ReplyHeader *&ptr();
    struct GIOP::ReplyHeader *operator->();

  private:
    struct GIOP::ReplyHeader *&ptr_;
  } ;

  struct CancelRequestHeader {

  public:
    CORBA::ULong request_id;
  } ;

  class CancelRequestHeader_var {

  public:
    CancelRequestHeader_var();
    CancelRequestHeader_var(struct GIOP::CancelRequestHeader *p);
    CancelRequestHeader_var(const GIOP::CancelRequestHeader_var &a);
    ~CancelRequestHeader_var();
    GIOP::CancelRequestHeader_var &operator=(struct GIOP::CancelRequestHeader *p);
    GIOP::CancelRequestHeader_var &operator=(const GIOP::CancelRequestHeader_var &p);
    struct GIOP::CancelRequestHeader *operator->();
    const struct GIOP::CancelRequestHeader *operator->() const;
    operator const struct GIOP::CancelRequestHeader &() const;
    operator struct GIOP::CancelRequestHeader &();
    operator struct GIOP::CancelRequestHeader &() const;
    const struct GIOP::CancelRequestHeader &in() const;
    struct GIOP::CancelRequestHeader &inout();
    struct GIOP::CancelRequestHeader &out();
    struct GIOP::CancelRequestHeader _retn();
    struct GIOP::CancelRequestHeader *ptr() const;

  private:
    struct GIOP::CancelRequestHeader *ptr_;
  } ;

  typedef struct GIOP::CancelRequestHeader &CancelRequestHeader_out;
  struct LocateRequestHeader {

  public:
    CORBA::ULong request_id;
    class flick_sequence_octet {

    public:
      CORBA::ULong _maximum;
      CORBA::ULong _length;
      CORBA::Octet *_buffer;
      CORBA::Boolean _release;
      flick_sequence_octet();
      flick_sequence_octet(CORBA::ULong max);
      flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
      flick_sequence_octet(const GIOP::LocateRequestHeader::flick_sequence_octet &o);
      virtual ~flick_sequence_octet();
      GIOP::LocateRequestHeader::flick_sequence_octet &operator=(const GIOP::LocateRequestHeader::flick_sequence_octet &rhs);
      CORBA::Octet &operator[](CORBA::ULong i);
      const CORBA::Octet &operator[](CORBA::ULong i) const;
      static CORBA::Octet *allocbuf(CORBA::ULong size);
      static void freebuf(CORBA::Octet *buffer);
      virtual void _allocate_buffer(CORBA::ULong length);
      virtual void _deallocate_buffer();
      CORBA::Boolean release() const;
      CORBA::ULong maximum() const;
      CORBA::ULong length() const;
      void length(CORBA::ULong length);
      virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
      CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
      const CORBA::Octet *get_buffer() const;
    } ;

    typedef GIOP::LocateRequestHeader::flick_sequence_octet *flick_sequence_octet_ptr;
    class flick_sequence_octet_var {

    public:
      flick_sequence_octet_var();
      flick_sequence_octet_var(GIOP::LocateRequestHeader::flick_sequence_octet *p);
      flick_sequence_octet_var(const GIOP::LocateRequestHeader::flick_sequence_octet_var &a);
      ~flick_sequence_octet_var();
      GIOP::LocateRequestHeader::flick_sequence_octet_var &operator=(GIOP::LocateRequestHeader::flick_sequence_octet *p);
      GIOP::LocateRequestHeader::flick_sequence_octet_var &operator=(const GIOP::LocateRequestHeader::flick_sequence_octet_var &p);
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      GIOP::LocateRequestHeader::flick_sequence_octet *operator->();
      const GIOP::LocateRequestHeader::flick_sequence_octet *operator->() const;
      operator const GIOP::LocateRequestHeader::flick_sequence_octet &() const;
      operator GIOP::LocateRequestHeader::flick_sequence_octet &();
      operator GIOP::LocateRequestHeader::flick_sequence_octet &() const;
      const GIOP::LocateRequestHeader::flick_sequence_octet &in() const;
      GIOP::LocateRequestHeader::flick_sequence_octet &inout();
      GIOP::LocateRequestHeader::flick_sequence_octet *&out();
      GIOP::LocateRequestHeader::flick_sequence_octet *_retn();
      GIOP::LocateRequestHeader::flick_sequence_octet *ptr() const;

    private:
      GIOP::LocateRequestHeader::flick_sequence_octet_ptr ptr_;
    } ;

    class flick_sequence_octet_out {

    public:
      flick_sequence_octet_out(GIOP::LocateRequestHeader::flick_sequence_octet *&r);
      flick_sequence_octet_out(GIOP::LocateRequestHeader::flick_sequence_octet_var &r);
      flick_sequence_octet_out(const GIOP::LocateRequestHeader::flick_sequence_octet_out &r);
      GIOP::LocateRequestHeader::flick_sequence_octet_out &operator=(const GIOP::LocateRequestHeader::flick_sequence_octet_out &r);

    private:
      GIOP::LocateRequestHeader::flick_sequence_octet_out &operator=(const GIOP::LocateRequestHeader::flick_sequence_octet_var &r);

    public:
      GIOP::LocateRequestHeader::flick_sequence_octet_out &operator=(GIOP::LocateRequestHeader::flick_sequence_octet *r);
      operator GIOP::LocateRequestHeader::flick_sequence_octet *&();
      GIOP::LocateRequestHeader::flick_sequence_octet *&ptr();
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      GIOP::LocateRequestHeader::flick_sequence_octet *operator->();

    private:
      GIOP::LocateRequestHeader::flick_sequence_octet_ptr &ptr_;
    } ;

    GIOP::LocateRequestHeader::flick_sequence_octet object_key;
    static CORBA::TypeCode_ptr _tc_flick_sequence_octet;
  } ;

  class LocateRequestHeader_var {

  public:
    LocateRequestHeader_var();
    LocateRequestHeader_var(struct GIOP::LocateRequestHeader *p);
    LocateRequestHeader_var(const GIOP::LocateRequestHeader_var &a);
    ~LocateRequestHeader_var();
    GIOP::LocateRequestHeader_var &operator=(struct GIOP::LocateRequestHeader *p);
    GIOP::LocateRequestHeader_var &operator=(const GIOP::LocateRequestHeader_var &p);
    struct GIOP::LocateRequestHeader *operator->();
    const struct GIOP::LocateRequestHeader *operator->() const;
    operator const struct GIOP::LocateRequestHeader &() const;
    operator struct GIOP::LocateRequestHeader &();
    operator struct GIOP::LocateRequestHeader &() const;
    const struct GIOP::LocateRequestHeader &in() const;
    struct GIOP::LocateRequestHeader &inout();
    struct GIOP::LocateRequestHeader *&out();
    struct GIOP::LocateRequestHeader *_retn();
    struct GIOP::LocateRequestHeader *ptr() const;

  private:
    struct GIOP::LocateRequestHeader *ptr_;
  } ;

  class LocateRequestHeader_out {

  public:
    LocateRequestHeader_out(struct GIOP::LocateRequestHeader *&r);
    LocateRequestHeader_out(GIOP::LocateRequestHeader_var &r);
    LocateRequestHeader_out(const GIOP::LocateRequestHeader_out &r);
    GIOP::LocateRequestHeader_out &operator=(const GIOP::LocateRequestHeader_out &r);

  private:
    GIOP::LocateRequestHeader_out &operator=(const GIOP::LocateRequestHeader_var &r);

  public:
    GIOP::LocateRequestHeader_out &operator=(struct GIOP::LocateRequestHeader *r);
    operator struct GIOP::LocateRequestHeader *&();
    struct GIOP::LocateRequestHeader *&ptr();
    struct GIOP::LocateRequestHeader *operator->();

  private:
    struct GIOP::LocateRequestHeader *&ptr_;
  } ;

  enum LocateStatusType {
    UNKNOWN_OBJECT = 0,
    OBJECT_HERE = 1,
    OBJECT_FORWARD = 2
  } ;

  typedef enum GIOP::LocateStatusType &LocateStatusType_out;
  struct LocateReplyHeader {

  public:
    CORBA::ULong request_id;
    enum GIOP::LocateStatusType locate_status;
  } ;

  class LocateReplyHeader_var {

  public:
    LocateReplyHeader_var();
    LocateReplyHeader_var(struct GIOP::LocateReplyHeader *p);
    LocateReplyHeader_var(const GIOP::LocateReplyHeader_var &a);
    ~LocateReplyHeader_var();
    GIOP::LocateReplyHeader_var &operator=(struct GIOP::LocateReplyHeader *p);
    GIOP::LocateReplyHeader_var &operator=(const GIOP::LocateReplyHeader_var &p);
    struct GIOP::LocateReplyHeader *operator->();
    const struct GIOP::LocateReplyHeader *operator->() const;
    operator const struct GIOP::LocateReplyHeader &() const;
    operator struct GIOP::LocateReplyHeader &();
    operator struct GIOP::LocateReplyHeader &() const;
    const struct GIOP::LocateReplyHeader &in() const;
    struct GIOP::LocateReplyHeader &inout();
    struct GIOP::LocateReplyHeader &out();
    struct GIOP::LocateReplyHeader _retn();
    struct GIOP::LocateReplyHeader *ptr() const;

  private:
    struct GIOP::LocateReplyHeader *ptr_;
  } ;

  typedef struct GIOP::LocateReplyHeader &LocateReplyHeader_out;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_Principal;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_MessageHeader;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_RequestHeader;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_ReplyHeader;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_CancelRequestHeader;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_LocateRequestHeader;
TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_LocateReplyHeader;
}


int flick_marshal_stub(flick_marshal_stream_t _stream, const enum GIOP::MsgType *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum GIOP::MsgType *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::MessageHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::MessageHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::MessageHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::MessageHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::MessageHeader *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::RequestHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::RequestHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::RequestHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::RequestHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::RequestHeader *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum GIOP::ReplyStatusType *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum GIOP::ReplyStatusType *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::ReplyHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::ReplyHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::ReplyHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::ReplyHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::ReplyHeader *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::CancelRequestHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::CancelRequestHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::CancelRequestHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::CancelRequestHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::CancelRequestHeader *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::LocateRequestHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::LocateRequestHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::LocateRequestHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::LocateRequestHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::LocateRequestHeader *_data);

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum GIOP::LocateStatusType *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum GIOP::LocateStatusType *_data);

void operator<<=(CORBA::Any &a, const struct GIOP::LocateReplyHeader &o);

void operator<<=(CORBA::Any &a, struct GIOP::LocateReplyHeader *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct GIOP::LocateReplyHeader *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct GIOP::LocateReplyHeader *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct GIOP::LocateReplyHeader *_data);

TAO_NAMESPACE IIOP {
  struct ProfileBody {
    struct Version iiop_version;
    TAO_String_Manager host;
    CORBA::UShort port;
    class flick_sequence_octet {

    public:
      CORBA::ULong _maximum;
      CORBA::ULong _length;
      CORBA::Octet *_buffer;
      CORBA::Boolean _release;
      flick_sequence_octet();
      flick_sequence_octet(CORBA::ULong max);
      flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
      flick_sequence_octet(const IIOP::ProfileBody::flick_sequence_octet &o);
      virtual ~flick_sequence_octet();
      IIOP::ProfileBody::flick_sequence_octet &operator=(const IIOP::ProfileBody::flick_sequence_octet &rhs);
      CORBA::Octet &operator[](CORBA::ULong i);
      const CORBA::Octet &operator[](CORBA::ULong i) const;
      static CORBA::Octet *allocbuf(CORBA::ULong size);
      static void freebuf(CORBA::Octet *buffer);
      virtual void _allocate_buffer(CORBA::ULong length);
      virtual void _deallocate_buffer();
      CORBA::Boolean release() const;
      CORBA::ULong maximum() const;
      CORBA::ULong length() const;
      void length(CORBA::ULong length);
      virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
      CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
      const CORBA::Octet *get_buffer() const;
    } ;

    typedef IIOP::ProfileBody::flick_sequence_octet *flick_sequence_octet_ptr;
    class flick_sequence_octet_var {

    public:
      flick_sequence_octet_var();
      flick_sequence_octet_var(IIOP::ProfileBody::flick_sequence_octet *p);
      flick_sequence_octet_var(const IIOP::ProfileBody::flick_sequence_octet_var &a);
      ~flick_sequence_octet_var();
      IIOP::ProfileBody::flick_sequence_octet_var &operator=(IIOP::ProfileBody::flick_sequence_octet *p);
      IIOP::ProfileBody::flick_sequence_octet_var &operator=(const IIOP::ProfileBody::flick_sequence_octet_var &p);
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      IIOP::ProfileBody::flick_sequence_octet *operator->();
      const IIOP::ProfileBody::flick_sequence_octet *operator->() const;
      operator const IIOP::ProfileBody::flick_sequence_octet &() const;
      operator IIOP::ProfileBody::flick_sequence_octet &();
      operator IIOP::ProfileBody::flick_sequence_octet &() const;
      const IIOP::ProfileBody::flick_sequence_octet &in() const;
      IIOP::ProfileBody::flick_sequence_octet &inout();
      IIOP::ProfileBody::flick_sequence_octet *&out();
      IIOP::ProfileBody::flick_sequence_octet *_retn();
      IIOP::ProfileBody::flick_sequence_octet *ptr() const;

    private:
      IIOP::ProfileBody::flick_sequence_octet_ptr ptr_;
    } ;

    class flick_sequence_octet_out {

    public:
      flick_sequence_octet_out(IIOP::ProfileBody::flick_sequence_octet *&r);
      flick_sequence_octet_out(IIOP::ProfileBody::flick_sequence_octet_var &r);
      flick_sequence_octet_out(const IIOP::ProfileBody::flick_sequence_octet_out &r);
      IIOP::ProfileBody::flick_sequence_octet_out &operator=(const IIOP::ProfileBody::flick_sequence_octet_out &r);

    private:
      IIOP::ProfileBody::flick_sequence_octet_out &operator=(const IIOP::ProfileBody::flick_sequence_octet_var &r);

    public:
      IIOP::ProfileBody::flick_sequence_octet_out &operator=(IIOP::ProfileBody::flick_sequence_octet *r);
      operator IIOP::ProfileBody::flick_sequence_octet *&();
      IIOP::ProfileBody::flick_sequence_octet *&ptr();
      CORBA::Octet &operator[](CORBA::ULong index);
      const CORBA::Octet &operator[](CORBA::ULong index) const;
      IIOP::ProfileBody::flick_sequence_octet *operator->();

    private:
      IIOP::ProfileBody::flick_sequence_octet_ptr &ptr_;
    } ;

    IIOP::ProfileBody::flick_sequence_octet object_key;
    static CORBA::TypeCode_ptr _tc_flick_sequence_octet;
  } ;

  class ProfileBody_var {

  public:
    ProfileBody_var();
    ProfileBody_var(struct IIOP::ProfileBody *p);
    ProfileBody_var(const IIOP::ProfileBody_var &a);
    ~ProfileBody_var();
    IIOP::ProfileBody_var &operator=(struct IIOP::ProfileBody *p);
    IIOP::ProfileBody_var &operator=(const IIOP::ProfileBody_var &p);
    struct IIOP::ProfileBody *operator->();
    const struct IIOP::ProfileBody *operator->() const;
    operator const struct IIOP::ProfileBody &() const;
    operator struct IIOP::ProfileBody &();
    operator struct IIOP::ProfileBody &() const;
    const struct IIOP::ProfileBody &in() const;
    struct IIOP::ProfileBody &inout();
    struct IIOP::ProfileBody *&out();
    struct IIOP::ProfileBody *_retn();
    struct IIOP::ProfileBody *ptr() const;

  private:
    struct IIOP::ProfileBody *ptr_;
  } ;

  class ProfileBody_out {

  public:
    ProfileBody_out(struct IIOP::ProfileBody *&r);
    ProfileBody_out(IIOP::ProfileBody_var &r);
    ProfileBody_out(const IIOP::ProfileBody_out &r);
    IIOP::ProfileBody_out &operator=(const IIOP::ProfileBody_out &r);

  private:
    IIOP::ProfileBody_out &operator=(const IIOP::ProfileBody_var &r);

  public:
    IIOP::ProfileBody_out &operator=(struct IIOP::ProfileBody *r);
    operator struct IIOP::ProfileBody *&();
    struct IIOP::ProfileBody *&ptr();
    struct IIOP::ProfileBody *operator->();

  private:
    struct IIOP::ProfileBody *&ptr_;
  } ;

TAO_NAMESPACE_STORAGE_CLASS  CORBA::TypeCode_ptr _tc_ProfileBody;
}


void operator<<=(CORBA::Any &a, const struct IIOP::ProfileBody &o);

void operator<<=(CORBA::Any &a, struct IIOP::ProfileBody *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct IIOP::ProfileBody *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct IIOP::ProfileBody *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct IIOP::ProfileBody *_data);

extern CORBA::TypeCode_ptr _tc_Version;

#endif /* _IIOP_client_h_ */
