#include "arrayez_-client.h"
#include "arrayez_-server.h"

static const CORBA::Long _oc_arrays[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    15, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79733a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:arrays:1.0 */,
    7, ACE_NTOHL(0x61727261), ACE_NTOHL(0x79730000) /* name = arrays */
};

static CORBA::TypeCode _tc_TAO_tc_arrays (CORBA::tk_objref, sizeof(_oc_arrays), (char *) &_oc_arrays, 0, sizeof(arrays ));

CORBA::TypeCode_ptr _tc_arrays = &_tc_TAO_tc_arrays;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<arrays >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<arrays >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

arrays_ptr arrays::_duplicate(arrays_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

arrays_ptr arrays::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return arrays::_nil();
  if( !obj->_is_a("IDL:arrays:1.0", _env) )
    return arrays::_nil();
  return arrays::_unchecked_narrow(obj, _env);
}

arrays_ptr arrays::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return arrays::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new arrays (stub);
  return new _tao_collocated_arrays(
      ACE_reinterpret_cast(POA_arrays_ptr , servant),
      stub
    );
}

arrays_ptr arrays::_nil()
{
  return (arrays_ptr )NULL;
}

CORBA::Boolean arrays::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:arrays:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *arrays::_interface_repository_id() const
{
  return "IDL:arrays:1.0";
}

arrays::arrays()
{}

arrays::~arrays()
{}

void operator<<=(CORBA::Any &a, arrays_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = arrays::_duplicate(o);
    a.replace (_tc_arrays, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = arrays::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_arrays, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_arrays, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = arrays::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_arrays, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arrays(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

arrays_var::arrays_var()
  : ptr_(arrays::_nil())
{}

arrays_var::arrays_var(arrays_ptr p)
  : ptr_(p)
{}

arrays_var::arrays_var(const arrays_var &a)
  : ptr_(arrays::_duplicate(a.ptr()))
{}

arrays_var::~arrays_var()
{
  CORBA::release(this->ptr_);
}

arrays_var &arrays_var::operator=(arrays_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

arrays_var &arrays_var::operator=(const arrays_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = arrays::_duplicate(p.ptr());
  }
  return *this;
}

arrays_ptr arrays_var::operator->() const
{
  return this->ptr_;
}

arrays_var::operator const arrays_ptr &() const
{
  return this->ptr_;
}

arrays_var::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr arrays_var::in() const
{
  return this->ptr_;
}

arrays_ptr &arrays_var::inout()
{
  return this->ptr_;
}

arrays_ptr &arrays_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
  return this->ptr_;
}

arrays_ptr arrays_var::_retn()
{
  arrays_ptr  val = this->ptr_;
  this->ptr_ = arrays::_nil();
  return val;
}

arrays_ptr arrays_var::ptr() const
{
  return this->ptr_;
}

arrays_out::arrays_out(arrays_ptr &r)
  : ptr_(r)
{
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(arrays_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(const arrays_out &r)
  : ptr_(ACE_const_cast(arrays_out &,r).ptr_)
{}

arrays_out &arrays_out::operator=(const arrays_out &r)
{
  this->ptr_ = ACE_const_cast(arrays_out &,r).ptr_;
  return *this;
}

arrays_out &arrays_out::operator=(const arrays_var &r)
{
  this->ptr_ = arrays::_duplicate(r.ptr());
  return *this;
}

arrays_out &arrays_out::operator=(arrays_ptr r)
{
  this->ptr_ = r;
  return *this;
}

arrays_out::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr &arrays_out::ptr()
{
  return this->ptr_;
}

arrays_ptr arrays_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_arrays_arr8[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79732f61), ACE_NTOHL(0x7272383a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:arrays/arr8:1.0 */,
    5, ACE_NTOHL(0x61727238), ACE_NTOHL(0x00000000) /* name = arr8 */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      8
};

static CORBA::TypeCode _tc_TAO_tc_arrays_arr8 (CORBA::tk_alias, sizeof(_oc_arrays_arr8), (char *) &_oc_arrays_arr8, 0, sizeof(arrays::arr8 ));

CORBA::TypeCode_ptr arrays::_tc_arr8 = &_tc_TAO_tc_arrays_arr8;

arrays::arr8_slice *arrays::arr8_alloc()
{
  return new arrays::arr8_slice [8];
}

arrays::arr8_slice *arrays::arr8_dup(const arrays::arr8_slice *_slice)
{
  arrays::arr8_slice  *_dup_array = arrays::arr8_alloc();
  if( !_dup_array ) return 0;
  arrays::arr8_copy(_dup_array, _slice);
  return _dup_array;
}

void arrays::arr8_copy(arrays::arr8_slice *_to_slice, const arrays::arr8_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 8; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void arrays::arr8_free(arrays::arr8_slice *_slice)
{
  delete [] _slice;
}

void operator<<=(CORBA::Any &a, const arrays::arr8_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    if(o.nocopy())
      a.replace(arrays::_tc_arr8, o.in(), 1, ACE_TRY_ENV);
    else
      a.replace(arrays::_tc_arr8, arrays::arr8_dup(o.in()), 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr8_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(arrays::_tc_arr8, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (arrays::arr8_slice  *)a.value();
      return 1;
    }
    else
    {
      o.out() = arrays::arr8_alloc();
      if(!o.in()) return 0;
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(arrays::_tc_arr8, o.inout(), 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(arrays::_tc_arr8, o.inout(), 1, ACE_TRY_ENV);
        return 1;
      }
      ACE_TRY_CHECK;
    }
  }
  ACE_CATCHANY
  {
    arrays::arr8_free(o._retn());
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arr8_var::arr8_var()
  : ptr_(0)
{}

arrays::arr8_var::arr8_var(arrays::arr8_slice *p)
 : ptr_(p)
{}

arrays::arr8_var::arr8_var(const arrays::arr8_var &a)
{
  this->ptr_ = arrays::arr8_dup(a.ptr_);
}

arrays::arr8_var::~arr8_var()
{
  arrays::arr8_free(this->ptr_);
}

arrays::arr8_var &arrays::arr8_var::operator=(arrays::arr8_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr8_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr8_var &arrays::arr8_var::operator=(const arrays::arr8_var &p)
{
  if( this != &p )
  {
    arrays::arr8_free(this->ptr_);
    this->ptr_ = arrays::arr8_dup(p.ptr_);
  }
  return *this;
}

arrays::arr8_slice &arrays::arr8_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr8_slice &arrays::arr8_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr8_var::operator arrays::arr8_slice *const &() const
{
  return this->ptr_;
}

arrays::arr8_var::operator arrays::arr8_slice *&()
{
  return this->ptr_;
}

const arrays::arr8_slice *arrays::arr8_var::in() const
{
  return this->ptr_;
}

arrays::arr8_slice *arrays::arr8_var::inout()
{
  return this->ptr_;
}

arrays::arr8_slice *&arrays::arr8_var::out()
{
  arrays::arr8_free(this->ptr_);
  this->ptr_ = (arrays::arr8_slice  *)0;
  return this->ptr_;
}

arrays::arr8_slice *arrays::arr8_var::_retn()
{
  arrays::arr8_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr8_slice  *)0;
  return tmp;
}

arrays::arr8_slice *arrays::arr8_var::ptr() const
{
  return this->ptr_;
}

arrays::arr8_forany::arr8_forany()
  : ptr_(0),
    nocopy_(0)
{}

arrays::arr8_forany::arr8_forany(arrays::arr8_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

arrays::arr8_forany::arr8_forany(const arrays::arr8_forany &a)
{
  this->ptr_ = arrays::arr8_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

arrays::arr8_forany::~arr8_forany()
{
}

arrays::arr8_forany &arrays::arr8_forany::operator=(arrays::arr8_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr8_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr8_forany &arrays::arr8_forany::operator=(const arrays::arr8_forany &p)
{
  if( this != &p )
  {
    arrays::arr8_free(this->ptr_);
    this->ptr_ = arrays::arr8_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

arrays::arr8_slice &arrays::arr8_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr8_slice &arrays::arr8_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr8_forany::operator arrays::arr8_slice *const &() const
{
  return this->ptr_;
}

arrays::arr8_forany::operator arrays::arr8_slice *&()
{
  return this->ptr_;
}

const arrays::arr8_slice *arrays::arr8_forany::in() const
{
  return this->ptr_;
}

arrays::arr8_slice *arrays::arr8_forany::inout()
{
  return this->ptr_;
}

arrays::arr8_slice *&arrays::arr8_forany::out()
{
  arrays::arr8_free(this->ptr_);
  this->ptr_ = (arrays::arr8_slice  *)0;
  return this->ptr_;
}

arrays::arr8_slice *arrays::arr8_forany::_retn()
{
  arrays::arr8_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr8_slice  *)0;
  return tmp;
}

arrays::arr8_slice *arrays::arr8_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean arrays::arr8_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_arrays_arr256[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79732f61), ACE_NTOHL(0x72723235), ACE_NTOHL(0x363a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:arrays/arr256:1.0 */,
    7, ACE_NTOHL(0x61727232), ACE_NTOHL(0x35360000) /* name = arr256 */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      256
};

static CORBA::TypeCode _tc_TAO_tc_arrays_arr256 (CORBA::tk_alias, sizeof(_oc_arrays_arr256), (char *) &_oc_arrays_arr256, 0, sizeof(arrays::arr256 ));

CORBA::TypeCode_ptr arrays::_tc_arr256 = &_tc_TAO_tc_arrays_arr256;

arrays::arr256_slice *arrays::arr256_alloc()
{
  return new arrays::arr256_slice [256];
}

arrays::arr256_slice *arrays::arr256_dup(const arrays::arr256_slice *_slice)
{
  arrays::arr256_slice  *_dup_array = arrays::arr256_alloc();
  if( !_dup_array ) return 0;
  arrays::arr256_copy(_dup_array, _slice);
  return _dup_array;
}

void arrays::arr256_copy(arrays::arr256_slice *_to_slice, const arrays::arr256_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 256; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void arrays::arr256_free(arrays::arr256_slice *_slice)
{
  delete [] _slice;
}

void operator<<=(CORBA::Any &a, const arrays::arr256_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    if(o.nocopy())
      a.replace(arrays::_tc_arr256, o.in(), 1, ACE_TRY_ENV);
    else
      a.replace(arrays::_tc_arr256, arrays::arr256_dup(o.in()), 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr256_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(arrays::_tc_arr256, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (arrays::arr256_slice  *)a.value();
      return 1;
    }
    else
    {
      o.out() = arrays::arr256_alloc();
      if(!o.in()) return 0;
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(arrays::_tc_arr256, o.inout(), 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(arrays::_tc_arr256, o.inout(), 1, ACE_TRY_ENV);
        return 1;
      }
      ACE_TRY_CHECK;
    }
  }
  ACE_CATCHANY
  {
    arrays::arr256_free(o._retn());
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arr256_var::arr256_var()
  : ptr_(0)
{}

arrays::arr256_var::arr256_var(arrays::arr256_slice *p)
 : ptr_(p)
{}

arrays::arr256_var::arr256_var(const arrays::arr256_var &a)
{
  this->ptr_ = arrays::arr256_dup(a.ptr_);
}

arrays::arr256_var::~arr256_var()
{
  arrays::arr256_free(this->ptr_);
}

arrays::arr256_var &arrays::arr256_var::operator=(arrays::arr256_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr256_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr256_var &arrays::arr256_var::operator=(const arrays::arr256_var &p)
{
  if( this != &p )
  {
    arrays::arr256_free(this->ptr_);
    this->ptr_ = arrays::arr256_dup(p.ptr_);
  }
  return *this;
}

arrays::arr256_slice &arrays::arr256_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr256_slice &arrays::arr256_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr256_var::operator arrays::arr256_slice *const &() const
{
  return this->ptr_;
}

arrays::arr256_var::operator arrays::arr256_slice *&()
{
  return this->ptr_;
}

const arrays::arr256_slice *arrays::arr256_var::in() const
{
  return this->ptr_;
}

arrays::arr256_slice *arrays::arr256_var::inout()
{
  return this->ptr_;
}

arrays::arr256_slice *&arrays::arr256_var::out()
{
  arrays::arr256_free(this->ptr_);
  this->ptr_ = (arrays::arr256_slice  *)0;
  return this->ptr_;
}

arrays::arr256_slice *arrays::arr256_var::_retn()
{
  arrays::arr256_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr256_slice  *)0;
  return tmp;
}

arrays::arr256_slice *arrays::arr256_var::ptr() const
{
  return this->ptr_;
}

arrays::arr256_forany::arr256_forany()
  : ptr_(0),
    nocopy_(0)
{}

arrays::arr256_forany::arr256_forany(arrays::arr256_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

arrays::arr256_forany::arr256_forany(const arrays::arr256_forany &a)
{
  this->ptr_ = arrays::arr256_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

arrays::arr256_forany::~arr256_forany()
{
}

arrays::arr256_forany &arrays::arr256_forany::operator=(arrays::arr256_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr256_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr256_forany &arrays::arr256_forany::operator=(const arrays::arr256_forany &p)
{
  if( this != &p )
  {
    arrays::arr256_free(this->ptr_);
    this->ptr_ = arrays::arr256_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

arrays::arr256_slice &arrays::arr256_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr256_slice &arrays::arr256_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr256_forany::operator arrays::arr256_slice *const &() const
{
  return this->ptr_;
}

arrays::arr256_forany::operator arrays::arr256_slice *&()
{
  return this->ptr_;
}

const arrays::arr256_slice *arrays::arr256_forany::in() const
{
  return this->ptr_;
}

arrays::arr256_slice *arrays::arr256_forany::inout()
{
  return this->ptr_;
}

arrays::arr256_slice *&arrays::arr256_forany::out()
{
  arrays::arr256_free(this->ptr_);
  this->ptr_ = (arrays::arr256_slice  *)0;
  return this->ptr_;
}

arrays::arr256_slice *arrays::arr256_forany::_retn()
{
  arrays::arr256_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr256_slice  *)0;
  return tmp;
}

arrays::arr256_slice *arrays::arr256_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean arrays::arr256_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_arrays_arr8k[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79732f61), ACE_NTOHL(0x7272386b), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:arrays/arr8k:1.0 */,
    6, ACE_NTOHL(0x61727238), ACE_NTOHL(0x6b000000) /* name = arr8k */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      8192
};

static CORBA::TypeCode _tc_TAO_tc_arrays_arr8k (CORBA::tk_alias, sizeof(_oc_arrays_arr8k), (char *) &_oc_arrays_arr8k, 0, sizeof(arrays::arr8k ));

CORBA::TypeCode_ptr arrays::_tc_arr8k = &_tc_TAO_tc_arrays_arr8k;

arrays::arr8k_slice *arrays::arr8k_alloc()
{
  return new arrays::arr8k_slice [8192];
}

arrays::arr8k_slice *arrays::arr8k_dup(const arrays::arr8k_slice *_slice)
{
  arrays::arr8k_slice  *_dup_array = arrays::arr8k_alloc();
  if( !_dup_array ) return 0;
  arrays::arr8k_copy(_dup_array, _slice);
  return _dup_array;
}

void arrays::arr8k_copy(arrays::arr8k_slice *_to_slice, const arrays::arr8k_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 8192; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void arrays::arr8k_free(arrays::arr8k_slice *_slice)
{
  delete [] _slice;
}

void operator<<=(CORBA::Any &a, const arrays::arr8k_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    if(o.nocopy())
      a.replace(arrays::_tc_arr8k, o.in(), 1, ACE_TRY_ENV);
    else
      a.replace(arrays::_tc_arr8k, arrays::arr8k_dup(o.in()), 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays::arr8k_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(arrays::_tc_arr8k, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (arrays::arr8k_slice  *)a.value();
      return 1;
    }
    else
    {
      o.out() = arrays::arr8k_alloc();
      if(!o.in()) return 0;
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(arrays::_tc_arr8k, o.inout(), 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(arrays::_tc_arr8k, o.inout(), 1, ACE_TRY_ENV);
        return 1;
      }
      ACE_TRY_CHECK;
    }
  }
  ACE_CATCHANY
  {
    arrays::arr8k_free(o._retn());
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arr8k_var::arr8k_var()
  : ptr_(0)
{}

arrays::arr8k_var::arr8k_var(arrays::arr8k_slice *p)
 : ptr_(p)
{}

arrays::arr8k_var::arr8k_var(const arrays::arr8k_var &a)
{
  this->ptr_ = arrays::arr8k_dup(a.ptr_);
}

arrays::arr8k_var::~arr8k_var()
{
  arrays::arr8k_free(this->ptr_);
}

arrays::arr8k_var &arrays::arr8k_var::operator=(arrays::arr8k_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr8k_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr8k_var &arrays::arr8k_var::operator=(const arrays::arr8k_var &p)
{
  if( this != &p )
  {
    arrays::arr8k_free(this->ptr_);
    this->ptr_ = arrays::arr8k_dup(p.ptr_);
  }
  return *this;
}

arrays::arr8k_slice &arrays::arr8k_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr8k_slice &arrays::arr8k_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr8k_var::operator arrays::arr8k_slice *const &() const
{
  return this->ptr_;
}

arrays::arr8k_var::operator arrays::arr8k_slice *&()
{
  return this->ptr_;
}

const arrays::arr8k_slice *arrays::arr8k_var::in() const
{
  return this->ptr_;
}

arrays::arr8k_slice *arrays::arr8k_var::inout()
{
  return this->ptr_;
}

arrays::arr8k_slice *&arrays::arr8k_var::out()
{
  arrays::arr8k_free(this->ptr_);
  this->ptr_ = (arrays::arr8k_slice  *)0;
  return this->ptr_;
}

arrays::arr8k_slice *arrays::arr8k_var::_retn()
{
  arrays::arr8k_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr8k_slice  *)0;
  return tmp;
}

arrays::arr8k_slice *arrays::arr8k_var::ptr() const
{
  return this->ptr_;
}

arrays::arr8k_forany::arr8k_forany()
  : ptr_(0),
    nocopy_(0)
{}

arrays::arr8k_forany::arr8k_forany(arrays::arr8k_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

arrays::arr8k_forany::arr8k_forany(const arrays::arr8k_forany &a)
{
  this->ptr_ = arrays::arr8k_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

arrays::arr8k_forany::~arr8k_forany()
{
}

arrays::arr8k_forany &arrays::arr8k_forany::operator=(arrays::arr8k_slice *p)
{
  if( this->ptr_ != p )
  {
    arrays::arr8k_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

arrays::arr8k_forany &arrays::arr8k_forany::operator=(const arrays::arr8k_forany &p)
{
  if( this != &p )
  {
    arrays::arr8k_free(this->ptr_);
    this->ptr_ = arrays::arr8k_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

arrays::arr8k_slice &arrays::arr8k_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const arrays::arr8k_slice &arrays::arr8k_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

arrays::arr8k_forany::operator arrays::arr8k_slice *const &() const
{
  return this->ptr_;
}

arrays::arr8k_forany::operator arrays::arr8k_slice *&()
{
  return this->ptr_;
}

const arrays::arr8k_slice *arrays::arr8k_forany::in() const
{
  return this->ptr_;
}

arrays::arr8k_slice *arrays::arr8k_forany::inout()
{
  return this->ptr_;
}

arrays::arr8k_slice *&arrays::arr8k_forany::out()
{
  arrays::arr8k_free(this->ptr_);
  this->ptr_ = (arrays::arr8k_slice  *)0;
  return this->ptr_;
}

arrays::arr8k_slice *arrays::arr8k_forany::_retn()
{
  arrays::arr8k_slice  *tmp = this->ptr_;
  this->ptr_ = (arrays::arr8k_slice  *)0;
  return tmp;
}

arrays::arr8k_slice *arrays::arr8k_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean arrays::arr8k_forany::nocopy() const
{
  return this->nocopy_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, arrays , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr8 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(32, _flick_abort3);
  flick_iiopxx_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 32);
  flick_iiopxx_encode_end_chunk(32);
  flick_iiopxx_encode_end_glob(32);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr8 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(32);
  flick_iiopxx_check_span(32, _flick_abort6);
  flick_iiopxx_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 32);
  flick_iiopxx_decode_end_chunk(32);
  flick_iiopxx_decode_end_glob(32);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays::arr8 *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(32);
  flick_iiopxx_check_span(8 * 4 + 0, _flick_abort9);
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(32);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(1024, _flick_abort15);
  flick_iiopxx_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiopxx_encode_end_chunk(1024);
  flick_iiopxx_encode_end_glob(1024);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(1024);
  flick_iiopxx_check_span(1024, _flick_abort18);
  flick_iiopxx_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiopxx_decode_end_chunk(1024);
  flick_iiopxx_decode_end_glob(1024);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays::arr256 *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(1024);
  flick_iiopxx_check_span(256 * 4 + 0, _flick_abort21);
  for (_t1_array_iter = 0; _t1_array_iter < 256; _t1_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(1024);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays::arr8k *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(32768, _flick_abort27);
  flick_iiopxx_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiopxx_encode_end_chunk(32768);
  flick_iiopxx_encode_end_glob(32768);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays::arr8k *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(32768);
  flick_iiopxx_check_span(32768, _flick_abort30);
  flick_iiopxx_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiopxx_decode_end_chunk(32768);
  flick_iiopxx_decode_end_glob(32768);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays::arr8k *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(32768);
  flick_iiopxx_check_span(8192 * 4 + 0, _flick_abort33);
  for (_t2_array_iter = 0; _t2_array_iter < 8192; _t2_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(32768);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long arrays::test8(/* arrays *this, */ const arrays::arr8 a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort40);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort40);
    }
    {
      flick_iiopxx_encode_new_glob(48, _flick_abort40);
      flick_iiopxx_encode_new_chunk(48);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '8', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_bcopy(16, a, 32);
      flick_iiopxx_encode_end_chunk(48);
      flick_iiopxx_encode_end_glob(48);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort40);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort40);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort40);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort57);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort57:
                goto _flick_abort40;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort58);
              break;
              {
              _flick_abort58:
                goto _flick_abort40;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort59:
                goto _flick_abort40;
              }
            }
          }
      }
    else
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort40);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort50);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort50:
                goto _flick_abort40;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort51);
              break;
              {
              _flick_abort51:
                goto _flick_abort40;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort52);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort52:
                goto _flick_abort40;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort40:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort39);
    _flick_abort39:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long arrays::test256(/* arrays *this, */ const arrays::arr256 a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort61);
    }
    {
      flick_iiopxx_encode_new_glob(1040, _flick_abort61);
      flick_iiopxx_encode_new_chunk(1040);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '2', flick_char8_t );
      flick_cdr_encode_char8(9, '5', flick_char8_t );
      flick_cdr_encode_char8(10, '6', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_bcopy(16, a, 1024);
      flick_iiopxx_encode_end_chunk(1040);
      flick_iiopxx_encode_end_glob(1040);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort61);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort78);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort78:
                goto _flick_abort61;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort79);
              break;
              {
              _flick_abort79:
                goto _flick_abort61;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort80:
                goto _flick_abort61;
              }
            }
          }
      }
    else
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort61);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort71);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort71:
                goto _flick_abort61;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort72);
              break;
              {
              _flick_abort72:
                goto _flick_abort61;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort73:
                goto _flick_abort61;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort61:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort60);
    _flick_abort60:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long arrays::test8k(/* arrays *this, */ const arrays::arr8k a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort82);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort82);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort82);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '8', flick_char8_t );
      flick_cdr_encode_char8(9, 'k', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      flick_iiopxx_encode_new_glob(32768, _flick_abort82);
      flick_iiopxx_encode_new_chunk(32768);
      flick_cdr_encode_bcopy(0, a, 32768);
      flick_iiopxx_encode_end_chunk(32768);
      flick_iiopxx_encode_end_glob(32768);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort82);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort82);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort82);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort99);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort99:
                goto _flick_abort82;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort100);
              break;
              {
              _flick_abort100:
                goto _flick_abort82;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort101:
                goto _flick_abort82;
              }
            }
          }
      }
    else
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort82);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort92);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort92:
                goto _flick_abort82;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort93);
              break;
              {
              _flick_abort93:
                goto _flick_abort82;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort94:
                goto _flick_abort82;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort82:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort81);
    _flick_abort81:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

