#include "enum_-client.h"
#include "enum_-server.h"

static const CORBA::Long _oc_Test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x54657374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Test:1.0 */,
    5, ACE_NTOHL(0x54657374), ACE_NTOHL(0x00000000) /* name = Test */
};

static CORBA::TypeCode _tc_TAO_tc_Test (CORBA::tk_objref, sizeof(_oc_Test), (char *) &_oc_Test, 0, sizeof(Test ));

CORBA::TypeCode_ptr _tc_Test = &_tc_TAO_tc_Test;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<Test >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<Test >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

Test_ptr Test::_duplicate(Test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

Test_ptr Test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return Test::_nil();
  if( !obj->_is_a("IDL:Test:1.0", _env) )
    return Test::_nil();
  return Test::_unchecked_narrow(obj, _env);
}

Test_ptr Test::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return Test::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new Test (stub);
  return new _tao_collocated_Test(
      ACE_reinterpret_cast(POA_Test_ptr , servant),
      stub
    );
}

Test_ptr Test::_nil()
{
  return (Test_ptr )NULL;
}

CORBA::Boolean Test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *Test::_interface_repository_id() const
{
  return "IDL:Test:1.0";
}

Test::Test()
{}

Test::~Test()
{}

void operator<<=(CORBA::Any &a, Test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = Test::_duplicate(o);
    a.replace (_tc_Test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = Test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_Test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_Test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = Test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_Test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Test::Test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

Test_var::Test_var()
  : ptr_(Test::_nil())
{}

Test_var::Test_var(Test_ptr p)
  : ptr_(p)
{}

Test_var::Test_var(const Test_var &a)
  : ptr_(Test::_duplicate(a.ptr()))
{}

Test_var::~Test_var()
{
  CORBA::release(this->ptr_);
}

Test_var &Test_var::operator=(Test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

Test_var &Test_var::operator=(const Test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = Test::_duplicate(p.ptr());
  }
  return *this;
}

Test_ptr Test_var::operator->() const
{
  return this->ptr_;
}

Test_var::operator const Test_ptr &() const
{
  return this->ptr_;
}

Test_var::operator Test_ptr &()
{
  return this->ptr_;
}

Test_ptr Test_var::in() const
{
  return this->ptr_;
}

Test_ptr &Test_var::inout()
{
  return this->ptr_;
}

Test_ptr &Test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = Test::_nil();
  return this->ptr_;
}

Test_ptr Test_var::_retn()
{
  Test_ptr  val = this->ptr_;
  this->ptr_ = Test::_nil();
  return val;
}

Test_ptr Test_var::ptr() const
{
  return this->ptr_;
}

Test_out::Test_out(Test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = Test::_nil();
}

Test_out::Test_out(Test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = Test::_nil();
}

Test_out::Test_out(const Test_out &r)
  : ptr_(ACE_const_cast(Test_out &,r).ptr_)
{}

Test_out &Test_out::operator=(const Test_out &r)
{
  this->ptr_ = ACE_const_cast(Test_out &,r).ptr_;
  return *this;
}

Test_out &Test_out::operator=(const Test_var &r)
{
  this->ptr_ = Test::_duplicate(r.ptr());
  return *this;
}

Test_out &Test_out::operator=(Test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

Test_out::operator Test_ptr &()
{
  return this->ptr_;
}

Test_ptr &Test_out::ptr()
{
  return this->ptr_;
}

Test_ptr Test_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum types *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum types );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum types *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort1);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum types );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, enum types *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort2);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum types );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, Test , _flick_abort3);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, Test , _flick_abort4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, Test , _flick_abort5);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

enum types Test::Enum(/* Test *this, */ enum types a, enum types &b, types_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  enum types _return;

  _return = type1;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort7);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort7);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'E', flick_char8_t );
      flick_cdr_encode_char8(5, 'n', flick_char8_t );
      flick_cdr_encode_char8(6, 'u', flick_char8_t );
      flick_cdr_encode_char8(7, 'm', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, a, enum types );
      flick_cdr_encode_unsigned32(20, b, enum types );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort7);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort20);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_unsigned32(0, _return, enum types );
              flick_cdr_swap_decode_unsigned32(4, b, enum types );
              flick_cdr_swap_decode_unsigned32(8, c, enum types );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort20:
                goto _flick_abort7;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort21);
              break;
              {
              _flick_abort21:
                goto _flick_abort7;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort22);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort22:
                goto _flick_abort7;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort7);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort13);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_unsigned32(0, _return, enum types );
              flick_cdr_decode_unsigned32(4, b, enum types );
              flick_cdr_decode_unsigned32(8, c, enum types );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort13:
                goto _flick_abort7;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort14);
              break;
              {
              _flick_abort14:
                goto _flick_abort7;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort15);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort15:
                goto _flick_abort7;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort7:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort6);
    _flick_abort6:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

