#include "module-server.h"

POA_mod1::mod2::ex1::ex1()
{}

POA_mod1::mod2::ex1::ex1(const ex1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_mod1::mod2::ex1::~ex1()
{}

mod1::mod2::ex1 *POA_mod1::mod2::ex1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_mod1::mod2::_tao_collocated_ex1(this, stub);
}

CORBA::Boolean POA_mod1::mod2::ex1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:mod1/mod2/ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_mod1::mod2::ex1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:mod1/mod2/ex1:1.0") == 0)
    return ACE_static_cast(POA_mod1::mod2::ex1_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_mod1::mod2::ex1::_interface_repository_id() const
{
  return "IDL:mod1/mod2/ex1:1.0";
}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::ex1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::ex1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::ex1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::~ex1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_mod1::mod2::ex1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_mod1::mod2::ex1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_mod1::mod2::ex1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_mod1::mod2::ex1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_mod1::mod2::ex1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_mod1::mod2::ex1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_mod1::mod2::ex1_tie<T>::ex1_tie(const ex1_tie &c)
{}

template <class T>
  void POA_mod1::mod2::ex1_tie<T>::operator=(const ex1_tie &c)
{}

template <class T>
  CORBA::Long POA_mod1::mod2::ex1_tie<T>::m1(/* POA_mod1::mod2::ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex1_tie<T>::l1(/* POA_mod1::mod2::ex1 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_mod1::mod2::ex1_tie<T>::l1(/* POA_mod1::mod2::ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex1_tie<T>::l2(/* POA_mod1::mod2::ex1 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l2 (_ev);
}

POA_mod1::mod2::_tao_collocated_ex1::_tao_collocated_ex1(POA_mod1::mod2::ex1_ptr servant, TAO_Stub *stub)
  : mod1::mod2::ex1(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_mod1::mod2::ex1_ptr POA_mod1::mod2::_tao_collocated_ex1::_get_servant() const
{
  return this->servant_;
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex1::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  return this->servant_->m1 (a, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex1::l1(CORBA::Environment &_ev)
{
  return this->servant_->l1 (_ev);
}

void POA_mod1::mod2::_tao_collocated_ex1::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  this->servant_->l1 (l1, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex1::l2(CORBA::Environment &_ev)
{
  return this->servant_->l2 (_ev);
}

CORBA::Boolean POA_mod1::mod2::_tao_collocated_ex1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_mod1::mod2::ex2::ex2()
{}

POA_mod1::mod2::ex2::ex2(const ex2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_mod1::mod2::ex2::~ex2()
{}

mod1::mod2::ex2 *POA_mod1::mod2::ex2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_mod1::mod2::_tao_collocated_ex2(this, stub);
}

CORBA::Boolean POA_mod1::mod2::ex2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:mod1/mod2/ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:mod1/mod2/ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_mod1::mod2::ex2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:mod1/mod2/ex2:1.0") == 0)
    return ACE_static_cast(POA_mod1::mod2::ex2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:mod1/mod2/ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_mod1::mod2::ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_mod1::mod2::ex2::_interface_repository_id() const
{
  return "IDL:mod1/mod2/ex2:1.0";
}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::ex2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::ex2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::ex2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::~ex2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_mod1::mod2::ex2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_mod1::mod2::ex2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_mod1::mod2::ex2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_mod1::mod2::ex2_tie<T>::ex2_tie(const ex2_tie &c)
{}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::operator=(const ex2_tie &c)
{}

template <class T>
  CORBA::Long POA_mod1::mod2::ex2_tie<T>::m2(/* POA_mod1::mod2::ex2 *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev)
{
  return this->ptr_->m2 (a, b, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex2_tie<T>::l3(/* POA_mod1::mod2::ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l3 (_ev);
}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::l3(/* POA_mod1::mod2::ex2 *this, */ CORBA::Long l3, CORBA::Environment &_ev)
{
  this->ptr_->l3 (l3, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex2_tie<T>::m1(/* POA_mod1::mod2::ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex2_tie<T>::l1(/* POA_mod1::mod2::ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_mod1::mod2::ex2_tie<T>::l1(/* POA_mod1::mod2::ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

template <class T>
  CORBA::Long POA_mod1::mod2::ex2_tie<T>::l2(/* POA_mod1::mod2::ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l2 (_ev);
}

POA_mod1::mod2::_tao_collocated_ex2::_tao_collocated_ex2(POA_mod1::mod2::ex2_ptr servant, TAO_Stub *stub)
  : mod1::mod2::ex2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_mod1::mod2::ex2_ptr POA_mod1::mod2::_tao_collocated_ex2::_get_servant() const
{
  return this->servant_;
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex2::m2(CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev)
{
  return this->servant_->m2 (a, b, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex2::l3(CORBA::Environment &_ev)
{
  return this->servant_->l3 (_ev);
}

void POA_mod1::mod2::_tao_collocated_ex2::l3(CORBA::Long l3, CORBA::Environment &_ev)
{
  this->servant_->l3 (l3, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex2::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  return this->servant_->m1 (a, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex2::l1(CORBA::Environment &_ev)
{
  return this->servant_->l1 (_ev);
}

void POA_mod1::mod2::_tao_collocated_ex2::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  this->servant_->l1 (l1, _ev);
}

CORBA::Long POA_mod1::mod2::_tao_collocated_ex2::l2(CORBA::Environment &_ev)
{
  return this->servant_->l2 (_ev);
}

CORBA::Boolean POA_mod1::mod2::_tao_collocated_ex2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, mod1::mod2::ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_mod1::mod2::ex1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t58_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t58_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t59_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t59_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t59_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t60_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t60_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t60_principal_len);
                        flick_iiopxx_check_span(_t60_principal_len * 1, _flick_abort150);
                        flick_iiopxx_decode_new_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t61_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort150);
                          flick_iiopxx_encode_new_glob(8, _flick_abort150);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t61_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t61_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t62_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t63_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t64_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort159);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t64_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t64_principal_len);
                        flick_iiopxx_check_span(_t64_principal_len * 1, _flick_abort159);
                        flick_iiopxx_decode_new_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t65_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t65_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort159);
                          flick_iiopxx_encode_new_glob(8, _flick_abort159);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t65_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t65_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort165);
                                break;
                                {
                                _flick_abort165:
                                  goto _flick_abort159;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort166:
                                  goto _flick_abort159;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort159:
                          goto _flick_abort158;
                        }
                      }
                      break;
                      {
                      _flick_abort158:
                        goto _flick_abort5;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t66_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort168);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t66_principal_len);
                        flick_iiopxx_check_span(_t66_principal_len * 1, _flick_abort168);
                        flick_iiopxx_decode_new_chunk(_t66_principal_len);
                        flick_iiopxx_decode_end_chunk(_t66_principal_len);
                        flick_iiopxx_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t67_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t67_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort168);
                          flick_iiopxx_encode_new_glob(8, _flick_abort168);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t67_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t67_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort174);
                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort168;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort175:
                                  goto _flick_abort168;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort168:
                          goto _flick_abort167;
                        }
                      }
                      break;
                      {
                      _flick_abort167:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t69_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t69_principal_len);
                        flick_iiopxx_check_span(_t69_principal_len * 1, _flick_abort177);
                        flick_iiopxx_decode_new_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort177);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t70_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort177);
                          flick_iiopxx_encode_new_glob(4, _flick_abort177);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t70_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t70_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort183);
                                break;
                                {
                                _flick_abort183:
                                  goto _flick_abort177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort184:
                                  goto _flick_abort177;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort177:
                          goto _flick_abort176;
                        }
                      }
                      break;
                      {
                      _flick_abort176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t71_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t72_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t73_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t74_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t73_principal_len);
                        flick_iiopxx_check_span(_t73_principal_len * 1, _flick_abort186);
                        flick_iiopxx_decode_new_chunk(_t73_principal_len);
                        flick_iiopxx_decode_end_chunk(_t73_principal_len);
                        flick_iiopxx_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t74_temp_string_len);
                        flick_iiopxx_check_span(1 * _t74_temp_string_len * 1, _flick_abort186);
                        flick_iiopxx_decode_new_chunk(1 * _t74_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t74_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort186);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t74_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t74_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t74_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t75_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t75_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort186);
                          flick_iiopxx_encode_new_glob(5, _flick_abort186);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t75_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t75_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t20_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t20_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t21_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t22_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t22_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t22_principal_len);
                        flick_iiopxx_check_span(_t22_principal_len * 1, _flick_abort55);
                        flick_iiopxx_decode_new_chunk(_t22_principal_len);
                        flick_iiopxx_decode_end_chunk(_t22_principal_len);
                        flick_iiopxx_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t23_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t23_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort55);
                          flick_iiopxx_encode_new_glob(8, _flick_abort55);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t23_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t23_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t24_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t25_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t26_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort64);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t26_principal_len);
                        flick_iiopxx_check_span(_t26_principal_len * 1, _flick_abort64);
                        flick_iiopxx_decode_new_chunk(_t26_principal_len);
                        flick_iiopxx_decode_end_chunk(_t26_principal_len);
                        flick_iiopxx_decode_end_glob(_t26_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t27_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t27_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort64);
                          flick_iiopxx_encode_new_glob(8, _flick_abort64);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t27_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t27_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort70);
                                break;
                                {
                                _flick_abort70:
                                  goto _flick_abort64;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort64;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort64:
                          goto _flick_abort63;
                        }
                      }
                      break;
                      {
                      _flick_abort63:
                        goto _flick_abort5;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t28_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort73);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t28_principal_len);
                        flick_iiopxx_check_span(_t28_principal_len * 1, _flick_abort73);
                        flick_iiopxx_decode_new_chunk(_t28_principal_len);
                        flick_iiopxx_decode_end_chunk(_t28_principal_len);
                        flick_iiopxx_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t29_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t29_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort73);
                          flick_iiopxx_encode_new_glob(8, _flick_abort73);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t29_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t29_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort79);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort73;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort80:
                                  goto _flick_abort73;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort73:
                          goto _flick_abort72;
                        }
                      }
                      break;
                      {
                      _flick_abort72:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t30_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t31_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort82);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t31_principal_len);
                        flick_iiopxx_check_span(_t31_principal_len * 1, _flick_abort82);
                        flick_iiopxx_decode_new_chunk(_t31_principal_len);
                        flick_iiopxx_decode_end_chunk(_t31_principal_len);
                        flick_iiopxx_decode_end_glob(_t31_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort82);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t32_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t32_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort82);
                          flick_iiopxx_encode_new_glob(4, _flick_abort82);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t32_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t32_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort82;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort82;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort82:
                          goto _flick_abort81;
                        }
                      }
                      break;
                      {
                      _flick_abort81:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_mod1::mod2::ex1 *_local_this;
                        unsigned int _t35_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t35_principal_len);
                        flick_iiopxx_check_span(_t35_principal_len * 1, _flick_abort91);
                        flick_iiopxx_decode_new_chunk(_t35_principal_len);
                        flick_iiopxx_decode_end_chunk(_t35_principal_len);
                        flick_iiopxx_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t36_temp_string_len);
                        flick_iiopxx_check_span(1 * _t36_temp_string_len * 1, _flick_abort91);
                        flick_iiopxx_decode_new_chunk(1 * _t36_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t36_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t36_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t36_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t37_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t37_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                          flick_iiopxx_encode_new_glob(5, _flick_abort91);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t37_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t37_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex2 , _flick_abort196);
  return 0;
  {
  _flick_abort196:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort197);
  return 0;
  {
  _flick_abort197:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, mod1::mod2::ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort198);
  return 0;
  {
  _flick_abort198:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_mod1::mod2::ex2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t154_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort201);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t154_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t154_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t155_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t155_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t155_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t156_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t156_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t157_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t157_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t157_principal_len);
                        flick_iiopxx_check_span(_t157_principal_len * 1, _flick_abort427);
                        flick_iiopxx_decode_new_chunk(_t157_principal_len);
                        flick_iiopxx_decode_end_chunk(_t157_principal_len);
                        flick_iiopxx_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort427);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m2(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t158_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort427);
                          flick_iiopxx_encode_new_glob(12, _flick_abort427);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t158_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t158_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(8);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(12);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort433);
                                break;
                                {
                                _flick_abort433:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort434);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                                {
                                _flick_abort434:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t159_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t159_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t159_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t160_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort436);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t160_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t160_principal_len);
                        flick_iiopxx_check_span(_t160_principal_len * 1, _flick_abort436);
                        flick_iiopxx_decode_new_chunk(_t160_principal_len);
                        flick_iiopxx_decode_end_chunk(_t160_principal_len);
                        flick_iiopxx_decode_end_glob(_t160_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort436);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t161_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t161_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort436);
                          flick_iiopxx_encode_new_glob(8, _flick_abort436);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t161_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t161_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort442);
                                break;
                                {
                                _flick_abort442:
                                  goto _flick_abort436;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort443);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort443:
                                  goto _flick_abort436;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort436:
                          goto _flick_abort435;
                        }
                      }
                      break;
                      {
                      _flick_abort435:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t162_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t162_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t163_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t163_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t164_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort445);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t164_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t164_principal_len);
                        flick_iiopxx_check_span(_t164_principal_len * 1, _flick_abort445);
                        flick_iiopxx_decode_new_chunk(_t164_principal_len);
                        flick_iiopxx_decode_end_chunk(_t164_principal_len);
                        flick_iiopxx_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l3(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t165_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t165_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort445);
                          flick_iiopxx_encode_new_glob(8, _flick_abort445);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t165_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t165_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort451);
                                break;
                                {
                                _flick_abort451:
                                  goto _flick_abort445;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort452:
                                  goto _flick_abort445;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort445:
                          goto _flick_abort444;
                        }
                      }
                      break;
                      {
                      _flick_abort444:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t166_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort454);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t166_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t166_principal_len);
                        flick_iiopxx_check_span(_t166_principal_len * 1, _flick_abort454);
                        flick_iiopxx_decode_new_chunk(_t166_principal_len);
                        flick_iiopxx_decode_end_chunk(_t166_principal_len);
                        flick_iiopxx_decode_end_glob(_t166_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t167_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t167_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort454);
                          flick_iiopxx_encode_new_glob(8, _flick_abort454);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t167_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t167_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort460);
                                break;
                                {
                                _flick_abort460:
                                  goto _flick_abort454;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort461:
                                  goto _flick_abort454;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort454:
                          goto _flick_abort453;
                        }
                      }
                      break;
                      {
                      _flick_abort453:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t168_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort463);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t168_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t168_principal_len);
                        flick_iiopxx_check_span(_t168_principal_len * 1, _flick_abort463);
                        flick_iiopxx_decode_new_chunk(_t168_principal_len);
                        flick_iiopxx_decode_end_chunk(_t168_principal_len);
                        flick_iiopxx_decode_end_glob(_t168_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t169_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t169_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort463);
                          flick_iiopxx_encode_new_glob(8, _flick_abort463);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t169_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t169_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort469);
                                break;
                                {
                                _flick_abort469:
                                  goto _flick_abort463;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort470:
                                  goto _flick_abort463;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort463:
                          goto _flick_abort462;
                        }
                      }
                      break;
                      {
                      _flick_abort462:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t170_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t170_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t170_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t171_principal_len;
                        CORBA::Long _local_l3;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort472);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t171_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t171_principal_len);
                        flick_iiopxx_check_span(_t171_principal_len * 1, _flick_abort472);
                        flick_iiopxx_decode_new_chunk(_t171_principal_len);
                        flick_iiopxx_decode_end_chunk(_t171_principal_len);
                        flick_iiopxx_decode_end_glob(_t171_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort472);
                        flick_cdr_swap_decode_signed32(0, _local_l3, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l3(_local_l3, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t172_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t172_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort472);
                          flick_iiopxx_encode_new_glob(4, _flick_abort472);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t172_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t172_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort478);
                                break;
                                {
                                _flick_abort478:
                                  goto _flick_abort472;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort479:
                                  goto _flick_abort472;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort471;
                        }
                      }
                      break;
                      {
                      _flick_abort471:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t173_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort481);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t173_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t173_principal_len);
                        flick_iiopxx_check_span(_t173_principal_len * 1, _flick_abort481);
                        flick_iiopxx_decode_new_chunk(_t173_principal_len);
                        flick_iiopxx_decode_end_chunk(_t173_principal_len);
                        flick_iiopxx_decode_end_glob(_t173_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort481);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t174_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t174_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort481);
                          flick_iiopxx_encode_new_glob(4, _flick_abort481);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t174_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t174_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort487);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort481;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort488:
                                  goto _flick_abort481;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort481:
                          goto _flick_abort480;
                        }
                      }
                      break;
                      {
                      _flick_abort480:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t175_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t175_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t176_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t176_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t176_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t177_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t178_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort490);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t177_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t177_principal_len);
                        flick_iiopxx_check_span(_t177_principal_len * 1, _flick_abort490);
                        flick_iiopxx_decode_new_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort490);
                        flick_cdr_swap_decode_unsigned32(0, _t178_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t178_temp_string_len);
                        flick_iiopxx_check_span(1 * _t178_temp_string_len * 1, _flick_abort490);
                        flick_iiopxx_decode_new_chunk(1 * _t178_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t178_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort490);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t178_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t178_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t178_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t179_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t179_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort490);
                          flick_iiopxx_encode_new_glob(5, _flick_abort490);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t179_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t179_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort498);
                                break;
                                {
                                _flick_abort498:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort499:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort489;
                        }
                      }
                      break;
                      {
                      _flick_abort489:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t102_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort201);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t102_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t102_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t103_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t103_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t103_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t104_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t104_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t104_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t105_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort278);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t105_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t105_principal_len);
                        flick_iiopxx_check_span(_t105_principal_len * 1, _flick_abort278);
                        flick_iiopxx_decode_new_chunk(_t105_principal_len);
                        flick_iiopxx_decode_end_chunk(_t105_principal_len);
                        flick_iiopxx_decode_end_glob(_t105_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort278);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m2(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t106_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t106_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort278);
                          flick_iiopxx_encode_new_glob(12, _flick_abort278);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t106_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t106_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(8);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(12);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort284);
                                break;
                                {
                                _flick_abort284:
                                  goto _flick_abort278;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                                {
                                _flick_abort285:
                                  goto _flick_abort278;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort278:
                          goto _flick_abort277;
                        }
                      }
                      break;
                      {
                      _flick_abort277:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t107_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t107_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t107_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t108_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort287);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t108_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t108_principal_len);
                        flick_iiopxx_check_span(_t108_principal_len * 1, _flick_abort287);
                        flick_iiopxx_decode_new_chunk(_t108_principal_len);
                        flick_iiopxx_decode_end_chunk(_t108_principal_len);
                        flick_iiopxx_decode_end_glob(_t108_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort287);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t109_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t109_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort287);
                          flick_iiopxx_encode_new_glob(8, _flick_abort287);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t109_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t109_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort293);
                                break;
                                {
                                _flick_abort293:
                                  goto _flick_abort287;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort294);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort294:
                                  goto _flick_abort287;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort287:
                          goto _flick_abort286;
                        }
                      }
                      break;
                      {
                      _flick_abort286:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t110_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t110_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t111_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t111_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t111_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t112_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort296);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t112_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t112_principal_len);
                        flick_iiopxx_check_span(_t112_principal_len * 1, _flick_abort296);
                        flick_iiopxx_decode_new_chunk(_t112_principal_len);
                        flick_iiopxx_decode_end_chunk(_t112_principal_len);
                        flick_iiopxx_decode_end_glob(_t112_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l3(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t113_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t113_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort296);
                          flick_iiopxx_encode_new_glob(8, _flick_abort296);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t113_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t113_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort296;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort296;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort296:
                          goto _flick_abort295;
                        }
                      }
                      break;
                      {
                      _flick_abort295:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t114_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort305);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t114_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t114_principal_len);
                        flick_iiopxx_check_span(_t114_principal_len * 1, _flick_abort305);
                        flick_iiopxx_decode_new_chunk(_t114_principal_len);
                        flick_iiopxx_decode_end_chunk(_t114_principal_len);
                        flick_iiopxx_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t115_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t115_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort305);
                          flick_iiopxx_encode_new_glob(8, _flick_abort305);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t115_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t115_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort311);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort305;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort305;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort304;
                        }
                      }
                      break;
                      {
                      _flick_abort304:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t116_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort314);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t116_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t116_principal_len);
                        flick_iiopxx_check_span(_t116_principal_len * 1, _flick_abort314);
                        flick_iiopxx_decode_new_chunk(_t116_principal_len);
                        flick_iiopxx_decode_end_chunk(_t116_principal_len);
                        flick_iiopxx_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t117_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t117_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort314);
                          flick_iiopxx_encode_new_glob(8, _flick_abort314);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t117_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t117_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort320);
                                break;
                                {
                                _flick_abort320:
                                  goto _flick_abort314;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort321:
                                  goto _flick_abort314;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort314:
                          goto _flick_abort313;
                        }
                      }
                      break;
                      {
                      _flick_abort313:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t118_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t118_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t119_principal_len;
                        CORBA::Long _local_l3;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort323);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t119_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t119_principal_len);
                        flick_iiopxx_check_span(_t119_principal_len * 1, _flick_abort323);
                        flick_iiopxx_decode_new_chunk(_t119_principal_len);
                        flick_iiopxx_decode_end_chunk(_t119_principal_len);
                        flick_iiopxx_decode_end_glob(_t119_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort323);
                        flick_cdr_decode_signed32(0, _local_l3, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l3(_local_l3, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t120_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t120_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort323);
                          flick_iiopxx_encode_new_glob(4, _flick_abort323);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t120_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t120_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort323;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort323;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort323:
                          goto _flick_abort322;
                        }
                      }
                      break;
                      {
                      _flick_abort322:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t121_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort332);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t121_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t121_principal_len);
                        flick_iiopxx_check_span(_t121_principal_len * 1, _flick_abort332);
                        flick_iiopxx_decode_new_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort332);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t122_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t122_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort332);
                          flick_iiopxx_encode_new_glob(4, _flick_abort332);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t122_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t122_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort338);
                                break;
                                {
                                _flick_abort338:
                                  goto _flick_abort332;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort332;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort332:
                          goto _flick_abort331;
                        }
                      }
                      break;
                      {
                      _flick_abort331:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t123_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t123_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t123_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t124_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t124_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t124_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_mod1::mod2::ex2 *_local_this;
                        unsigned int _t125_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t126_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t125_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t125_principal_len);
                        flick_iiopxx_check_span(_t125_principal_len * 1, _flick_abort341);
                        flick_iiopxx_decode_new_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_glob(_t125_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort341);
                        flick_cdr_decode_unsigned32(0, _t126_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t126_temp_string_len);
                        flick_iiopxx_check_span(1 * _t126_temp_string_len * 1, _flick_abort341);
                        flick_iiopxx_decode_new_chunk(1 * _t126_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t126_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort341);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t126_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t126_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t126_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t127_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t127_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort341);
                          flick_iiopxx_encode_new_glob(5, _flick_abort341);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t127_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t127_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort349);
                                break;
                                {
                                _flick_abort349:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort350);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort201:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort200);
  _flick_abort200:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

