#include "struct-server.h"

POA_foo::POA_foo()
{}

POA_foo::POA_foo(const POA_foo &rhs)
  : TAO_ServantBase(rhs)
{}

POA_foo::~POA_foo()
{}

foo *POA_foo::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_foo(this, stub);
}

CORBA::Boolean POA_foo::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_foo::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:foo:1.0") == 0)
    return ACE_static_cast(POA_foo_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_foo::_interface_repository_id() const
{
  return "IDL:foo:1.0";
}

template <class T>
  POA_foo_tie<T>::POA_foo_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_foo_tie<T>::POA_foo_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_foo_tie<T>::POA_foo_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_foo_tie<T>::POA_foo_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_foo_tie<T>::~POA_foo_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_foo_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_foo_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_foo_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_foo_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_foo_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_foo_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_foo_tie<T>::POA_foo_tie(const POA_foo_tie &c)
{}

template <class T>
  void POA_foo_tie<T>::operator=(const POA_foo_tie &c)
{}

template <class T>
  CORBA::Long POA_foo_tie<T>::op(/* POA_foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, _ev);
}

_tao_collocated_foo::_tao_collocated_foo(POA_foo_ptr servant, TAO_Stub *stub)
  : foo(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_foo_ptr _tao_collocated_foo::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_foo::op(const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  return this->servant_->op (a, b, _ev);
}

CORBA::Boolean _tao_collocated_foo::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_foo2::POA_foo2()
{}

POA_foo2::POA_foo2(const POA_foo2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_foo2::~POA_foo2()
{}

foo2 *POA_foo2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_foo2(this, stub);
}

CORBA::Boolean POA_foo2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:foo2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_foo2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:foo2:1.0") == 0)
    return ACE_static_cast(POA_foo2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:foo:1.0") == 0)
    return ACE_reinterpret_cast(POA_foo_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_foo2::_interface_repository_id() const
{
  return "IDL:foo2:1.0";
}

template <class T>
  POA_foo2_tie<T>::POA_foo2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_foo2_tie<T>::POA_foo2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_foo2_tie<T>::POA_foo2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_foo2_tie<T>::POA_foo2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_foo2_tie<T>::~POA_foo2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_foo2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_foo2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_foo2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_foo2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_foo2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_foo2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_foo2_tie<T>::POA_foo2_tie(const POA_foo2_tie &c)
{}

template <class T>
  void POA_foo2_tie<T>::operator=(const POA_foo2_tie &c)
{}

template <class T>
  struct bar *POA_foo2_tie<T>::op2(/* POA_foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (a, _ev);
}

template <class T>
  CORBA::Long POA_foo2_tie<T>::op3(/* POA_foo2 *this, */ CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (a, b, _ev);
}

template <class T>
  CORBA::Long POA_foo2_tie<T>::op(/* POA_foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, _ev);
}

_tao_collocated_foo2::_tao_collocated_foo2(POA_foo2_ptr servant, TAO_Stub *stub)
  : foo2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_foo2_ptr _tao_collocated_foo2::_get_servant() const
{
  return this->servant_;
}

struct bar *_tao_collocated_foo2::op2(const struct bar2 &a, CORBA::Environment &_ev)
{
  return this->servant_->op2 (a, _ev);
}

CORBA::Long _tao_collocated_foo2::op3(CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev)
{
  return this->servant_->op3 (a, b, _ev);
}

CORBA::Long _tao_collocated_foo2::op(const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  return this->servant_->op (a, b, _ev);
}

CORBA::Boolean _tao_collocated_foo2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, foo , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, foo , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, foo , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_foo::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t39_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t39_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t39_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t40_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t40_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t41_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t41_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t41_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_foo *_local_this;
                        unsigned int _t42_principal_len;
                        CORBA::Long _return;
                        struct bar _local_a;
                        flick_unsigned32_t _t43_temp_string_len;
                        struct bar2 *_local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort87);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t42_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t42_principal_len);
                        flick_iiopxx_check_span(_t42_principal_len * 1, _flick_abort87);
                        flick_iiopxx_decode_new_chunk(_t42_principal_len);
                        flick_iiopxx_decode_end_chunk(_t42_principal_len);
                        flick_iiopxx_decode_end_glob(_t42_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(36);
                        flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiopxx_check_span(12, _flick_abort87);
                        flick_cdr_swap_decode_signed32(0, _local_a.b1, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_a.b2, CORBA::Long );
                        flick_cdr_swap_decode_unsigned32(8, _t43_temp_string_len, flick_unsigned32_t );
                        if (_t43_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort87);
                        flick_iiopxx_decode_end_chunk(12);
                        flick_iiopxx_check_span(1 * _t43_temp_string_len * 1, _flick_abort87);
                        flick_iiopxx_decode_new_chunk(1 * _t43_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t43_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort87);
                          _local_a.b3 = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a.b3, 1 * _t43_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t43_temp_string_len);
                        flick_iiopxx_decode_end_glob(36);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t44_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort87);
                          flick_iiopxx_encode_new_glob(45, _flick_abort87);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t44_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t44_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t46_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _local_b->b4.b3, flick_unsigned32_t , _t46_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(20 + 1 * _t46_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b->b3, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_b->b4.b1, CORBA::Long );
                                flick_cdr_encode_signed32(12, _local_b->b4.b2, CORBA::Long );
                                flick_cdr_encode_unsigned32(16, _t46_temp_string_len, flick_unsigned32_t );
                                if (_t46_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort96);
                                flick_cdr_encode_bcopy(20, _local_b->b4.b3, 1 * _t46_temp_string_len);
                                flick_iiopxx_encode_end_chunk(20 + 1 * _t46_temp_string_len);
                                delete _local_b;
                                _local_b = 0;
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort87;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(45);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort87;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort87;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort87:
                          goto _flick_abort86;
                        }
                      }
                      break;
                      {
                      _flick_abort86:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t47_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t47_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t48_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t48_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t48_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_foo *_local_this;
                        unsigned int _t49_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t50_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort102);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t49_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t49_principal_len);
                        flick_iiopxx_check_span(_t49_principal_len * 1, _flick_abort102);
                        flick_iiopxx_decode_new_chunk(_t49_principal_len);
                        flick_iiopxx_decode_end_chunk(_t49_principal_len);
                        flick_iiopxx_decode_end_glob(_t49_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort102);
                        flick_cdr_swap_decode_unsigned32(0, _t50_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t50_temp_string_len);
                        flick_iiopxx_check_span(1 * _t50_temp_string_len * 1, _flick_abort102);
                        flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t50_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort102);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t50_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t50_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t51_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort102);
                          flick_iiopxx_encode_new_glob(5, _flick_abort102);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t51_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t51_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort110);
                                break;
                                {
                                _flick_abort110:
                                  goto _flick_abort102;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort111:
                                  goto _flick_abort102;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort102:
                          goto _flick_abort101;
                        }
                      }
                      break;
                      {
                      _flick_abort101:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t14_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t14_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t15_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t15_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t15_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_foo *_local_this;
                        unsigned int _t16_principal_len;
                        CORBA::Long _return;
                        struct bar _local_a;
                        flick_unsigned32_t _t17_temp_string_len;
                        struct bar2 *_local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort34);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t16_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t16_principal_len);
                        flick_iiopxx_check_span(_t16_principal_len * 1, _flick_abort34);
                        flick_iiopxx_decode_new_chunk(_t16_principal_len);
                        flick_iiopxx_decode_end_chunk(_t16_principal_len);
                        flick_iiopxx_decode_end_glob(_t16_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(36);
                        flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiopxx_check_span(12, _flick_abort34);
                        flick_cdr_decode_signed32(0, _local_a.b1, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_a.b2, CORBA::Long );
                        flick_cdr_decode_unsigned32(8, _t17_temp_string_len, flick_unsigned32_t );
                        if (_t17_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort34);
                        flick_iiopxx_decode_end_chunk(12);
                        flick_iiopxx_check_span(1 * _t17_temp_string_len * 1, _flick_abort34);
                        flick_iiopxx_decode_new_chunk(1 * _t17_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t17_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort34);
                          _local_a.b3 = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a.b3, 1 * _t17_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t17_temp_string_len);
                        flick_iiopxx_decode_end_glob(36);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t18_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t18_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort34);
                          flick_iiopxx_encode_new_glob(45, _flick_abort34);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t18_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t18_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t20_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _local_b->b4.b3, flick_unsigned32_t , _t20_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(20 + 1 * _t20_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b->b3, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_b->b4.b1, CORBA::Long );
                                flick_cdr_encode_signed32(12, _local_b->b4.b2, CORBA::Long );
                                flick_cdr_encode_unsigned32(16, _t20_temp_string_len, flick_unsigned32_t );
                                if (_t20_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort43);
                                flick_cdr_encode_bcopy(20, _local_b->b4.b3, 1 * _t20_temp_string_len);
                                flick_iiopxx_encode_end_chunk(20 + 1 * _t20_temp_string_len);
                                delete _local_b;
                                _local_b = 0;
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort34;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(45);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort46);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort34;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort47:
                                  goto _flick_abort34;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort34:
                          goto _flick_abort33;
                        }
                      }
                      break;
                      {
                      _flick_abort33:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t21_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t22_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t22_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t22_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_foo *_local_this;
                        unsigned int _t23_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t24_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t23_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t23_principal_len);
                        flick_iiopxx_check_span(_t23_principal_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort49);
                        flick_cdr_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_check_span(1 * _t24_temp_string_len * 1, _flick_abort49);
                        flick_iiopxx_decode_new_chunk(1 * _t24_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t24_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t25_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t25_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort49);
                          flick_iiopxx_encode_new_glob(5, _flick_abort49);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t25_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t25_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
                                break;
                                {
                                _flick_abort57:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, foo2 , _flick_abort112);
  return 0;
  {
  _flick_abort112:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, foo2 , _flick_abort113);
  return 0;
  {
  _flick_abort113:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, foo2 , _flick_abort114);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_foo2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t115_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort117);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t115_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t115_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t116_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t116_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_foo2 *_local_this;
                  unsigned int _t117_principal_len;
                  struct bar *_return;
                  struct bar2 _local_a;
                  flick_unsigned32_t _t118_temp_string_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort271);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t117_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t117_principal_len);
                  flick_iiopxx_check_span(_t117_principal_len * 1, _flick_abort271);
                  flick_iiopxx_decode_new_chunk(_t117_principal_len);
                  flick_iiopxx_decode_end_chunk(_t117_principal_len);
                  flick_iiopxx_decode_end_glob(_t117_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(40);
                  flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiopxx_check_span(16, _flick_abort271);
                  flick_cdr_swap_decode_signed32(0, _local_a.b3, CORBA::Long );
                  flick_cdr_swap_decode_signed32(4, _local_a.b4.b1, CORBA::Long );
                  flick_cdr_swap_decode_signed32(8, _local_a.b4.b2, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(12, _t118_temp_string_len, flick_unsigned32_t );
                  if (_t118_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort271);
                  flick_iiopxx_decode_end_chunk(16);
                  flick_iiopxx_check_span(1 * _t118_temp_string_len * 1, _flick_abort271);
                  flick_iiopxx_decode_new_chunk(1 * _t118_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t118_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
                    _local_a.b4.b3 = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_a.b4.b3, 1 * _t118_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t118_temp_string_len);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t119_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t119_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort271);
                    flick_iiopxx_encode_new_glob(37, _flick_abort271);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t119_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t119_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t121_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _return->b3, flick_unsigned32_t , _t121_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12 + 1 * _t121_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA::Long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA::Long );
                          flick_cdr_encode_unsigned32(8, _t121_temp_string_len, flick_unsigned32_t );
                          if (_t121_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort280);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t121_temp_string_len);
                          flick_iiopxx_encode_end_chunk(12 + 1 * _t121_temp_string_len);
                          delete _return;
                          _return = 0;
                          flick_iiopxx_encode_end_glob(37);
                          break;
                          {
                          _flick_abort280:
                            goto _flick_abort271;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(37);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort283);
                          break;
                          {
                          _flick_abort283:
                            goto _flick_abort271;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort284);
                          flick_iiopxx_encode_end_glob(37);
                          break;
                          {
                          _flick_abort284:
                            goto _flick_abort271;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort271:
                    goto _flick_abort270;
                  }
                }
                break;
                {
                _flick_abort270:
                  goto _flick_abort117;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_foo2 *_local_this;
                  unsigned int _t122_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  CORBA::Char _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort286);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t122_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t122_principal_len);
                  flick_iiopxx_check_span(_t122_principal_len * 1, _flick_abort286);
                  flick_iiopxx_decode_new_chunk(_t122_principal_len);
                  flick_iiopxx_decode_end_chunk(_t122_principal_len);
                  flick_iiopxx_decode_end_glob(_t122_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort286);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t123_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t123_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort286);
                    flick_iiopxx_encode_new_glob(9, _flick_abort286);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t123_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t123_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_char8(4, _local_b, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort292);
                          break;
                          {
                          _flick_abort292:
                            goto _flick_abort286;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort293);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort293:
                            goto _flick_abort286;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort286:
                    goto _flick_abort285;
                  }
                }
                break;
                {
                _flick_abort285:
                  goto _flick_abort117;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t124_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t124_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t124_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t125_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t125_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t125_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_foo2 *_local_this;
                        unsigned int _t126_principal_len;
                        CORBA::Long _return;
                        struct bar _local_a;
                        flick_unsigned32_t _t127_temp_string_len;
                        struct bar2 *_local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort295);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t126_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t126_principal_len);
                        flick_iiopxx_check_span(_t126_principal_len * 1, _flick_abort295);
                        flick_iiopxx_decode_new_chunk(_t126_principal_len);
                        flick_iiopxx_decode_end_chunk(_t126_principal_len);
                        flick_iiopxx_decode_end_glob(_t126_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(36);
                        flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiopxx_check_span(12, _flick_abort295);
                        flick_cdr_swap_decode_signed32(0, _local_a.b1, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_a.b2, CORBA::Long );
                        flick_cdr_swap_decode_unsigned32(8, _t127_temp_string_len, flick_unsigned32_t );
                        if (_t127_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort295);
                        flick_iiopxx_decode_end_chunk(12);
                        flick_iiopxx_check_span(1 * _t127_temp_string_len * 1, _flick_abort295);
                        flick_iiopxx_decode_new_chunk(1 * _t127_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t127_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort295);
                          _local_a.b3 = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a.b3, 1 * _t127_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t127_temp_string_len);
                        flick_iiopxx_decode_end_glob(36);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t128_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t128_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort295);
                          flick_iiopxx_encode_new_glob(45, _flick_abort295);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t128_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t128_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t130_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _local_b->b4.b3, flick_unsigned32_t , _t130_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(20 + 1 * _t130_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b->b3, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_b->b4.b1, CORBA::Long );
                                flick_cdr_encode_signed32(12, _local_b->b4.b2, CORBA::Long );
                                flick_cdr_encode_unsigned32(16, _t130_temp_string_len, flick_unsigned32_t );
                                if (_t130_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort304);
                                flick_cdr_encode_bcopy(20, _local_b->b4.b3, 1 * _t130_temp_string_len);
                                flick_iiopxx_encode_end_chunk(20 + 1 * _t130_temp_string_len);
                                delete _local_b;
                                _local_b = 0;
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort304:
                                  goto _flick_abort295;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(45);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort307);
                                break;
                                {
                                _flick_abort307:
                                  goto _flick_abort295;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort308);
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort308:
                                  goto _flick_abort295;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort295:
                          goto _flick_abort294;
                        }
                      }
                      break;
                      {
                      _flick_abort294:
                        goto _flick_abort117;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t131_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort117);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t131_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t132_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t132_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_foo2 *_local_this;
                        unsigned int _t133_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t134_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort310);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t133_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t133_principal_len);
                        flick_iiopxx_check_span(_t133_principal_len * 1, _flick_abort310);
                        flick_iiopxx_decode_new_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort310);
                        flick_cdr_swap_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t134_temp_string_len);
                        flick_iiopxx_check_span(1 * _t134_temp_string_len * 1, _flick_abort310);
                        flick_iiopxx_decode_new_chunk(1 * _t134_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t134_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort310);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t134_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t134_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t134_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t135_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t135_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort310);
                          flick_iiopxx_encode_new_glob(5, _flick_abort310);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t135_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t135_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
                                break;
                                {
                                _flick_abort318:
                                  goto _flick_abort310;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort310;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort310:
                          goto _flick_abort309;
                        }
                      }
                      break;
                      {
                      _flick_abort309:
                        goto _flick_abort117;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t73_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort117);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t73_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t74_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t74_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_foo2 *_local_this;
                  unsigned int _t75_principal_len;
                  struct bar *_return;
                  struct bar2 _local_a;
                  flick_unsigned32_t _t76_temp_string_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort170);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t75_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t75_principal_len);
                  flick_iiopxx_check_span(_t75_principal_len * 1, _flick_abort170);
                  flick_iiopxx_decode_new_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_glob(_t75_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(40);
                  flick_iiopxx_decode_new_chunk_align(16, 2, 0, 0);
                  flick_iiopxx_check_span(16, _flick_abort170);
                  flick_cdr_decode_signed32(0, _local_a.b3, CORBA::Long );
                  flick_cdr_decode_signed32(4, _local_a.b4.b1, CORBA::Long );
                  flick_cdr_decode_signed32(8, _local_a.b4.b2, CORBA::Long );
                  flick_cdr_decode_unsigned32(12, _t76_temp_string_len, flick_unsigned32_t );
                  if (_t76_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort170);
                  flick_iiopxx_decode_end_chunk(16);
                  flick_iiopxx_check_span(1 * _t76_temp_string_len * 1, _flick_abort170);
                  flick_iiopxx_decode_new_chunk(1 * _t76_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t76_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort170);
                    _local_a.b4.b3 = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_a.b4.b3, 1 * _t76_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t76_temp_string_len);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t77_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t77_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort170);
                    flick_iiopxx_encode_new_glob(37, _flick_abort170);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t77_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t77_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t79_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _return->b3, flick_unsigned32_t , _t79_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12 + 1 * _t79_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA::Long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA::Long );
                          flick_cdr_encode_unsigned32(8, _t79_temp_string_len, flick_unsigned32_t );
                          if (_t79_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort179);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t79_temp_string_len);
                          flick_iiopxx_encode_end_chunk(12 + 1 * _t79_temp_string_len);
                          delete _return;
                          _return = 0;
                          flick_iiopxx_encode_end_glob(37);
                          break;
                          {
                          _flick_abort179:
                            goto _flick_abort170;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(37);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort182);
                          break;
                          {
                          _flick_abort182:
                            goto _flick_abort170;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort183);
                          flick_iiopxx_encode_end_glob(37);
                          break;
                          {
                          _flick_abort183:
                            goto _flick_abort170;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort170:
                    goto _flick_abort169;
                  }
                }
                break;
                {
                _flick_abort169:
                  goto _flick_abort117;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_foo2 *_local_this;
                  unsigned int _t80_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  CORBA::Char _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort185);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t80_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t80_principal_len);
                  flick_iiopxx_check_span(_t80_principal_len * 1, _flick_abort185);
                  flick_iiopxx_decode_new_chunk(_t80_principal_len);
                  flick_iiopxx_decode_end_chunk(_t80_principal_len);
                  flick_iiopxx_decode_end_glob(_t80_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort185);
                  flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t81_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t81_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort185);
                    flick_iiopxx_encode_new_glob(9, _flick_abort185);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t81_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t81_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_char8(4, _local_b, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort191);
                          break;
                          {
                          _flick_abort191:
                            goto _flick_abort185;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort192:
                            goto _flick_abort185;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort185:
                    goto _flick_abort184;
                  }
                }
                break;
                {
                _flick_abort184:
                  goto _flick_abort117;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t82_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t82_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t82_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t83_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t83_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t83_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_foo2 *_local_this;
                        unsigned int _t84_principal_len;
                        CORBA::Long _return;
                        struct bar _local_a;
                        flick_unsigned32_t _t85_temp_string_len;
                        struct bar2 *_local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort194);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t84_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t84_principal_len);
                        flick_iiopxx_check_span(_t84_principal_len * 1, _flick_abort194);
                        flick_iiopxx_decode_new_chunk(_t84_principal_len);
                        flick_iiopxx_decode_end_chunk(_t84_principal_len);
                        flick_iiopxx_decode_end_glob(_t84_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(36);
                        flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
                        flick_iiopxx_check_span(12, _flick_abort194);
                        flick_cdr_decode_signed32(0, _local_a.b1, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_a.b2, CORBA::Long );
                        flick_cdr_decode_unsigned32(8, _t85_temp_string_len, flick_unsigned32_t );
                        if (_t85_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort194);
                        flick_iiopxx_decode_end_chunk(12);
                        flick_iiopxx_check_span(1 * _t85_temp_string_len * 1, _flick_abort194);
                        flick_iiopxx_decode_new_chunk(1 * _t85_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t85_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
                          _local_a.b3 = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a.b3, 1 * _t85_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t85_temp_string_len);
                        flick_iiopxx_decode_end_glob(36);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t86_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t86_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort194);
                          flick_iiopxx_encode_new_glob(45, _flick_abort194);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t86_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t86_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t88_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _local_b->b4.b3, flick_unsigned32_t , _t88_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(20 + 1 * _t88_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b->b3, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_b->b4.b1, CORBA::Long );
                                flick_cdr_encode_signed32(12, _local_b->b4.b2, CORBA::Long );
                                flick_cdr_encode_unsigned32(16, _t88_temp_string_len, flick_unsigned32_t );
                                if (_t88_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort203);
                                flick_cdr_encode_bcopy(20, _local_b->b4.b3, 1 * _t88_temp_string_len);
                                flick_iiopxx_encode_end_chunk(20 + 1 * _t88_temp_string_len);
                                delete _local_b;
                                _local_b = 0;
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort203:
                                  goto _flick_abort194;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(45);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort206);
                                break;
                                {
                                _flick_abort206:
                                  goto _flick_abort194;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort207);
                                flick_iiopxx_encode_end_glob(45);
                                break;
                                {
                                _flick_abort207:
                                  goto _flick_abort194;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort194:
                          goto _flick_abort193;
                        }
                      }
                      break;
                      {
                      _flick_abort193:
                        goto _flick_abort117;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t89_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort117);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t89_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t89_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t90_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t90_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t90_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_foo2 *_local_this;
                        unsigned int _t91_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t92_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort209);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t91_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t91_principal_len);
                        flick_iiopxx_check_span(_t91_principal_len * 1, _flick_abort209);
                        flick_iiopxx_decode_new_chunk(_t91_principal_len);
                        flick_iiopxx_decode_end_chunk(_t91_principal_len);
                        flick_iiopxx_decode_end_glob(_t91_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort209);
                        flick_cdr_decode_unsigned32(0, _t92_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t92_temp_string_len);
                        flick_iiopxx_check_span(1 * _t92_temp_string_len * 1, _flick_abort209);
                        flick_iiopxx_decode_new_chunk(1 * _t92_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t92_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t92_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t92_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t92_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t93_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t93_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort209);
                          flick_iiopxx_encode_new_glob(5, _flick_abort209);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t93_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t93_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort217);
                                break;
                                {
                                _flick_abort217:
                                  goto _flick_abort209;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort218);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort218:
                                  goto _flick_abort209;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort209:
                          goto _flick_abort208;
                        }
                      }
                      break;
                      {
                      _flick_abort208:
                        goto _flick_abort117;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort117);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort117:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort116);
  _flick_abort116:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

