#include "union-server.h"

POA_a::POA_a()
{}

POA_a::POA_a(const POA_a &rhs)
  : TAO_ServantBase(rhs)
{}

POA_a::~POA_a()
{}

a *POA_a::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_a(this, stub);
}

CORBA::Boolean POA_a::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:a:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_a::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:a:1.0") == 0)
    return ACE_static_cast(POA_a_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_a::_interface_repository_id() const
{
  return "IDL:a:1.0";
}

template <class T>
  POA_a_tie<T>::POA_a_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_a_tie<T>::POA_a_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_a_tie<T>::POA_a_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_a_tie<T>::POA_a_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_a_tie<T>::~POA_a_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_a_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_a_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_a_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_a_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_a_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_a_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_a_tie<T>::POA_a_tie(const POA_a_tie &c)
{}

template <class T>
  void POA_a_tie<T>::operator=(const POA_a_tie &c)
{}

template <class T>
  Foo2 POA_a_tie<T>::opA(/* POA_a *this, */ const struct a::astruct &b, CORBA::Environment &_ev)
{
  return this->ptr_->opA (b, _ev);
}

_tao_collocated_a::_tao_collocated_a(POA_a_ptr servant, TAO_Stub *stub)
  : a(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_a_ptr _tao_collocated_a::_get_servant() const
{
  return this->servant_;
}

Foo2 _tao_collocated_a::opA(const struct a::astruct &b, CORBA::Environment &_ev)
{
  return this->servant_->opA (b, _ev);
}

CORBA::Boolean _tao_collocated_a::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, a , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, a , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, a , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_a::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t27_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(13, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t27_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t27_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t28_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t28_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  POA_a *_local_this;
                  unsigned int _t29_principal_len;
                  Foo2 _return;
                  struct a::astruct _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort279);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t29_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t29_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t29_principal_len * 1, _flick_abort279);
                  flick_iiopxx_decode_new_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_glob(_t29_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(33);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_b.a1.disc_, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch (_local_b.a1.disc_)
                    {
                    case 'a':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort291);
                        flick_cdr_swap_decode_signed32(0, _local_b.a1._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort291:
                          goto _flick_abort279;
                        }
                      }
                    case 'b':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort292);
                        flick_cdr_swap_decode_signed32(0, _local_b.a1._u.y.disc_, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1, _flick_abort292);
                        switch (_local_b.a1._u.y.disc_)
                          {
                          case 1:
                            {
                              flick_iiopxx_check_span(4, _flick_abort297);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b.a1._u.y._u.x, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort297:
                                goto _flick_abort292;
                              }
                            }
                          case 2:
                            {
                              flick_iiopxx_check_span(5, _flick_abort298);
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed32(0, _local_b.a1._u.y._u.y.b1, CORBA::Long );
                              flick_cdr_swap_decode_char8(4, _local_b.a1._u.y._u.y.b2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort298:
                                goto _flick_abort292;
                              }
                            }
                          default:
                            {
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_b.a1._u.y._u.z, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              break;
                              {
                                goto _flick_abort292;
                              }
                            }
                          }
                        break;
                        {
                        _flick_abort292:
                          goto _flick_abort279;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort279);
                  flick_cdr_swap_decode_signed32(0, _local_b.a2.disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_local_b.a2.disc_)
                    {
                    case 1:
                      {
                        flick_iiopxx_check_span(4, _flick_abort305);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_b.a2._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort279;
                        }
                      }
                    case 2:
                      {
                        flick_iiopxx_check_span(5, _flick_abort306);
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _local_b.a2._u.y.b1, CORBA::Long );
                        flick_cdr_swap_decode_char8(4, _local_b.a2._u.y.b2, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort306:
                          goto _flick_abort279;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_check_span(1, _flick_abort307);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b.a2._u.z, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort307:
                          goto _flick_abort279;
                        }
                      }
                    }
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort279);
                  flick_cdr_swap_decode_signed32(0, _local_b.a3.b1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, _local_b.a3.b2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  flick_iiopxx_decode_end_glob(33);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->opA(_local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t30_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t30_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort279);
                    flick_iiopxx_encode_new_glob(17, _flick_abort279);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t30_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t30_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return.disc_, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(1);
                          switch (_return.disc_)
                            {
                            case 'a':
                              {
                                flick_iiopxx_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiopxx_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y.disc_, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(7);
                                switch (_return._u.y.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA::Long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(17);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(17);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort355);
                          break;
                          {
                          _flick_abort355:
                            goto _flick_abort279;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort356);
                          flick_iiopxx_encode_end_glob(17);
                          break;
                          {
                          _flick_abort356:
                            goto _flick_abort279;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort279:
                    goto _flick_abort278;
                  }
                }
                break;
                {
                _flick_abort278:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t31_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t32_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t32_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_a *_local_this;
                        unsigned int _t33_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t34_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort358);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t33_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t33_principal_len);
                        flick_iiopxx_check_span(_t33_principal_len * 1, _flick_abort358);
                        flick_iiopxx_decode_new_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_glob(_t33_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort358);
                        flick_cdr_swap_decode_unsigned32(0, _t34_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t34_temp_string_len);
                        flick_iiopxx_check_span(1 * _t34_temp_string_len * 1, _flick_abort358);
                        flick_iiopxx_decode_new_chunk(1 * _t34_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t34_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort358);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t34_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t34_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t34_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t35_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort358);
                          flick_iiopxx_encode_new_glob(5, _flick_abort358);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t35_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t35_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort366);
                                break;
                                {
                                _flick_abort366:
                                  goto _flick_abort358;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort367);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort367:
                                  goto _flick_abort358;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort358:
                          goto _flick_abort357;
                        }
                      }
                      break;
                      {
                      _flick_abort357:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t9_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(13, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t9_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t9_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t10_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t10_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  POA_a *_local_this;
                  unsigned int _t11_principal_len;
                  Foo2 _return;
                  struct a::astruct _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort98);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t11_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t11_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t11_principal_len * 1, _flick_abort98);
                  flick_iiopxx_decode_new_chunk(_t11_principal_len);
                  flick_iiopxx_decode_end_chunk(_t11_principal_len);
                  flick_iiopxx_decode_end_glob(_t11_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(33);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b.a1.disc_, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch (_local_b.a1.disc_)
                    {
                    case 'a':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort110);
                        flick_cdr_decode_signed32(0, _local_b.a1._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort110:
                          goto _flick_abort98;
                        }
                      }
                    case 'b':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort111);
                        flick_cdr_decode_signed32(0, _local_b.a1._u.y.disc_, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1, _flick_abort111);
                        switch (_local_b.a1._u.y.disc_)
                          {
                          case 1:
                            {
                              flick_iiopxx_check_span(4, _flick_abort116);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b.a1._u.y._u.x, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort116:
                                goto _flick_abort111;
                              }
                            }
                          case 2:
                            {
                              flick_iiopxx_check_span(5, _flick_abort117);
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_signed32(0, _local_b.a1._u.y._u.y.b1, CORBA::Long );
                              flick_cdr_decode_char8(4, _local_b.a1._u.y._u.y.b2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort117:
                                goto _flick_abort111;
                              }
                            }
                          default:
                            {
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_b.a1._u.y._u.z, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              break;
                              {
                                goto _flick_abort111;
                              }
                            }
                          }
                        break;
                        {
                        _flick_abort111:
                          goto _flick_abort98;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort98);
                  flick_cdr_decode_signed32(0, _local_b.a2.disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_local_b.a2.disc_)
                    {
                    case 1:
                      {
                        flick_iiopxx_check_span(4, _flick_abort124);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b.a2._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort124:
                          goto _flick_abort98;
                        }
                      }
                    case 2:
                      {
                        flick_iiopxx_check_span(5, _flick_abort125);
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b.a2._u.y.b1, CORBA::Long );
                        flick_cdr_decode_char8(4, _local_b.a2._u.y.b2, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort125:
                          goto _flick_abort98;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_check_span(1, _flick_abort126);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b.a2._u.z, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort126:
                          goto _flick_abort98;
                        }
                      }
                    }
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort98);
                  flick_cdr_decode_signed32(0, _local_b.a3.b1, CORBA::Long );
                  flick_cdr_decode_char8(4, _local_b.a3.b2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  flick_iiopxx_decode_end_glob(33);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->opA(_local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t12_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t12_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort98);
                    flick_iiopxx_encode_new_glob(17, _flick_abort98);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t12_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t12_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return.disc_, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(1);
                          switch (_return.disc_)
                            {
                            case 'a':
                              {
                                flick_iiopxx_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiopxx_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y.disc_, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(7);
                                switch (_return._u.y.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA::Long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(17);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(17);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort174);
                          break;
                          {
                          _flick_abort174:
                            goto _flick_abort98;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                          flick_iiopxx_encode_end_glob(17);
                          break;
                          {
                          _flick_abort175:
                            goto _flick_abort98;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort98:
                    goto _flick_abort97;
                  }
                }
                break;
                {
                _flick_abort97:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t13_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t13_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t14_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t14_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_a *_local_this;
                        unsigned int _t15_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t16_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t15_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t15_principal_len);
                        flick_iiopxx_check_span(_t15_principal_len * 1, _flick_abort177);
                        flick_iiopxx_decode_new_chunk(_t15_principal_len);
                        flick_iiopxx_decode_end_chunk(_t15_principal_len);
                        flick_iiopxx_decode_end_glob(_t15_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort177);
                        flick_cdr_decode_unsigned32(0, _t16_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t16_temp_string_len);
                        flick_iiopxx_check_span(1 * _t16_temp_string_len * 1, _flick_abort177);
                        flick_iiopxx_decode_new_chunk(1 * _t16_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t16_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort177);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t16_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t16_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t16_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t17_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t17_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort177);
                          flick_iiopxx_encode_new_glob(5, _flick_abort177);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t17_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t17_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort185);
                                break;
                                {
                                _flick_abort185:
                                  goto _flick_abort177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort186);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort186:
                                  goto _flick_abort177;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort177:
                          goto _flick_abort176;
                        }
                      }
                      break;
                      {
                      _flick_abort176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

