#include "inherit-server.h"

/* This is the runtime type information */
char *flick_interface_parents_one[] = {
	0
};

char *flick_interface_parents_two[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_three[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_four[] = {
	"IDL:two:1.0",
	"IDL:three:1.0",
	0
};

char *flick_interface_parents_five[] = {
	"IDL:four:1.0",
	"IDL:three:1.0",
	"IDL:two:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t one_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t4_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t4_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 0:
        {
          {
            one _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t5_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort23);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t5_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            one_op_one(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort23);
              flick_trapeze_encode_new_glob(4, _flick_abort23);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
                    break;
                    {
                    _flick_abort30:
                      goto _flick_abort23;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t6_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t7_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort32);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort32);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t6_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t6_temp_string_len);
            _ev = (CORBA_Environment *)(&_t7_storage);
            _par = flick_interface_parents_one;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort32);
              flick_trapeze_encode_new_glob(5, _flick_abort32);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort32;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort32:
              goto _flick_abort31;
            }
          }
          break;
          {
          _flick_abort31:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t two_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t21_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort79);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t21_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 2:
        {
          {
            two _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t22_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort109);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t22_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            two_op_two(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort109);
              flick_trapeze_encode_new_glob(4, _flick_abort109);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort109;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort109:
              goto _flick_abort108;
            }
          }
          break;
          {
          _flick_abort108:
            goto _flick_abort79;
          }
        }
      case (signed int) 3:
        {
          {
            two _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort118);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t23_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            two_op_one(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort118);
              flick_trapeze_encode_new_glob(4, _flick_abort118);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort118;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort118:
              goto _flick_abort117;
            }
          }
          break;
          {
          _flick_abort117:
            goto _flick_abort79;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t24_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t25_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort127);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort127);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t24_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t24_temp_string_len);
            _ev = (CORBA_Environment *)(&_t25_storage);
            _par = flick_interface_parents_two;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort127);
              flick_trapeze_encode_new_glob(5, _flick_abort127);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort127;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort127:
              goto _flick_abort126;
            }
          }
          break;
          {
          _flick_abort126:
            goto _flick_abort79;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort79);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort79:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort78);
  _flick_abort78:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t three_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t41_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort192);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t41_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t41_switch_tag)
      {
      case (signed int) 5:
        {
          {
            three _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t42_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort222);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t42_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            three_op_three(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort222);
              flick_trapeze_encode_new_glob(4, _flick_abort222);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort229);
                    break;
                    {
                    _flick_abort229:
                      goto _flick_abort222;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort222:
              goto _flick_abort221;
            }
          }
          break;
          {
          _flick_abort221:
            goto _flick_abort192;
          }
        }
      case (signed int) 6:
        {
          {
            three _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t43_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort231);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t43_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            three_op_one(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort231);
              flick_trapeze_encode_new_glob(4, _flick_abort231);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                    break;
                    {
                    _flick_abort238:
                      goto _flick_abort231;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort231:
              goto _flick_abort230;
            }
          }
          break;
          {
          _flick_abort230:
            goto _flick_abort192;
          }
        }
      case (signed int) 7:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t44_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t45_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort240);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort240);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t44_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t44_temp_string_len);
            _ev = (CORBA_Environment *)(&_t45_storage);
            _par = flick_interface_parents_three;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort240);
              flick_trapeze_encode_new_glob(5, _flick_abort240);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                    break;
                    {
                    _flick_abort247:
                      goto _flick_abort240;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort240:
              goto _flick_abort239;
            }
          }
          break;
          {
          _flick_abort239:
            goto _flick_abort192;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort192);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort192:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort191);
  _flick_abort191:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t four_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t63_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort305);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t63_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t63_switch_tag)
      {
      case (signed int) 8:
        {
          {
            four _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t64_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort353);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t64_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            four_op_four(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort353);
              flick_trapeze_encode_new_glob(4, _flick_abort353);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort360);
                    break;
                    {
                    _flick_abort360:
                      goto _flick_abort353;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort353:
              goto _flick_abort352;
            }
          }
          break;
          {
          _flick_abort352:
            goto _flick_abort305;
          }
        }
      case (signed int) 9:
        {
          {
            four _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t65_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort362);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t65_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            four_op_two(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort362);
              flick_trapeze_encode_new_glob(4, _flick_abort362);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort369);
                    break;
                    {
                    _flick_abort369:
                      goto _flick_abort362;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort362:
              goto _flick_abort361;
            }
          }
          break;
          {
          _flick_abort361:
            goto _flick_abort305;
          }
        }
      case (signed int) 10:
        {
          {
            four _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t66_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort371);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t66_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            four_op_one(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort371);
              flick_trapeze_encode_new_glob(4, _flick_abort371);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort378);
                    break;
                    {
                    _flick_abort378:
                      goto _flick_abort371;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort371:
              goto _flick_abort370;
            }
          }
          break;
          {
          _flick_abort370:
            goto _flick_abort305;
          }
        }
      case (signed int) 11:
        {
          {
            four _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t67_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort380);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t67_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            four_op_three(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort380);
              flick_trapeze_encode_new_glob(4, _flick_abort380);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort387);
                    break;
                    {
                    _flick_abort387:
                      goto _flick_abort380;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort380:
              goto _flick_abort379;
            }
          }
          break;
          {
          _flick_abort379:
            goto _flick_abort305;
          }
        }
      case (signed int) 12:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t68_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t69_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort389);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort389);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t68_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t68_temp_string_len);
            _ev = (CORBA_Environment *)(&_t69_storage);
            _par = flick_interface_parents_four;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort389);
              flick_trapeze_encode_new_glob(5, _flick_abort389);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort396);
                    break;
                    {
                    _flick_abort396:
                      goto _flick_abort389;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort389:
              goto _flick_abort388;
            }
          }
          break;
          {
          _flick_abort388:
            goto _flick_abort305;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort305);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort305:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort304);
  _flick_abort304:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t five_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t92_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort490);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t92_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t92_switch_tag)
      {
      case (signed int) 13:
        {
          {
            five _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t93_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort547);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t93_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            five_op_five(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort547);
              flick_trapeze_encode_new_glob(4, _flick_abort547);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort554);
                    break;
                    {
                    _flick_abort554:
                      goto _flick_abort547;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort547:
              goto _flick_abort546;
            }
          }
          break;
          {
          _flick_abort546:
            goto _flick_abort490;
          }
        }
      case (signed int) 14:
        {
          {
            five _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t94_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort556);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t94_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            five_op_four(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort556);
              flick_trapeze_encode_new_glob(4, _flick_abort556);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort563);
                    break;
                    {
                    _flick_abort563:
                      goto _flick_abort556;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort556:
              goto _flick_abort555;
            }
          }
          break;
          {
          _flick_abort555:
            goto _flick_abort490;
          }
        }
      case (signed int) 15:
        {
          {
            five _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t95_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort565);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t95_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            five_op_two(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort565);
              flick_trapeze_encode_new_glob(4, _flick_abort565);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort572);
                    break;
                    {
                    _flick_abort572:
                      goto _flick_abort565;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort565:
              goto _flick_abort564;
            }
          }
          break;
          {
          _flick_abort564:
            goto _flick_abort490;
          }
        }
      case (signed int) 16:
        {
          {
            five _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t96_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort574);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t96_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            five_op_one(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort574);
              flick_trapeze_encode_new_glob(4, _flick_abort574);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort581);
                    break;
                    {
                    _flick_abort581:
                      goto _flick_abort574;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort574:
              goto _flick_abort573;
            }
          }
          break;
          {
          _flick_abort573:
            goto _flick_abort490;
          }
        }
      case (signed int) 17:
        {
          {
            five _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t97_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort583);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t97_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            five_op_three(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort583);
              flick_trapeze_encode_new_glob(4, _flick_abort583);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort590);
                    break;
                    {
                    _flick_abort590:
                      goto _flick_abort583;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort583:
              goto _flick_abort582;
            }
          }
          break;
          {
          _flick_abort582:
            goto _flick_abort490;
          }
        }
      case (signed int) 18:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t98_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t99_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort592);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort592);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t98_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t98_temp_string_len);
            _ev = (CORBA_Environment *)(&_t99_storage);
            _par = flick_interface_parents_five;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort592);
              flick_trapeze_encode_new_glob(5, _flick_abort592);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort599);
                    break;
                    {
                    _flick_abort599:
                      goto _flick_abort592;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort592:
              goto _flick_abort591;
            }
          }
          break;
          {
          _flick_abort591:
            goto _flick_abort490;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort490);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort490:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort489);
  _flick_abort489:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

