#include "recursive-server.h"

/* This is the runtime type information */
char *flick_interface_parents_obj[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t obj_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t11_switch_tag;

    flick_trapeze_decode_new_glob(120);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t11_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 0:
        {
          {
            obj _obj;
            obj_my_obj _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t12_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort43);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t12_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = obj_get_server(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort43);
              flick_trapeze_encode_new_glob(4, _flick_abort43);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
                    break;
                    {
                    _flick_abort50:
                      goto _flick_abort43;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort43:
              goto _flick_abort42;
            }
          }
          break;
          {
          _flick_abort42:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            obj _obj;
            obj_my_obj _local_srvr;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort52);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t13_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            obj_set_server(_obj, _local_srvr, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort52);
              flick_trapeze_encode_new_glob(4, _flick_abort52);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                    break;
                    {
                    _flick_abort59:
                      goto _flick_abort52;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort52:
              goto _flick_abort51;
            }
          }
          break;
          {
          _flick_abort51:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            obj _obj;
            c _return;
            struct a *_local_a1;
            struct a _t14_storage;
            flick_unsigned32_t _t15_temp_string_len;
            flick_unsigned32_t _t16_temp_string_len;
            struct b *_local_b1;
            struct b _t17_storage;
            flick_unsigned32_t _t18_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t19_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort61);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(24, _flick_abort61);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a1 = (struct a *)(&_t14_storage);
            flick_cdr_decode_signed32(4, _local_a1->c.c, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk_align(104, 3, 2, 0);
            flick_trapeze_check_span(104, _flick_abort61);
            flick_cdr_decode_float64(0, _local_a1->c.d, CORBA_double );
            flick_cdr_decode_signed16(8, _local_a1->c.e, CORBA_short );
            flick_cdr_decode_char8(10, _local_a1->e.c, CORBA_char );
            flick_cdr_decode_unsigned32(12, _t15_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a1->e.d, 1 * _t15_temp_string_len);
            flick_cdr_decode_unsigned32(16, _local_a1->e.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->e.e._buffer, sizeof(struct a_d ) * _local_a1->e.e._length);
            flick_cdr_decode_signed32(20, _local_a1->f.c.c, CORBA_long );
            flick_cdr_decode_float64(24, _local_a1->f.c.d, CORBA_double );
            flick_cdr_decode_signed16(32, _local_a1->f.c.e, CORBA_short );
            flick_cdr_decode_char8(34, _local_a1->f.d.a, CORBA_char );
            flick_cdr_decode_char8(35, _local_a1->f.d.b, CORBA_char );
            flick_cdr_decode_char8(36, _local_a1->f.d.c, CORBA_char );
            flick_cdr_decode_char8(37, _local_a1->f.d.d, CORBA_char );
            flick_cdr_decode_unsigned32(40, _local_a1->f.d.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->f.d.e._buffer, sizeof(struct a_f ) * _local_a1->f.d.e._length);
            flick_cdr_decode_unsigned32(44, _local_a1->next._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->next._buffer, sizeof(struct a ) * _local_a1->next._length);
            flick_cdr_decode_signed32(48, _local_a1->g.c, CORBA_long );
            flick_cdr_decode_float64(56, _local_a1->g.d, CORBA_double );
            flick_cdr_decode_signed16(64, _local_a1->g.e, CORBA_short );
            flick_cdr_decode_char8(66, _local_a1->h.c, CORBA_char );
            flick_cdr_decode_unsigned32(68, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a1->h.d, 1 * _t16_temp_string_len);
            flick_cdr_decode_unsigned32(72, _local_a1->h.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->h.e._buffer, sizeof(struct a_d ) * _local_a1->h.e._length);
            flick_cdr_decode_signed32(76, _local_a1->i.c.c, CORBA_long );
            flick_cdr_decode_float64(80, _local_a1->i.c.d, CORBA_double );
            flick_cdr_decode_signed16(88, _local_a1->i.c.e, CORBA_short );
            flick_cdr_decode_char8(90, _local_a1->i.d.a, CORBA_char );
            flick_cdr_decode_char8(91, _local_a1->i.d.b, CORBA_char );
            flick_cdr_decode_char8(92, _local_a1->i.d.c, CORBA_char );
            flick_cdr_decode_char8(93, _local_a1->i.d.d, CORBA_char );
            flick_cdr_decode_unsigned32(96, _local_a1->i.d.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->i.d.e._buffer, sizeof(struct a_f ) * _local_a1->i.d.e._length);
            _local_b1 = (struct b *)(&_t17_storage);
            flick_cdr_decode_signed32(100, _local_b1->a.c, CORBA_long );
            flick_trapeze_decode_end_chunk(104);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_decode_new_glob(16);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_float64(0, _local_b1->a.d, CORBA_double );
            flick_cdr_decode_signed16(8, _local_b1->a.e, CORBA_short );
            flick_cdr_decode_char8(10, _local_b1->b.c, CORBA_char );
            flick_cdr_decode_unsigned32(12, _t18_temp_string_len, flick_unsigned32_t );
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_decode_new_glob(1 * _t18_temp_string_len);
            flick_trapeze_check_span(1 * _t18_temp_string_len * 1, _flick_abort61);
            flick_trapeze_decode_new_chunk(1 * _t18_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_b1->b.d, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t18_temp_string_len);
            flick_trapeze_decode_end_glob(1 * _t18_temp_string_len);
            flick_trapeze_decode_new_glob(15);
            flick_trapeze_decode_new_chunk_align(12, 2, 0, 0);
            flick_trapeze_check_span(12, _flick_abort61);
            flick_cdr_decode_unsigned32(0, _local_b1->b.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->b.e._buffer, sizeof(struct a_d ) * _local_b1->b.e._length);
            flick_cdr_decode_unsigned32(4, _local_b1->c._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->c._buffer, sizeof(struct a_f ) * _local_b1->c._length);
            flick_cdr_decode_unsigned32(8, _local_b1->d._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->d._buffer, sizeof(struct b ) * _local_b1->d._length);
            _ev = (CORBA_Environment *)(&_t19_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(15);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = obj_convert(_obj, _local_a1, _local_b1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort61);
              flick_trapeze_encode_new_glob(8, _flick_abort61);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
                    break;
                    {
                    _flick_abort70:
                      goto _flick_abort61;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort61:
              goto _flick_abort60;
            }
          }
          break;
          {
          _flick_abort60:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t20_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t21_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort72);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort72);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t20_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t20_temp_string_len);
            _ev = (CORBA_Environment *)(&_t21_storage);
            _par = flick_interface_parents_obj;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort72);
              flick_trapeze_encode_new_glob(5, _flick_abort72);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
                    break;
                    {
                    _flick_abort79:
                      goto _flick_abort72;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort72:
              goto _flick_abort71;
            }
          }
          break;
          {
          _flick_abort71:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

