#include "dif2-server.h"

POA_ex1::POA_ex1()
{}

POA_ex1::POA_ex1(const POA_ex1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex1::~POA_ex1()
{}

ex1 *POA_ex1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex1(this, stub);
}

CORBA::Boolean POA_ex1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_static_cast(POA_ex1_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::~POA_ex1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::operator=(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::op0(/* POA_ex1 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex1_tie<T>::op1(/* POA_ex1 *this, */ CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex1_tie<T>::op2(/* POA_ex1 *this, */ CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex1_tie<T>::op3(/* POA_ex1 *this, */ CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex1_tie<T>::op4(/* POA_ex1 *this, */ CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex1_tie<T>::op5(/* POA_ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex1_tie<T>::op6(/* POA_ex1 *this, */ CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex1::_tao_collocated_ex1(POA_ex1_ptr servant, TAO_Stub *stub)
  : ex1(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex1_ptr _tao_collocated_ex1::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_ex1::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex1::op1(CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex1::op2(CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex1::op3(CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex1::op4(CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex1::op5(CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex1::op6(CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex2::POA_ex2()
{}

POA_ex2::POA_ex2(const POA_ex2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex2::~POA_ex2()
{}

ex2 *POA_ex2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex2(this, stub);
}

CORBA::Boolean POA_ex2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_static_cast(POA_ex2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::~POA_ex2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(const POA_ex2_tie &c)
{}

template <class T>
  void POA_ex2_tie<T>::operator=(const POA_ex2_tie &c)
{}

template <class T>
  CORBA::Char POA_ex2_tie<T>::op7(/* POA_ex2 *this, */ CORBA::Char c, CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->ptr_->op7 (c, b, o, _ev);
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::op8(/* POA_ex2 *this, */ CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->ptr_->op8 (b, o, _ev);
}

template <class T>
  CORBA::Octet POA_ex2_tie<T>::op9(/* POA_ex2 *this, */ CORBA::Octet &o, CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op9 (o, s, ls, l, _ev);
}

template <class T>
  char *POA_ex2_tie<T>::op10(/* POA_ex2 *this, */ const char *s, CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->ptr_->op10 (s, ls, _ev);
}

template <class T>
  char *POA_ex2_tie<T>::op11(/* POA_ex2 *this, */ char *&ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op11 (ls, l, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::op12(/* POA_ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  return this->ptr_->op12 (l, _ev);
}

template <class T>
  void POA_ex2_tie<T>::op0(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex2_tie<T>::op1(/* POA_ex2 *this, */ CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex2_tie<T>::op2(/* POA_ex2 *this, */ CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::op3(/* POA_ex2 *this, */ CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex2_tie<T>::op4(/* POA_ex2 *this, */ CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex2_tie<T>::op5(/* POA_ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex2_tie<T>::op6(/* POA_ex2 *this, */ CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex2::_tao_collocated_ex2(POA_ex2_ptr servant, TAO_Stub *stub)
  : ex2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex2_ptr _tao_collocated_ex2::_get_servant() const
{
  return this->servant_;
}

CORBA::Char _tao_collocated_ex2::op7(CORBA::Char c, CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->servant_->op7 (c, b, o, _ev);
}

CORBA::Boolean _tao_collocated_ex2::op8(CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->servant_->op8 (b, o, _ev);
}

CORBA::Octet _tao_collocated_ex2::op9(CORBA::Octet &o, CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op9 (o, s, ls, l, _ev);
}

char *_tao_collocated_ex2::op10(const char *s, CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->servant_->op10 (s, ls, _ev);
}

char *_tao_collocated_ex2::op11(char *&ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op11 (ls, l, _ev);
}

CORBA::Long _tao_collocated_ex2::op12(CORBA::Long l, CORBA::Environment &_ev)
{
  return this->servant_->op12 (l, _ev);
}

void _tao_collocated_ex2::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex2::op1(CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex2::op2(CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex2::op3(CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex2::op4(CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex2::op5(CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex2::op6(CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex3::POA_ex3()
{}

POA_ex3::POA_ex3(const POA_ex3 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex3::~POA_ex3()
{}

ex3 *POA_ex3::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex3(this, stub);
}

CORBA::Boolean POA_ex3::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex3::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex3:1.0") == 0)
    return ACE_static_cast(POA_ex3_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex3::_interface_repository_id() const
{
  return "IDL:ex3:1.0";
}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex3_tie<T>::~POA_ex3_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex3_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex3_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex3_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex3_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex3_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex3_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(const POA_ex3_tie &c)
{}

template <class T>
  void POA_ex3_tie<T>::operator=(const POA_ex3_tie &c)
{}

template <class T>
  CORBA::Float POA_ex3_tie<T>::float_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->float_attribute (_ev);
}

template <class T>
  CORBA::Double POA_ex3_tie<T>::double_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->double_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::double_attribute(/* POA_ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->ptr_->double_attribute (double_attribute, _ev);
}

template <class T>
  CORBA::Long POA_ex3_tie<T>::long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->long_attribute (_ev);
}

template <class T>
  CORBA::Short POA_ex3_tie<T>::short_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->short_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::short_attribute(/* POA_ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->short_attribute (short_attribute, _ev);
}

template <class T>
  CORBA::ULong POA_ex3_tie<T>::unsigned_long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_long_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::op0(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex3_tie<T>::op1(/* POA_ex3 *this, */ CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex3_tie<T>::op2(/* POA_ex3 *this, */ CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex3_tie<T>::op3(/* POA_ex3 *this, */ CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex3_tie<T>::op4(/* POA_ex3 *this, */ CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex3_tie<T>::op5(/* POA_ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex3_tie<T>::op6(/* POA_ex3 *this, */ CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex3::_tao_collocated_ex3(POA_ex3_ptr servant, TAO_Stub *stub)
  : ex3(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex3_ptr _tao_collocated_ex3::_get_servant() const
{
  return this->servant_;
}

CORBA::Float _tao_collocated_ex3::float_attribute(CORBA::Environment &_ev)
{
  return this->servant_->float_attribute (_ev);
}

CORBA::Double _tao_collocated_ex3::double_attribute(CORBA::Environment &_ev)
{
  return this->servant_->double_attribute (_ev);
}

void _tao_collocated_ex3::double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->servant_->double_attribute (double_attribute, _ev);
}

CORBA::Long _tao_collocated_ex3::long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->long_attribute (_ev);
}

CORBA::Short _tao_collocated_ex3::short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->short_attribute (_ev);
}

void _tao_collocated_ex3::short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->servant_->short_attribute (short_attribute, _ev);
}

CORBA::ULong _tao_collocated_ex3::unsigned_long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_long_attribute (_ev);
}

void _tao_collocated_ex3::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex3::op1(CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex3::op2(CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex3::op3(CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex3::op4(CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex3::op5(CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex3::op6(CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex3::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex4::POA_ex4()
{}

POA_ex4::POA_ex4(const POA_ex4 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex4::~POA_ex4()
{}

ex4 *POA_ex4::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex4(this, stub);
}

CORBA::Boolean POA_ex4::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex4:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex4::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex4:1.0") == 0)
    return ACE_static_cast(POA_ex4_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex2_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex3:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex3_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex4::_interface_repository_id() const
{
  return "IDL:ex4:1.0";
}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex4_tie<T>::~POA_ex4_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex4_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex4_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex4_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex4_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex4_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(const POA_ex4_tie &c)
{}

template <class T>
  void POA_ex4_tie<T>::operator=(const POA_ex4_tie &c)
{}

template <class T>
  CORBA::UShort POA_ex4_tie<T>::unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_short_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->unsigned_short_attribute (unsigned_short_attribute, _ev);
}

template <class T>
  CORBA::Char POA_ex4_tie<T>::char_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->char_attribute (_ev);
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::boolean_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->boolean_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::boolean_attribute(/* POA_ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  this->ptr_->boolean_attribute (boolean_attribute, _ev);
}

template <class T>
  CORBA::Octet POA_ex4_tie<T>::octet_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->octet_attribute (_ev);
}

template <class T>
  char *POA_ex4_tie<T>::string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->string_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::string_attribute(/* POA_ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev)
{
  this->ptr_->string_attribute (string_attribute, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::limited_string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->limited_string_attribute (_ev);
}

template <class T>
  CORBA::Char POA_ex4_tie<T>::op7(/* POA_ex4 *this, */ CORBA::Char c, CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->ptr_->op7 (c, b, o, _ev);
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::op8(/* POA_ex4 *this, */ CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->ptr_->op8 (b, o, _ev);
}

template <class T>
  CORBA::Octet POA_ex4_tie<T>::op9(/* POA_ex4 *this, */ CORBA::Octet &o, CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op9 (o, s, ls, l, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::op10(/* POA_ex4 *this, */ const char *s, CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->ptr_->op10 (s, ls, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::op11(/* POA_ex4 *this, */ char *&ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op11 (ls, l, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::op12(/* POA_ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  return this->ptr_->op12 (l, _ev);
}

template <class T>
  void POA_ex4_tie<T>::op0(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex4_tie<T>::op1(/* POA_ex4 *this, */ CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex4_tie<T>::op2(/* POA_ex4 *this, */ CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::op3(/* POA_ex4 *this, */ CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex4_tie<T>::op4(/* POA_ex4 *this, */ CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex4_tie<T>::op5(/* POA_ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex4_tie<T>::op6(/* POA_ex4 *this, */ CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

template <class T>
  CORBA::Float POA_ex4_tie<T>::float_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->float_attribute (_ev);
}

template <class T>
  CORBA::Double POA_ex4_tie<T>::double_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->double_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::double_attribute(/* POA_ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->ptr_->double_attribute (double_attribute, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->long_attribute (_ev);
}

template <class T>
  CORBA::Short POA_ex4_tie<T>::short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->short_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::short_attribute(/* POA_ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->short_attribute (short_attribute, _ev);
}

template <class T>
  CORBA::ULong POA_ex4_tie<T>::unsigned_long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_long_attribute (_ev);
}

_tao_collocated_ex4::_tao_collocated_ex4(POA_ex4_ptr servant, TAO_Stub *stub)
  : ex4(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex4_ptr _tao_collocated_ex4::_get_servant() const
{
  return this->servant_;
}

CORBA::UShort _tao_collocated_ex4::unsigned_short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_short_attribute (_ev);
}

void _tao_collocated_ex4::unsigned_short_attribute(CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  this->servant_->unsigned_short_attribute (unsigned_short_attribute, _ev);
}

CORBA::Char _tao_collocated_ex4::char_attribute(CORBA::Environment &_ev)
{
  return this->servant_->char_attribute (_ev);
}

CORBA::Boolean _tao_collocated_ex4::boolean_attribute(CORBA::Environment &_ev)
{
  return this->servant_->boolean_attribute (_ev);
}

void _tao_collocated_ex4::boolean_attribute(CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  this->servant_->boolean_attribute (boolean_attribute, _ev);
}

CORBA::Octet _tao_collocated_ex4::octet_attribute(CORBA::Environment &_ev)
{
  return this->servant_->octet_attribute (_ev);
}

char *_tao_collocated_ex4::string_attribute(CORBA::Environment &_ev)
{
  return this->servant_->string_attribute (_ev);
}

void _tao_collocated_ex4::string_attribute(const char *string_attribute, CORBA::Environment &_ev)
{
  this->servant_->string_attribute (string_attribute, _ev);
}

char *_tao_collocated_ex4::limited_string_attribute(CORBA::Environment &_ev)
{
  return this->servant_->limited_string_attribute (_ev);
}

CORBA::Char _tao_collocated_ex4::op7(CORBA::Char c, CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->servant_->op7 (c, b, o, _ev);
}

CORBA::Boolean _tao_collocated_ex4::op8(CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->servant_->op8 (b, o, _ev);
}

CORBA::Octet _tao_collocated_ex4::op9(CORBA::Octet &o, CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op9 (o, s, ls, l, _ev);
}

char *_tao_collocated_ex4::op10(const char *s, CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->servant_->op10 (s, ls, _ev);
}

char *_tao_collocated_ex4::op11(char *&ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op11 (ls, l, _ev);
}

CORBA::Long _tao_collocated_ex4::op12(CORBA::Long l, CORBA::Environment &_ev)
{
  return this->servant_->op12 (l, _ev);
}

void _tao_collocated_ex4::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex4::op1(CORBA::Float f, CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex4::op2(CORBA::Double d, CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex4::op3(CORBA::Long l, CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex4::op4(CORBA::Short s, CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex4::op5(CORBA::ULong &ul, CORBA::UShort us, CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex4::op6(CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Float _tao_collocated_ex4::float_attribute(CORBA::Environment &_ev)
{
  return this->servant_->float_attribute (_ev);
}

CORBA::Double _tao_collocated_ex4::double_attribute(CORBA::Environment &_ev)
{
  return this->servant_->double_attribute (_ev);
}

void _tao_collocated_ex4::double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->servant_->double_attribute (double_attribute, _ev);
}

CORBA::Long _tao_collocated_ex4::long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->long_attribute (_ev);
}

CORBA::Short _tao_collocated_ex4::short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->short_attribute (_ev);
}

void _tao_collocated_ex4::short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->servant_->short_attribute (short_attribute, _ev);
}

CORBA::ULong _tao_collocated_ex4::unsigned_long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_long_attribute (_ev);
}

CORBA::Boolean _tao_collocated_ex4::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t63_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t63_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t63_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t64_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t64_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t65_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort231);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t65_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t65_principal_len);
                  flick_iiopxx_check_span(_t65_principal_len * 1, _flick_abort231);
                  flick_iiopxx_decode_new_chunk(_t65_principal_len);
                  flick_iiopxx_decode_end_chunk(_t65_principal_len);
                  flick_iiopxx_decode_end_glob(_t65_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t66_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t66_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort231);
                    flick_iiopxx_encode_new_glob(4, _flick_abort231);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t66_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t66_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort237);
                          break;
                          {
                          _flick_abort237:
                            goto _flick_abort231;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort238:
                            goto _flick_abort231;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort231:
                    goto _flick_abort230;
                  }
                }
                break;
                {
                _flick_abort230:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t67_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort240);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t67_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t67_principal_len);
                  flick_iiopxx_check_span(_t67_principal_len * 1, _flick_abort240);
                  flick_iiopxx_decode_new_chunk(_t67_principal_len);
                  flick_iiopxx_decode_end_chunk(_t67_principal_len);
                  flick_iiopxx_decode_end_glob(_t67_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort240);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t68_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort240);
                    flick_iiopxx_encode_new_glob(24, _flick_abort240);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t68_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t68_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort246);
                          break;
                          {
                          _flick_abort246:
                            goto _flick_abort240;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort247:
                            goto _flick_abort240;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort240:
                    goto _flick_abort239;
                  }
                }
                break;
                {
                _flick_abort239:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t69_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort249);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t69_principal_len);
                  flick_iiopxx_check_span(_t69_principal_len * 1, _flick_abort249);
                  flick_iiopxx_decode_new_chunk(_t69_principal_len);
                  flick_iiopxx_decode_end_chunk(_t69_principal_len);
                  flick_iiopxx_decode_end_glob(_t69_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort249);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t70_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort249);
                    flick_iiopxx_encode_new_glob(22, _flick_abort249);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t70_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t70_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort255);
                          break;
                          {
                          _flick_abort255:
                            goto _flick_abort249;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort256:
                            goto _flick_abort249;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort249:
                    goto _flick_abort248;
                  }
                }
                break;
                {
                _flick_abort248:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t71_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort258);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t71_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t71_principal_len);
                  flick_iiopxx_check_span(_t71_principal_len * 1, _flick_abort258);
                  flick_iiopxx_decode_new_chunk(_t71_principal_len);
                  flick_iiopxx_decode_end_chunk(_t71_principal_len);
                  flick_iiopxx_decode_end_glob(_t71_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort258);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t72_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t72_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort258);
                    flick_iiopxx_encode_new_glob(16, _flick_abort258);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t72_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t72_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort264);
                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort258;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort265:
                            goto _flick_abort258;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort258:
                    goto _flick_abort257;
                  }
                }
                break;
                {
                _flick_abort257:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t73_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort267);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t73_principal_len);
                  flick_iiopxx_check_span(_t73_principal_len * 1, _flick_abort267);
                  flick_iiopxx_decode_new_chunk(_t73_principal_len);
                  flick_iiopxx_decode_end_chunk(_t73_principal_len);
                  flick_iiopxx_decode_end_glob(_t73_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort267);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t74_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t74_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort267);
                    flick_iiopxx_encode_new_glob(14, _flick_abort267);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t74_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t74_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort273);
                          break;
                          {
                          _flick_abort273:
                            goto _flick_abort267;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort274:
                            goto _flick_abort267;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort267:
                    goto _flick_abort266;
                  }
                }
                break;
                {
                _flick_abort266:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t75_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort276);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t75_principal_len);
                  flick_iiopxx_check_span(_t75_principal_len * 1, _flick_abort276);
                  flick_iiopxx_decode_new_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_glob(_t75_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort276);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t76_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t76_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort276);
                    flick_iiopxx_encode_new_glob(13, _flick_abort276);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t76_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t76_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort282);
                          break;
                          {
                          _flick_abort282:
                            goto _flick_abort276;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort283:
                            goto _flick_abort276;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort276:
                    goto _flick_abort275;
                  }
                }
                break;
                {
                _flick_abort275:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t77_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort285);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort285);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t77_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t77_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t77_principal_len * 1, _flick_abort285);
                  flick_iiopxx_decode_new_chunk(_t77_principal_len);
                  flick_iiopxx_decode_end_chunk(_t77_principal_len);
                  flick_iiopxx_decode_end_glob(_t77_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t78_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort285);
                    flick_iiopxx_encode_new_glob(9, _flick_abort285);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t78_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t78_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort291);
                          break;
                          {
                          _flick_abort291:
                            goto _flick_abort285;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort292:
                            goto _flick_abort285;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort285:
                    goto _flick_abort284;
                  }
                }
                break;
                {
                _flick_abort284:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t79_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t81_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t82_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t81_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t81_principal_len);
                        flick_iiopxx_check_span(_t81_principal_len * 1, _flick_abort294);
                        flick_iiopxx_decode_new_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_check_span(1 * _t82_temp_string_len * 1, _flick_abort294);
                        flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t82_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort294);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t82_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t83_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort294);
                          flick_iiopxx_encode_new_glob(5, _flick_abort294);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t83_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t83_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t21_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t22_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t23_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort82);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t23_principal_len);
                  flick_iiopxx_check_span(_t23_principal_len * 1, _flick_abort82);
                  flick_iiopxx_decode_new_chunk(_t23_principal_len);
                  flick_iiopxx_decode_end_chunk(_t23_principal_len);
                  flick_iiopxx_decode_end_glob(_t23_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t24_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t24_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort82);
                    flick_iiopxx_encode_new_glob(4, _flick_abort82);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t24_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t24_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort82;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort89:
                            goto _flick_abort82;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort82:
                    goto _flick_abort81;
                  }
                }
                break;
                {
                _flick_abort81:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t25_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t25_principal_len);
                  flick_iiopxx_check_span(_t25_principal_len * 1, _flick_abort91);
                  flick_iiopxx_decode_new_chunk(_t25_principal_len);
                  flick_iiopxx_decode_end_chunk(_t25_principal_len);
                  flick_iiopxx_decode_end_glob(_t25_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort91);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t26_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                    flick_iiopxx_encode_new_glob(24, _flick_abort91);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t26_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t26_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort97);
                          break;
                          {
                          _flick_abort97:
                            goto _flick_abort91;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort98:
                            goto _flick_abort91;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort91:
                    goto _flick_abort90;
                  }
                }
                break;
                {
                _flick_abort90:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t27_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort100);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t27_principal_len);
                  flick_iiopxx_check_span(_t27_principal_len * 1, _flick_abort100);
                  flick_iiopxx_decode_new_chunk(_t27_principal_len);
                  flick_iiopxx_decode_end_chunk(_t27_principal_len);
                  flick_iiopxx_decode_end_glob(_t27_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort100);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t28_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t28_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort100);
                    flick_iiopxx_encode_new_glob(22, _flick_abort100);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t28_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t28_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort106);
                          break;
                          {
                          _flick_abort106:
                            goto _flick_abort100;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort107:
                            goto _flick_abort100;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort100:
                    goto _flick_abort99;
                  }
                }
                break;
                {
                _flick_abort99:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t29_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort109);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t29_principal_len);
                  flick_iiopxx_check_span(_t29_principal_len * 1, _flick_abort109);
                  flick_iiopxx_decode_new_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_glob(_t29_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort109);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t30_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t30_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort109);
                    flick_iiopxx_encode_new_glob(16, _flick_abort109);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t30_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t30_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort115);
                          break;
                          {
                          _flick_abort115:
                            goto _flick_abort109;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort116:
                            goto _flick_abort109;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort109:
                    goto _flick_abort108;
                  }
                }
                break;
                {
                _flick_abort108:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t31_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort118);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t31_principal_len);
                  flick_iiopxx_check_span(_t31_principal_len * 1, _flick_abort118);
                  flick_iiopxx_decode_new_chunk(_t31_principal_len);
                  flick_iiopxx_decode_end_chunk(_t31_principal_len);
                  flick_iiopxx_decode_end_glob(_t31_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort118);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t32_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t32_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort118);
                    flick_iiopxx_encode_new_glob(14, _flick_abort118);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t32_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t32_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort124);
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort118;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort118;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort118:
                    goto _flick_abort117;
                  }
                }
                break;
                {
                _flick_abort117:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t33_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort127);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t33_principal_len);
                  flick_iiopxx_check_span(_t33_principal_len * 1, _flick_abort127);
                  flick_iiopxx_decode_new_chunk(_t33_principal_len);
                  flick_iiopxx_decode_end_chunk(_t33_principal_len);
                  flick_iiopxx_decode_end_glob(_t33_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort127);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t34_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort127);
                    flick_iiopxx_encode_new_glob(13, _flick_abort127);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t34_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t34_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
                          break;
                          {
                          _flick_abort133:
                            goto _flick_abort127;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort134:
                            goto _flick_abort127;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort127:
                    goto _flick_abort126;
                  }
                }
                break;
                {
                _flick_abort126:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t35_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort136);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort136);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t35_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t35_principal_len * 1, _flick_abort136);
                  flick_iiopxx_decode_new_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t36_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t36_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort136);
                    flick_iiopxx_encode_new_glob(9, _flick_abort136);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t36_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t36_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort142);
                          break;
                          {
                          _flick_abort142:
                            goto _flick_abort136;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort143:
                            goto _flick_abort136;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort136:
                    goto _flick_abort135;
                  }
                }
                break;
                {
                _flick_abort135:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t37_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t38_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t38_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t39_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t40_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t39_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t39_principal_len);
                        flick_iiopxx_check_span(_t39_principal_len * 1, _flick_abort145);
                        flick_iiopxx_decode_new_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort145);
                        flick_cdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_check_span(1 * _t40_temp_string_len * 1, _flick_abort145);
                        flick_iiopxx_decode_new_chunk(1 * _t40_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t40_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t40_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t40_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t41_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t41_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort145);
                          flick_iiopxx_encode_new_glob(5, _flick_abort145);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t41_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t41_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex2 , _flick_abort304);
  return 0;
  {
  _flick_abort304:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort305);
  return 0;
  {
  _flick_abort305:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort306);
  return 0;
  {
  _flick_abort306:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t234_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort309);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t234_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t234_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t235_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t235_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t235_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t236_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort775);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(6, _flick_abort775);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t236_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t236_principal_len);
                  flick_iiopxx_check_span(6 - 6 + 2 + _t236_principal_len * 1, _flick_abort775);
                  flick_iiopxx_decode_new_chunk(_t236_principal_len);
                  flick_iiopxx_decode_end_chunk(_t236_principal_len);
                  flick_iiopxx_decode_end_glob(_t236_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_swap_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t237_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t237_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort775);
                    flick_iiopxx_encode_new_glob(7, _flick_abort775);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t237_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t237_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort781);
                          break;
                          {
                          _flick_abort781:
                            goto _flick_abort775;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort782);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort782:
                            goto _flick_abort775;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort775:
                    goto _flick_abort774;
                  }
                }
                break;
                {
                _flick_abort774:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t238_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort784);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort784);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t238_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t238_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t238_principal_len * 1, _flick_abort784);
                  flick_iiopxx_decode_new_chunk(_t238_principal_len);
                  flick_iiopxx_decode_end_chunk(_t238_principal_len);
                  flick_iiopxx_decode_end_glob(_t238_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t239_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t239_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort784);
                    flick_iiopxx_encode_new_glob(6, _flick_abort784);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t239_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t239_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort790);
                          break;
                          {
                          _flick_abort790:
                            goto _flick_abort784;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort791);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort791:
                            goto _flick_abort784;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort784:
                    goto _flick_abort783;
                  }
                }
                break;
                {
                _flick_abort783:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t240_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t241_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort793);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort793);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t240_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t240_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t240_principal_len * 1, _flick_abort793);
                  flick_iiopxx_decode_new_chunk(_t240_principal_len);
                  flick_iiopxx_decode_end_chunk(_t240_principal_len);
                  flick_iiopxx_decode_end_glob(_t240_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort793);
                  flick_cdr_swap_decode_unsigned32(0, _t241_temp_string_len, flick_unsigned32_t );
                  if (_t241_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort793);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t241_temp_string_len * 1, _flick_abort793);
                  flick_iiopxx_decode_new_chunk(1 * _t241_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t241_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort793);
                    _local_ls = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t241_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t241_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort793);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t242_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t242_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort793);
                    flick_iiopxx_encode_new_glob(12, _flick_abort793);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t242_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t242_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t244_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t244_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t244_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t244_temp_string_len, _flick_abort802);
                          flick_iiopxx_encode_new_chunk(1 * _t244_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t244_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t244_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t244_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort802);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort802:
                            goto _flick_abort793;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort805);
                          break;
                          {
                          _flick_abort805:
                            goto _flick_abort793;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort806);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort806:
                            goto _flick_abort793;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort793:
                    goto _flick_abort792;
                  }
                }
                break;
                {
                _flick_abort792:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t245_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort808);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t245_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t245_principal_len);
                  flick_iiopxx_check_span(_t245_principal_len * 1, _flick_abort808);
                  flick_iiopxx_decode_new_chunk(_t245_principal_len);
                  flick_iiopxx_decode_end_chunk(_t245_principal_len);
                  flick_iiopxx_decode_end_glob(_t245_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t246_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t246_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort808);
                    flick_iiopxx_encode_new_glob(4, _flick_abort808);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t246_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t246_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort814);
                          break;
                          {
                          _flick_abort814:
                            goto _flick_abort808;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort815);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort815:
                            goto _flick_abort808;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort808:
                    goto _flick_abort807;
                  }
                }
                break;
                {
                _flick_abort807:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t247_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort817);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t247_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t247_principal_len);
                  flick_iiopxx_check_span(_t247_principal_len * 1, _flick_abort817);
                  flick_iiopxx_decode_new_chunk(_t247_principal_len);
                  flick_iiopxx_decode_end_chunk(_t247_principal_len);
                  flick_iiopxx_decode_end_glob(_t247_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort817);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t248_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t248_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort817);
                    flick_iiopxx_encode_new_glob(24, _flick_abort817);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t248_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t248_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort823);
                          break;
                          {
                          _flick_abort823:
                            goto _flick_abort817;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort824);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort824:
                            goto _flick_abort817;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort817:
                    goto _flick_abort816;
                  }
                }
                break;
                {
                _flick_abort816:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t249_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort826);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t249_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t249_principal_len);
                  flick_iiopxx_check_span(_t249_principal_len * 1, _flick_abort826);
                  flick_iiopxx_decode_new_chunk(_t249_principal_len);
                  flick_iiopxx_decode_end_chunk(_t249_principal_len);
                  flick_iiopxx_decode_end_glob(_t249_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort826);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t250_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t250_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort826);
                    flick_iiopxx_encode_new_glob(22, _flick_abort826);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t250_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t250_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort832);
                          break;
                          {
                          _flick_abort832:
                            goto _flick_abort826;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort833);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort833:
                            goto _flick_abort826;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort826:
                    goto _flick_abort825;
                  }
                }
                break;
                {
                _flick_abort825:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t251_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort835);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t251_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t251_principal_len);
                  flick_iiopxx_check_span(_t251_principal_len * 1, _flick_abort835);
                  flick_iiopxx_decode_new_chunk(_t251_principal_len);
                  flick_iiopxx_decode_end_chunk(_t251_principal_len);
                  flick_iiopxx_decode_end_glob(_t251_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort835);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t252_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t252_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort835);
                    flick_iiopxx_encode_new_glob(16, _flick_abort835);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t252_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t252_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort841);
                          break;
                          {
                          _flick_abort841:
                            goto _flick_abort835;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort842);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort842:
                            goto _flick_abort835;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort835:
                    goto _flick_abort834;
                  }
                }
                break;
                {
                _flick_abort834:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t253_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort844);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t253_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t253_principal_len);
                  flick_iiopxx_check_span(_t253_principal_len * 1, _flick_abort844);
                  flick_iiopxx_decode_new_chunk(_t253_principal_len);
                  flick_iiopxx_decode_end_chunk(_t253_principal_len);
                  flick_iiopxx_decode_end_glob(_t253_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort844);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t254_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t254_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort844);
                    flick_iiopxx_encode_new_glob(14, _flick_abort844);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t254_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t254_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort850);
                          break;
                          {
                          _flick_abort850:
                            goto _flick_abort844;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort851);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort851:
                            goto _flick_abort844;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort844:
                    goto _flick_abort843;
                  }
                }
                break;
                {
                _flick_abort843:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t255_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort853);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t255_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t255_principal_len);
                  flick_iiopxx_check_span(_t255_principal_len * 1, _flick_abort853);
                  flick_iiopxx_decode_new_chunk(_t255_principal_len);
                  flick_iiopxx_decode_end_chunk(_t255_principal_len);
                  flick_iiopxx_decode_end_glob(_t255_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort853);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t256_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t256_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort853);
                    flick_iiopxx_encode_new_glob(13, _flick_abort853);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t256_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t256_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort859);
                          break;
                          {
                          _flick_abort859:
                            goto _flick_abort853;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort860);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort860:
                            goto _flick_abort853;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort853:
                    goto _flick_abort852;
                  }
                }
                break;
                {
                _flick_abort852:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t257_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort862);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort862);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t257_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t257_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t257_principal_len * 1, _flick_abort862);
                  flick_iiopxx_decode_new_chunk(_t257_principal_len);
                  flick_iiopxx_decode_end_chunk(_t257_principal_len);
                  flick_iiopxx_decode_end_glob(_t257_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t258_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t258_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort862);
                    flick_iiopxx_encode_new_glob(9, _flick_abort862);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t258_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t258_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort868);
                          break;
                          {
                          _flick_abort868:
                            goto _flick_abort862;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort869);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort869:
                            goto _flick_abort862;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort862:
                    goto _flick_abort861;
                  }
                }
                break;
                {
                _flick_abort861:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t259_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t260_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t260_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t260_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t261_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t262_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort871);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t261_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t261_principal_len);
                        flick_iiopxx_check_span(_t261_principal_len * 1, _flick_abort871);
                        flick_iiopxx_decode_new_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_glob(_t261_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort871);
                        flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_check_span(1 * _t262_temp_string_len * 1, _flick_abort871);
                        flick_iiopxx_decode_new_chunk(1 * _t262_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t262_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort871);
                          _local_s = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_s, 1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t263_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t263_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort871);
                          flick_iiopxx_encode_new_glob(8, _flick_abort871);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t263_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t263_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t266_temp_string_len;
                                flick_unsigned32_t _t267_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t266_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t267_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t266_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t266_temp_string_len, _flick_abort882);
                                flick_iiopxx_encode_new_chunk(1 * _t266_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t266_temp_string_len);
                                flick_iiopxx_encode_end_chunk(1 * _t266_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t266_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort882);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t267_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t267_temp_string_len, flick_unsigned32_t );
                                if (_t267_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort882);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t267_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t267_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort882:
                                  goto _flick_abort871;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort887);
                                break;
                                {
                                _flick_abort887:
                                  goto _flick_abort871;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort888);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort888:
                                  goto _flick_abort871;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort871:
                          goto _flick_abort870;
                        }
                      }
                      break;
                      {
                      _flick_abort870:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t268_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t268_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t268_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t269_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t270_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort890);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t269_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t269_principal_len);
                        flick_iiopxx_check_span(_t269_principal_len * 1, _flick_abort890);
                        flick_iiopxx_decode_new_chunk(_t269_principal_len);
                        flick_iiopxx_decode_end_chunk(_t269_principal_len);
                        flick_iiopxx_decode_end_glob(_t269_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort890);
                        flick_cdr_swap_decode_unsigned32(0, _t270_temp_string_len, flick_unsigned32_t );
                        if (_t270_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort890);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t270_temp_string_len * 1, _flick_abort890);
                        flick_iiopxx_decode_new_chunk(1 * _t270_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t270_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort890);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t270_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t270_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t271_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t271_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort890);
                          flick_iiopxx_encode_new_glob(44, _flick_abort890);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t271_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t271_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t274_temp_string_len;
                                flick_unsigned32_t _t275_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t274_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t275_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t274_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t274_temp_string_len, flick_unsigned32_t );
                                if (_t274_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort901);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t274_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t274_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t275_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t275_temp_string_len, flick_unsigned32_t );
                                if (_t275_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort901);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t275_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t275_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort901:
                                  goto _flick_abort890;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort906);
                                break;
                                {
                                _flick_abort906:
                                  goto _flick_abort890;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort907);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort907:
                                  goto _flick_abort890;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort890:
                          goto _flick_abort889;
                        }
                      }
                      break;
                      {
                      _flick_abort889:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t276_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t276_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t276_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t277_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort909);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t277_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t277_principal_len);
                        flick_iiopxx_check_span(_t277_principal_len * 1, _flick_abort909);
                        flick_iiopxx_decode_new_chunk(_t277_principal_len);
                        flick_iiopxx_decode_end_chunk(_t277_principal_len);
                        flick_iiopxx_decode_end_glob(_t277_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort909);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t278_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t278_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort909);
                          flick_iiopxx_encode_new_glob(8, _flick_abort909);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t278_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t278_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort915);
                                break;
                                {
                                _flick_abort915:
                                  goto _flick_abort909;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort916);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort916:
                                  goto _flick_abort909;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort909:
                          goto _flick_abort908;
                        }
                      }
                      break;
                      {
                      _flick_abort908:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t279_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t279_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t279_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t280_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t280_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t280_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t281_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t282_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort918);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t281_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t281_principal_len);
                        flick_iiopxx_check_span(_t281_principal_len * 1, _flick_abort918);
                        flick_iiopxx_decode_new_chunk(_t281_principal_len);
                        flick_iiopxx_decode_end_chunk(_t281_principal_len);
                        flick_iiopxx_decode_end_glob(_t281_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort918);
                        flick_cdr_swap_decode_unsigned32(0, _t282_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t282_temp_string_len);
                        flick_iiopxx_check_span(1 * _t282_temp_string_len * 1, _flick_abort918);
                        flick_iiopxx_decode_new_chunk(1 * _t282_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t282_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort918);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t282_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t282_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t282_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t283_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t283_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort918);
                          flick_iiopxx_encode_new_glob(5, _flick_abort918);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t283_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t283_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort926);
                                break;
                                {
                                _flick_abort926:
                                  goto _flick_abort918;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort927);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort927:
                                  goto _flick_abort918;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort918:
                          goto _flick_abort917;
                        }
                      }
                      break;
                      {
                      _flick_abort917:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t134_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort309);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t134_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t135_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t135_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t136_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort466);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(6, _flick_abort466);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t136_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t136_principal_len);
                  flick_iiopxx_check_span(6 - 6 + 2 + _t136_principal_len * 1, _flick_abort466);
                  flick_iiopxx_decode_new_chunk(_t136_principal_len);
                  flick_iiopxx_decode_end_chunk(_t136_principal_len);
                  flick_iiopxx_decode_end_glob(_t136_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t137_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort466);
                    flick_iiopxx_encode_new_glob(7, _flick_abort466);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t137_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t137_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort472);
                          break;
                          {
                          _flick_abort472:
                            goto _flick_abort466;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort473:
                            goto _flick_abort466;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort466:
                    goto _flick_abort465;
                  }
                }
                break;
                {
                _flick_abort465:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t138_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort475);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort475);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t138_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t138_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t138_principal_len * 1, _flick_abort475);
                  flick_iiopxx_decode_new_chunk(_t138_principal_len);
                  flick_iiopxx_decode_end_chunk(_t138_principal_len);
                  flick_iiopxx_decode_end_glob(_t138_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t139_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t139_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort475);
                    flick_iiopxx_encode_new_glob(6, _flick_abort475);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t139_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t139_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort481);
                          break;
                          {
                          _flick_abort481:
                            goto _flick_abort475;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort482:
                            goto _flick_abort475;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort475:
                    goto _flick_abort474;
                  }
                }
                break;
                {
                _flick_abort474:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t140_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t141_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort484);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort484);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t140_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t140_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t140_principal_len * 1, _flick_abort484);
                  flick_iiopxx_decode_new_chunk(_t140_principal_len);
                  flick_iiopxx_decode_end_chunk(_t140_principal_len);
                  flick_iiopxx_decode_end_glob(_t140_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort484);
                  flick_cdr_decode_unsigned32(0, _t141_temp_string_len, flick_unsigned32_t );
                  if (_t141_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort484);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t141_temp_string_len * 1, _flick_abort484);
                  flick_iiopxx_decode_new_chunk(1 * _t141_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t141_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort484);
                    _local_ls = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_ls, 1 * _t141_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t141_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort484);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t142_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort484);
                    flick_iiopxx_encode_new_glob(12, _flick_abort484);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t142_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t142_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t144_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t144_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t144_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t144_temp_string_len, _flick_abort493);
                          flick_iiopxx_encode_new_chunk(1 * _t144_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t144_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t144_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t144_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort493);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort493:
                            goto _flick_abort484;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort496);
                          break;
                          {
                          _flick_abort496:
                            goto _flick_abort484;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort497);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort497:
                            goto _flick_abort484;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort484:
                    goto _flick_abort483;
                  }
                }
                break;
                {
                _flick_abort483:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t145_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort499);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t145_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t145_principal_len);
                  flick_iiopxx_check_span(_t145_principal_len * 1, _flick_abort499);
                  flick_iiopxx_decode_new_chunk(_t145_principal_len);
                  flick_iiopxx_decode_end_chunk(_t145_principal_len);
                  flick_iiopxx_decode_end_glob(_t145_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t146_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t146_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort499);
                    flick_iiopxx_encode_new_glob(4, _flick_abort499);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t146_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t146_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort505);
                          break;
                          {
                          _flick_abort505:
                            goto _flick_abort499;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort506);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort506:
                            goto _flick_abort499;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort499:
                    goto _flick_abort498;
                  }
                }
                break;
                {
                _flick_abort498:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t147_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort508);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t147_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t147_principal_len);
                  flick_iiopxx_check_span(_t147_principal_len * 1, _flick_abort508);
                  flick_iiopxx_decode_new_chunk(_t147_principal_len);
                  flick_iiopxx_decode_end_chunk(_t147_principal_len);
                  flick_iiopxx_decode_end_glob(_t147_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort508);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t148_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t148_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort508);
                    flick_iiopxx_encode_new_glob(24, _flick_abort508);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t148_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t148_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort514);
                          break;
                          {
                          _flick_abort514:
                            goto _flick_abort508;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort515);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort515:
                            goto _flick_abort508;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort508:
                    goto _flick_abort507;
                  }
                }
                break;
                {
                _flick_abort507:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t149_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort517);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t149_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t149_principal_len);
                  flick_iiopxx_check_span(_t149_principal_len * 1, _flick_abort517);
                  flick_iiopxx_decode_new_chunk(_t149_principal_len);
                  flick_iiopxx_decode_end_chunk(_t149_principal_len);
                  flick_iiopxx_decode_end_glob(_t149_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort517);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t150_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t150_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort517);
                    flick_iiopxx_encode_new_glob(22, _flick_abort517);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t150_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t150_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort523);
                          break;
                          {
                          _flick_abort523:
                            goto _flick_abort517;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort524);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort524:
                            goto _flick_abort517;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort517:
                    goto _flick_abort516;
                  }
                }
                break;
                {
                _flick_abort516:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t151_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort526);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t151_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t151_principal_len);
                  flick_iiopxx_check_span(_t151_principal_len * 1, _flick_abort526);
                  flick_iiopxx_decode_new_chunk(_t151_principal_len);
                  flick_iiopxx_decode_end_chunk(_t151_principal_len);
                  flick_iiopxx_decode_end_glob(_t151_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort526);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t152_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t152_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort526);
                    flick_iiopxx_encode_new_glob(16, _flick_abort526);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t152_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t152_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort532);
                          break;
                          {
                          _flick_abort532:
                            goto _flick_abort526;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort533);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort533:
                            goto _flick_abort526;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort526:
                    goto _flick_abort525;
                  }
                }
                break;
                {
                _flick_abort525:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t153_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort535);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t153_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t153_principal_len);
                  flick_iiopxx_check_span(_t153_principal_len * 1, _flick_abort535);
                  flick_iiopxx_decode_new_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_glob(_t153_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort535);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t154_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t154_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort535);
                    flick_iiopxx_encode_new_glob(14, _flick_abort535);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t154_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t154_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort541);
                          break;
                          {
                          _flick_abort541:
                            goto _flick_abort535;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort542);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort542:
                            goto _flick_abort535;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort535:
                    goto _flick_abort534;
                  }
                }
                break;
                {
                _flick_abort534:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t155_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort544);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t155_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t155_principal_len);
                  flick_iiopxx_check_span(_t155_principal_len * 1, _flick_abort544);
                  flick_iiopxx_decode_new_chunk(_t155_principal_len);
                  flick_iiopxx_decode_end_chunk(_t155_principal_len);
                  flick_iiopxx_decode_end_glob(_t155_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort544);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t156_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t156_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort544);
                    flick_iiopxx_encode_new_glob(13, _flick_abort544);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t156_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t156_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort550);
                          break;
                          {
                          _flick_abort550:
                            goto _flick_abort544;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort551);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort551:
                            goto _flick_abort544;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort544:
                    goto _flick_abort543;
                  }
                }
                break;
                {
                _flick_abort543:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t157_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort553);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort553);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t157_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t157_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t157_principal_len * 1, _flick_abort553);
                  flick_iiopxx_decode_new_chunk(_t157_principal_len);
                  flick_iiopxx_decode_end_chunk(_t157_principal_len);
                  flick_iiopxx_decode_end_glob(_t157_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t158_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort553);
                    flick_iiopxx_encode_new_glob(9, _flick_abort553);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t158_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t158_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort559);
                          break;
                          {
                          _flick_abort559:
                            goto _flick_abort553;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort560);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort560:
                            goto _flick_abort553;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort553:
                    goto _flick_abort552;
                  }
                }
                break;
                {
                _flick_abort552:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t159_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t159_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t160_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t160_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t160_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t161_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t162_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort562);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t161_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t161_principal_len);
                        flick_iiopxx_check_span(_t161_principal_len * 1, _flick_abort562);
                        flick_iiopxx_decode_new_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_glob(_t161_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort562);
                        flick_cdr_decode_unsigned32(0, _t162_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t162_temp_string_len);
                        flick_iiopxx_check_span(1 * _t162_temp_string_len * 1, _flick_abort562);
                        flick_iiopxx_decode_new_chunk(1 * _t162_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t162_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort562);
                          _local_s = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_s, 1 * _t162_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t162_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t162_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t163_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t163_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort562);
                          flick_iiopxx_encode_new_glob(8, _flick_abort562);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t163_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t163_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t166_temp_string_len;
                                flick_unsigned32_t _t167_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t166_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t167_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t166_temp_string_len, _flick_abort573);
                                flick_iiopxx_encode_new_chunk(1 * _t166_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t166_temp_string_len);
                                flick_iiopxx_encode_end_chunk(1 * _t166_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t166_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort573);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t167_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t167_temp_string_len, flick_unsigned32_t );
                                if (_t167_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort573);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t167_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t167_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort573:
                                  goto _flick_abort562;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort578);
                                break;
                                {
                                _flick_abort578:
                                  goto _flick_abort562;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort579);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort579:
                                  goto _flick_abort562;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort562:
                          goto _flick_abort561;
                        }
                      }
                      break;
                      {
                      _flick_abort561:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t168_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t168_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t168_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t169_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t170_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort581);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t169_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t169_principal_len);
                        flick_iiopxx_check_span(_t169_principal_len * 1, _flick_abort581);
                        flick_iiopxx_decode_new_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_glob(_t169_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort581);
                        flick_cdr_decode_unsigned32(0, _t170_temp_string_len, flick_unsigned32_t );
                        if (_t170_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort581);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t170_temp_string_len * 1, _flick_abort581);
                        flick_iiopxx_decode_new_chunk(1 * _t170_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t170_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort581);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_ls, 1 * _t170_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t170_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t171_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort581);
                          flick_iiopxx_encode_new_glob(44, _flick_abort581);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t171_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t171_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t174_temp_string_len;
                                flick_unsigned32_t _t175_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t174_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t175_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t174_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t174_temp_string_len, flick_unsigned32_t );
                                if (_t174_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort592);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t174_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t174_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t175_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t175_temp_string_len, flick_unsigned32_t );
                                if (_t175_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort592);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t175_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t175_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort592:
                                  goto _flick_abort581;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort597);
                                break;
                                {
                                _flick_abort597:
                                  goto _flick_abort581;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort598);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort598:
                                  goto _flick_abort581;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort581:
                          goto _flick_abort580;
                        }
                      }
                      break;
                      {
                      _flick_abort580:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t176_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t176_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t176_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t177_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort600);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t177_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t177_principal_len);
                        flick_iiopxx_check_span(_t177_principal_len * 1, _flick_abort600);
                        flick_iiopxx_decode_new_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort600);
                        flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t178_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t178_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort600);
                          flick_iiopxx_encode_new_glob(8, _flick_abort600);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t178_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t178_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort606);
                                break;
                                {
                                _flick_abort606:
                                  goto _flick_abort600;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort607);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort607:
                                  goto _flick_abort600;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort600:
                          goto _flick_abort599;
                        }
                      }
                      break;
                      {
                      _flick_abort599:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t179_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t179_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t180_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t181_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t182_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort609);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t181_principal_len);
                        flick_iiopxx_check_span(_t181_principal_len * 1, _flick_abort609);
                        flick_iiopxx_decode_new_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort609);
                        flick_cdr_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t182_temp_string_len);
                        flick_iiopxx_check_span(1 * _t182_temp_string_len * 1, _flick_abort609);
                        flick_iiopxx_decode_new_chunk(1 * _t182_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t182_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort609);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t182_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t182_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t182_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t183_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t183_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort609);
                          flick_iiopxx_encode_new_glob(5, _flick_abort609);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t183_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t183_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort617);
                                break;
                                {
                                _flick_abort617:
                                  goto _flick_abort609;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort618);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort618:
                                  goto _flick_abort609;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort609:
                          goto _flick_abort608;
                        }
                      }
                      break;
                      {
                      _flick_abort608:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort309:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort308);
  _flick_abort308:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex3 , _flick_abort928);
  return 0;
  {
  _flick_abort928:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort929);
  return 0;
  {
  _flick_abort929:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort930);
  return 0;
  {
  _flick_abort930:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex3::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t506_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort933);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t506_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t506_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t507_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t507_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t507_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t508_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t508_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t508_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t509_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t509_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t509_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t510_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t510_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t510_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t511_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t511_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t511_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t512_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t512_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t512_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t513_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1348);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t513_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t513_principal_len);
                                                flick_iiopxx_check_span(_t513_principal_len * 1, _flick_abort1348);
                                                flick_iiopxx_decode_new_chunk(_t513_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t513_principal_len);
                                                flick_iiopxx_decode_end_glob(_t513_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t514_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t514_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1348);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1348);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t514_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t514_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1354);
                                                        break;
                                                        {
                                                        _flick_abort1354:
                                                          goto _flick_abort1348;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1355);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1355:
                                                          goto _flick_abort1348;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1348:
                                                  goto _flick_abort1347;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1347:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t515_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t515_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t515_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t516_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t516_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t516_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t517_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t517_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t517_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t518_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t518_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t518_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t519_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1357);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t519_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t519_principal_len);
                                                flick_iiopxx_check_span(_t519_principal_len * 1, _flick_abort1357);
                                                flick_iiopxx_decode_new_chunk(_t519_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t519_principal_len);
                                                flick_iiopxx_decode_end_glob(_t519_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t520_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t520_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1357);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1357);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t520_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t520_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1363);
                                                        break;
                                                        {
                                                        _flick_abort1363:
                                                          goto _flick_abort1357;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1364);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1364:
                                                          goto _flick_abort1357;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1357:
                                                  goto _flick_abort1356;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1356:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t521_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t521_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t521_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t522_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t522_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t522_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t523_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t523_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t523_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t524_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t524_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t524_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t525_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t525_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t525_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t526_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1366);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t526_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t526_principal_len);
                                                flick_iiopxx_check_span(_t526_principal_len * 1, _flick_abort1366);
                                                flick_iiopxx_decode_new_chunk(_t526_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t526_principal_len);
                                                flick_iiopxx_decode_end_glob(_t526_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1366);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t527_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t527_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1366);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1366);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t527_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t527_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1372);
                                                        break;
                                                        {
                                                        _flick_abort1372:
                                                          goto _flick_abort1366;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1373);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1373:
                                                          goto _flick_abort1366;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1366:
                                                  goto _flick_abort1365;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1365:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t528_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t528_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t528_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t529_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t529_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t529_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t530_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t530_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t530_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t531_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t531_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t531_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t532_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t532_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t532_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t533_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t533_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t533_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t534_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1375);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t534_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t534_principal_len);
                                                flick_iiopxx_check_span(_t534_principal_len * 1, _flick_abort1375);
                                                flick_iiopxx_decode_new_chunk(_t534_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t534_principal_len);
                                                flick_iiopxx_decode_end_glob(_t534_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t535_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t535_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1375);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1375);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t535_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t535_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1381);
                                                        break;
                                                        {
                                                        _flick_abort1381:
                                                          goto _flick_abort1375;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1382);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1382:
                                                          goto _flick_abort1375;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1375:
                                                  goto _flick_abort1374;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1374:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t536_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t536_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t536_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t537_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t537_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t537_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t538_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t538_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t538_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t539_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t539_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t539_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t540_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t540_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t540_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t541_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1384);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t541_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t541_principal_len);
                                                flick_iiopxx_check_span(_t541_principal_len * 1, _flick_abort1384);
                                                flick_iiopxx_decode_new_chunk(_t541_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t541_principal_len);
                                                flick_iiopxx_decode_end_glob(_t541_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1384);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t542_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t542_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1384);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1384);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t542_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t542_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1390);
                                                        break;
                                                        {
                                                        _flick_abort1390:
                                                          goto _flick_abort1384;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1391);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1391:
                                                          goto _flick_abort1384;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1384:
                                                  goto _flick_abort1383;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1383:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t543_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t543_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t543_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t544_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t544_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t544_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t545_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t545_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t545_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t546_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t546_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t546_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t547_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t547_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t547_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex3 *_local_this;
                                          unsigned int _t548_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1393);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t548_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t548_principal_len);
                                          flick_iiopxx_check_span(_t548_principal_len * 1, _flick_abort1393);
                                          flick_iiopxx_decode_new_chunk(_t548_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t548_principal_len);
                                          flick_iiopxx_decode_end_glob(_t548_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t549_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t549_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1393);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1393);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t549_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t549_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1399);
                                                  break;
                                                  {
                                                  _flick_abort1399:
                                                    goto _flick_abort1393;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1400);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1400:
                                                    goto _flick_abort1393;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1393:
                                            goto _flick_abort1392;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1392:
                                          goto _flick_abort933;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t550_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t550_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t551_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t551_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t551_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t552_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t552_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t552_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t553_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t553_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t553_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t554_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t554_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t554_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t555_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t555_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t555_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t556_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t556_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t556_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t557_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t557_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t557_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex3 *_local_this;
                                                            unsigned int _t558_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1402);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t558_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t558_principal_len);
                                                            flick_iiopxx_check_span(_t558_principal_len * 1, _flick_abort1402);
                                                            flick_iiopxx_decode_new_chunk(_t558_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t558_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t558_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t559_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t559_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1402);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort1402);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t559_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t559_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1408);
                                                                    break;
                                                                    {
                                                                    _flick_abort1408:
                                                                      goto _flick_abort1402;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1409);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1409:
                                                                      goto _flick_abort1402;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1402:
                                                              goto _flick_abort1401;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1401:
                                                            goto _flick_abort933;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t560_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t560_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t560_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t561_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1411);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t561_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t561_principal_len);
                  flick_iiopxx_check_span(_t561_principal_len * 1, _flick_abort1411);
                  flick_iiopxx_decode_new_chunk(_t561_principal_len);
                  flick_iiopxx_decode_end_chunk(_t561_principal_len);
                  flick_iiopxx_decode_end_glob(_t561_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t562_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t562_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1411);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1411);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t562_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t562_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1417);
                          break;
                          {
                          _flick_abort1417:
                            goto _flick_abort1411;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1418);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1418:
                            goto _flick_abort1411;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1411:
                    goto _flick_abort1410;
                  }
                }
                break;
                {
                _flick_abort1410:
                  goto _flick_abort933;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t563_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1420);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t563_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t563_principal_len);
                  flick_iiopxx_check_span(_t563_principal_len * 1, _flick_abort1420);
                  flick_iiopxx_decode_new_chunk(_t563_principal_len);
                  flick_iiopxx_decode_end_chunk(_t563_principal_len);
                  flick_iiopxx_decode_end_glob(_t563_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1420);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t564_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t564_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1420);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1420);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t564_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t564_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1426);
                          break;
                          {
                          _flick_abort1426:
                            goto _flick_abort1420;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1427);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1427:
                            goto _flick_abort1420;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1420:
                    goto _flick_abort1419;
                  }
                }
                break;
                {
                _flick_abort1419:
                  goto _flick_abort933;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t565_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1429);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t565_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t565_principal_len);
                  flick_iiopxx_check_span(_t565_principal_len * 1, _flick_abort1429);
                  flick_iiopxx_decode_new_chunk(_t565_principal_len);
                  flick_iiopxx_decode_end_chunk(_t565_principal_len);
                  flick_iiopxx_decode_end_glob(_t565_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort1429);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t566_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t566_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1429);
                    flick_iiopxx_encode_new_glob(22, _flick_abort1429);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t566_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t566_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1435);
                          break;
                          {
                          _flick_abort1435:
                            goto _flick_abort1429;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1436);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1436:
                            goto _flick_abort1429;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1429:
                    goto _flick_abort1428;
                  }
                }
                break;
                {
                _flick_abort1428:
                  goto _flick_abort933;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t567_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1438);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t567_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t567_principal_len);
                  flick_iiopxx_check_span(_t567_principal_len * 1, _flick_abort1438);
                  flick_iiopxx_decode_new_chunk(_t567_principal_len);
                  flick_iiopxx_decode_end_chunk(_t567_principal_len);
                  flick_iiopxx_decode_end_glob(_t567_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1438);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t568_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t568_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1438);
                    flick_iiopxx_encode_new_glob(16, _flick_abort1438);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t568_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t568_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1444);
                          break;
                          {
                          _flick_abort1444:
                            goto _flick_abort1438;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1445);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1445:
                            goto _flick_abort1438;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1438:
                    goto _flick_abort1437;
                  }
                }
                break;
                {
                _flick_abort1437:
                  goto _flick_abort933;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t569_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1447);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t569_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t569_principal_len);
                  flick_iiopxx_check_span(_t569_principal_len * 1, _flick_abort1447);
                  flick_iiopxx_decode_new_chunk(_t569_principal_len);
                  flick_iiopxx_decode_end_chunk(_t569_principal_len);
                  flick_iiopxx_decode_end_glob(_t569_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1447);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t570_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t570_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1447);
                    flick_iiopxx_encode_new_glob(14, _flick_abort1447);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t570_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t570_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1453);
                          break;
                          {
                          _flick_abort1453:
                            goto _flick_abort1447;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1454);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1454:
                            goto _flick_abort1447;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1447:
                    goto _flick_abort1446;
                  }
                }
                break;
                {
                _flick_abort1446:
                  goto _flick_abort933;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t571_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1456);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t571_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t571_principal_len);
                  flick_iiopxx_check_span(_t571_principal_len * 1, _flick_abort1456);
                  flick_iiopxx_decode_new_chunk(_t571_principal_len);
                  flick_iiopxx_decode_end_chunk(_t571_principal_len);
                  flick_iiopxx_decode_end_glob(_t571_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort1456);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t572_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t572_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1456);
                    flick_iiopxx_encode_new_glob(13, _flick_abort1456);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t572_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t572_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1462);
                          break;
                          {
                          _flick_abort1462:
                            goto _flick_abort1456;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1463);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1463:
                            goto _flick_abort1456;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1456:
                    goto _flick_abort1455;
                  }
                }
                break;
                {
                _flick_abort1455:
                  goto _flick_abort933;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t573_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1465);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort1465);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t573_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t573_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t573_principal_len * 1, _flick_abort1465);
                  flick_iiopxx_decode_new_chunk(_t573_principal_len);
                  flick_iiopxx_decode_end_chunk(_t573_principal_len);
                  flick_iiopxx_decode_end_glob(_t573_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t574_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t574_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1465);
                    flick_iiopxx_encode_new_glob(9, _flick_abort1465);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t574_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t574_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1471);
                          break;
                          {
                          _flick_abort1471:
                            goto _flick_abort1465;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1472);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1472:
                            goto _flick_abort1465;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1465:
                    goto _flick_abort1464;
                  }
                }
                break;
                {
                _flick_abort1464:
                  goto _flick_abort933;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t575_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t575_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t575_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t576_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t576_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t576_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex3 *_local_this;
                        unsigned int _t577_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t578_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1474);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t577_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t577_principal_len);
                        flick_iiopxx_check_span(_t577_principal_len * 1, _flick_abort1474);
                        flick_iiopxx_decode_new_chunk(_t577_principal_len);
                        flick_iiopxx_decode_end_chunk(_t577_principal_len);
                        flick_iiopxx_decode_end_glob(_t577_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1474);
                        flick_cdr_swap_decode_unsigned32(0, _t578_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t578_temp_string_len);
                        flick_iiopxx_check_span(1 * _t578_temp_string_len * 1, _flick_abort1474);
                        flick_iiopxx_decode_new_chunk(1 * _t578_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t578_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1474);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t578_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t578_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t578_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t579_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t579_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1474);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1474);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t579_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t579_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1482);
                                break;
                                {
                                _flick_abort1482:
                                  goto _flick_abort1474;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1483);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1483:
                                  goto _flick_abort1474;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1474:
                          goto _flick_abort1473;
                        }
                      }
                      break;
                      {
                      _flick_abort1473:
                        goto _flick_abort933;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t358_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort933);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t358_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t358_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t359_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t359_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t360_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t360_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t360_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t361_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t361_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t361_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t362_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t362_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t362_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t363_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t363_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t364_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t364_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t364_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t365_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1073);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t365_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t365_principal_len);
                                                flick_iiopxx_check_span(_t365_principal_len * 1, _flick_abort1073);
                                                flick_iiopxx_decode_new_chunk(_t365_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t365_principal_len);
                                                flick_iiopxx_decode_end_glob(_t365_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t366_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t366_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1073);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1073);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t366_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t366_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1079);
                                                        break;
                                                        {
                                                        _flick_abort1079:
                                                          goto _flick_abort1073;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1080);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1080:
                                                          goto _flick_abort1073;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1073:
                                                  goto _flick_abort1072;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1072:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t367_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t367_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t367_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t368_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t368_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t368_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t369_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t369_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t369_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t370_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t370_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t370_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t371_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1082);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t371_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t371_principal_len);
                                                flick_iiopxx_check_span(_t371_principal_len * 1, _flick_abort1082);
                                                flick_iiopxx_decode_new_chunk(_t371_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t371_principal_len);
                                                flick_iiopxx_decode_end_glob(_t371_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t372_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t372_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1082);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1082);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t372_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t372_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1088);
                                                        break;
                                                        {
                                                        _flick_abort1088:
                                                          goto _flick_abort1082;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1089);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1089:
                                                          goto _flick_abort1082;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1082:
                                                  goto _flick_abort1081;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1081:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t373_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t373_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t373_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t374_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t374_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t374_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t375_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t375_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t375_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t376_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t376_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t376_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t377_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t377_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t377_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t378_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1091);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t378_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t378_principal_len);
                                                flick_iiopxx_check_span(_t378_principal_len * 1, _flick_abort1091);
                                                flick_iiopxx_decode_new_chunk(_t378_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t378_principal_len);
                                                flick_iiopxx_decode_end_glob(_t378_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1091);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t379_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t379_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1091);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1091);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t379_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t379_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1097);
                                                        break;
                                                        {
                                                        _flick_abort1097:
                                                          goto _flick_abort1091;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1098);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1098:
                                                          goto _flick_abort1091;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1091:
                                                  goto _flick_abort1090;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1090:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t380_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t380_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t380_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t381_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t381_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t381_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t382_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t382_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t382_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t383_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t383_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t383_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t384_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t384_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t384_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t385_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t385_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t385_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t386_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1100);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t386_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t386_principal_len);
                                                flick_iiopxx_check_span(_t386_principal_len * 1, _flick_abort1100);
                                                flick_iiopxx_decode_new_chunk(_t386_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t386_principal_len);
                                                flick_iiopxx_decode_end_glob(_t386_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t387_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t387_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1100);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1100);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t387_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t387_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1106);
                                                        break;
                                                        {
                                                        _flick_abort1106:
                                                          goto _flick_abort1100;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1107);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1107:
                                                          goto _flick_abort1100;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1100:
                                                  goto _flick_abort1099;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1099:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t388_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t388_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t388_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t389_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t389_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t389_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t390_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t390_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t390_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t391_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t391_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t391_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t392_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t392_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t392_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t393_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1109);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t393_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t393_principal_len);
                                                flick_iiopxx_check_span(_t393_principal_len * 1, _flick_abort1109);
                                                flick_iiopxx_decode_new_chunk(_t393_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t393_principal_len);
                                                flick_iiopxx_decode_end_glob(_t393_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1109);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t394_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t394_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1109);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1109);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t394_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t394_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1115);
                                                        break;
                                                        {
                                                        _flick_abort1115:
                                                          goto _flick_abort1109;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1116);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1116:
                                                          goto _flick_abort1109;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1109:
                                                  goto _flick_abort1108;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1108:
                                                goto _flick_abort933;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t395_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t395_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t395_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t396_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t396_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t396_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t397_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t397_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t397_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t398_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t398_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t398_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t399_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t399_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t399_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex3 *_local_this;
                                          unsigned int _t400_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1118);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t400_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t400_principal_len);
                                          flick_iiopxx_check_span(_t400_principal_len * 1, _flick_abort1118);
                                          flick_iiopxx_decode_new_chunk(_t400_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t400_principal_len);
                                          flick_iiopxx_decode_end_glob(_t400_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t401_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t401_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1118);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1118);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t401_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t401_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1124);
                                                  break;
                                                  {
                                                  _flick_abort1124:
                                                    goto _flick_abort1118;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1125);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1125:
                                                    goto _flick_abort1118;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1118:
                                            goto _flick_abort1117;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1117:
                                          goto _flick_abort933;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t402_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t402_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t403_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t403_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t404_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t404_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t404_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t405_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t405_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t406_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t406_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t406_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t407_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t407_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t407_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t408_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t408_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t408_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t409_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t409_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t409_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex3 *_local_this;
                                                            unsigned int _t410_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1127);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t410_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t410_principal_len);
                                                            flick_iiopxx_check_span(_t410_principal_len * 1, _flick_abort1127);
                                                            flick_iiopxx_decode_new_chunk(_t410_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t410_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t410_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t411_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t411_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1127);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort1127);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t411_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t411_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1133);
                                                                    break;
                                                                    {
                                                                    _flick_abort1133:
                                                                      goto _flick_abort1127;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1134);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1134:
                                                                      goto _flick_abort1127;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1127:
                                                              goto _flick_abort1126;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1126:
                                                            goto _flick_abort933;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t412_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t412_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t412_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t413_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1136);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t413_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t413_principal_len);
                  flick_iiopxx_check_span(_t413_principal_len * 1, _flick_abort1136);
                  flick_iiopxx_decode_new_chunk(_t413_principal_len);
                  flick_iiopxx_decode_end_chunk(_t413_principal_len);
                  flick_iiopxx_decode_end_glob(_t413_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t414_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t414_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1136);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1136);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t414_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t414_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1142);
                          break;
                          {
                          _flick_abort1142:
                            goto _flick_abort1136;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1143);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1143:
                            goto _flick_abort1136;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1136:
                    goto _flick_abort1135;
                  }
                }
                break;
                {
                _flick_abort1135:
                  goto _flick_abort933;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t415_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1145);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t415_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t415_principal_len);
                  flick_iiopxx_check_span(_t415_principal_len * 1, _flick_abort1145);
                  flick_iiopxx_decode_new_chunk(_t415_principal_len);
                  flick_iiopxx_decode_end_chunk(_t415_principal_len);
                  flick_iiopxx_decode_end_glob(_t415_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1145);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t416_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t416_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1145);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1145);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t416_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t416_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1151);
                          break;
                          {
                          _flick_abort1151:
                            goto _flick_abort1145;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1152);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1152:
                            goto _flick_abort1145;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1145:
                    goto _flick_abort1144;
                  }
                }
                break;
                {
                _flick_abort1144:
                  goto _flick_abort933;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t417_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1154);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t417_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t417_principal_len);
                  flick_iiopxx_check_span(_t417_principal_len * 1, _flick_abort1154);
                  flick_iiopxx_decode_new_chunk(_t417_principal_len);
                  flick_iiopxx_decode_end_chunk(_t417_principal_len);
                  flick_iiopxx_decode_end_glob(_t417_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort1154);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t418_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t418_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1154);
                    flick_iiopxx_encode_new_glob(22, _flick_abort1154);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t418_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t418_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1160);
                          break;
                          {
                          _flick_abort1160:
                            goto _flick_abort1154;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1161);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1161:
                            goto _flick_abort1154;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1154:
                    goto _flick_abort1153;
                  }
                }
                break;
                {
                _flick_abort1153:
                  goto _flick_abort933;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t419_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1163);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t419_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t419_principal_len);
                  flick_iiopxx_check_span(_t419_principal_len * 1, _flick_abort1163);
                  flick_iiopxx_decode_new_chunk(_t419_principal_len);
                  flick_iiopxx_decode_end_chunk(_t419_principal_len);
                  flick_iiopxx_decode_end_glob(_t419_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1163);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t420_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t420_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1163);
                    flick_iiopxx_encode_new_glob(16, _flick_abort1163);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t420_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t420_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1169);
                          break;
                          {
                          _flick_abort1169:
                            goto _flick_abort1163;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1170);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1170:
                            goto _flick_abort1163;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1163:
                    goto _flick_abort1162;
                  }
                }
                break;
                {
                _flick_abort1162:
                  goto _flick_abort933;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t421_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1172);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t421_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t421_principal_len);
                  flick_iiopxx_check_span(_t421_principal_len * 1, _flick_abort1172);
                  flick_iiopxx_decode_new_chunk(_t421_principal_len);
                  flick_iiopxx_decode_end_chunk(_t421_principal_len);
                  flick_iiopxx_decode_end_glob(_t421_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1172);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t422_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t422_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1172);
                    flick_iiopxx_encode_new_glob(14, _flick_abort1172);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t422_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t422_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1178);
                          break;
                          {
                          _flick_abort1178:
                            goto _flick_abort1172;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1179);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1179:
                            goto _flick_abort1172;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1172:
                    goto _flick_abort1171;
                  }
                }
                break;
                {
                _flick_abort1171:
                  goto _flick_abort933;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t423_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1181);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t423_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t423_principal_len);
                  flick_iiopxx_check_span(_t423_principal_len * 1, _flick_abort1181);
                  flick_iiopxx_decode_new_chunk(_t423_principal_len);
                  flick_iiopxx_decode_end_chunk(_t423_principal_len);
                  flick_iiopxx_decode_end_glob(_t423_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort1181);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t424_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t424_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1181);
                    flick_iiopxx_encode_new_glob(13, _flick_abort1181);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t424_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t424_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1187);
                          break;
                          {
                          _flick_abort1187:
                            goto _flick_abort1181;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1188);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1188:
                            goto _flick_abort1181;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1181:
                    goto _flick_abort1180;
                  }
                }
                break;
                {
                _flick_abort1180:
                  goto _flick_abort933;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t425_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1190);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort1190);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t425_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t425_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t425_principal_len * 1, _flick_abort1190);
                  flick_iiopxx_decode_new_chunk(_t425_principal_len);
                  flick_iiopxx_decode_end_chunk(_t425_principal_len);
                  flick_iiopxx_decode_end_glob(_t425_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t426_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t426_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1190);
                    flick_iiopxx_encode_new_glob(9, _flick_abort1190);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t426_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t426_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1196);
                          break;
                          {
                          _flick_abort1196:
                            goto _flick_abort1190;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1197);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1197:
                            goto _flick_abort1190;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1190:
                    goto _flick_abort1189;
                  }
                }
                break;
                {
                _flick_abort1189:
                  goto _flick_abort933;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t427_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort933);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t427_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t428_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t428_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t428_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex3 *_local_this;
                        unsigned int _t429_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t430_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1199);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t429_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t429_principal_len);
                        flick_iiopxx_check_span(_t429_principal_len * 1, _flick_abort1199);
                        flick_iiopxx_decode_new_chunk(_t429_principal_len);
                        flick_iiopxx_decode_end_chunk(_t429_principal_len);
                        flick_iiopxx_decode_end_glob(_t429_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1199);
                        flick_cdr_decode_unsigned32(0, _t430_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t430_temp_string_len);
                        flick_iiopxx_check_span(1 * _t430_temp_string_len * 1, _flick_abort1199);
                        flick_iiopxx_decode_new_chunk(1 * _t430_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t430_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1199);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t430_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t430_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t430_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t431_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t431_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1199);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1199);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t431_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t431_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1207);
                                break;
                                {
                                _flick_abort1207:
                                  goto _flick_abort1199;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1208);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1208:
                                  goto _flick_abort1199;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1199:
                          goto _flick_abort1198;
                        }
                      }
                      break;
                      {
                      _flick_abort1198:
                        goto _flick_abort933;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort933);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort933:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort932);
  _flick_abort932:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex4 , _flick_abort1484);
  return 0;
  {
  _flick_abort1484:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort1485);
  return 0;
  {
  _flick_abort1485:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort1486);
  return 0;
  {
  _flick_abort1486:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex4::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t1105_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort1489);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1105_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t1105_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t1106_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1106_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1106_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1107_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1107_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1107_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1108_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1108_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1108_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1109_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1109_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1109_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1110_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1110_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1110_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1111_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1111_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1111_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1112_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1112_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1112_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1113_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1113_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1113_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1114_principal_len;
                                                            CORBA::UShort _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2417);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1114_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t1114_principal_len);
                                                            flick_iiopxx_check_span(_t1114_principal_len * 1, _flick_abort2417);
                                                            flick_iiopxx_decode_new_chunk(_t1114_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1114_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1114_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_short_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1115_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1115_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2417);
                                                              flick_iiopxx_encode_new_glob(6, _flick_abort2417);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1115_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1115_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                                                    flick_iiopxx_encode_end_chunk(2);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2423);
                                                                    break;
                                                                    {
                                                                    _flick_abort2423:
                                                                      goto _flick_abort2417;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2424);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort2424:
                                                                      goto _flick_abort2417;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2417:
                                                              goto _flick_abort2416;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2416:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t1116_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1116_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1116_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t1117_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1117_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1117_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t1118_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1118_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1118_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t1119_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1119_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1119_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1120_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1120_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1120_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1121_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1121_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1121_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1122_principal_len;
                                                            char *_return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2426);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1122_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t1122_principal_len);
                                                            flick_iiopxx_check_span(_t1122_principal_len * 1, _flick_abort2426);
                                                            flick_iiopxx_decode_new_chunk(_t1122_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1122_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1122_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->limited_string_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1123_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1123_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2426);
                                                              flick_iiopxx_encode_new_glob(19, _flick_abort2426);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1123_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1123_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t1125_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1125_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4 + 1 * _t1125_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t1125_temp_string_len, flick_unsigned32_t );
                                                                    if (_t1125_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2433);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t1125_temp_string_len);
                                                                    flick_iiopxx_encode_end_chunk(4 + 1 * _t1125_temp_string_len);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2433:
                                                                      goto _flick_abort2426;
                                                                    }
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2436);
                                                                    break;
                                                                    {
                                                                    _flick_abort2436:
                                                                      goto _flick_abort2426;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2437);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2437:
                                                                      goto _flick_abort2426;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2426:
                                                              goto _flick_abort2425;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2425:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1126_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1126_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1126_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1127_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1127_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1127_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1128_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1128_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1128_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1129_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1129_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1129_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1130_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1130_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1130_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1131_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1131_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1131_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1132_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1132_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1132_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1133_principal_len;
                                                            CORBA::UShort _local_unsigned_short_attribute;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2439);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1133_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t1133_principal_len);
                                                            flick_iiopxx_check_span(_t1133_principal_len * 1, _flick_abort2439);
                                                            flick_iiopxx_decode_new_chunk(_t1133_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1133_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1133_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiopxx_decode_new_glob(3);
                                                            flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_iiopxx_check_span(2, _flick_abort2439);
                                                            flick_cdr_swap_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA::UShort );
                                                            flick_iiopxx_decode_end_chunk(2);
                                                            flick_iiopxx_decode_end_glob(3);
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _local_this->unsigned_short_attribute(_local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1134_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1134_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2439);
                                                              flick_iiopxx_encode_new_glob(4, _flick_abort2439);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1134_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1134_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2445);
                                                                    break;
                                                                    {
                                                                    _flick_abort2445:
                                                                      goto _flick_abort2439;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2446);
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort2446:
                                                                      goto _flick_abort2439;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2439:
                                                              goto _flick_abort2438;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2438:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1135_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1135_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1135_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1136_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1136_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1136_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t1137_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1137_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1137_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t1138_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1138_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1138_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1139_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1139_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1139_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t1140_principal_len;
                                          CORBA::Char _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2448);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1140_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t1140_principal_len);
                                          flick_iiopxx_check_span(_t1140_principal_len * 1, _flick_abort2448);
                                          flick_iiopxx_decode_new_chunk(_t1140_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t1140_principal_len);
                                          flick_iiopxx_decode_end_glob(_t1140_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->char_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t1141_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1141_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2448);
                                            flick_iiopxx_encode_new_glob(5, _flick_abort2448);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t1141_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t1141_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(5);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2454);
                                                  break;
                                                  {
                                                  _flick_abort2454:
                                                    goto _flick_abort2448;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2455);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort2455:
                                                    goto _flick_abort2448;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2448:
                                            goto _flick_abort2447;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2447:
                                          goto _flick_abort1489;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t1142_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1142_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1142_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t1143_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1143_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1143_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1144_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1144_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1144_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t1145_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2457);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1145_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t1145_principal_len);
                                          flick_iiopxx_check_span(_t1145_principal_len * 1, _flick_abort2457);
                                          flick_iiopxx_decode_new_chunk(_t1145_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t1145_principal_len);
                                          flick_iiopxx_decode_end_glob(_t1145_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t1146_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1146_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2457);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort2457);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t1146_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t1146_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2463);
                                                  break;
                                                  {
                                                  _flick_abort2463:
                                                    goto _flick_abort2457;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2464);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2464:
                                                    goto _flick_abort2457;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2457:
                                            goto _flick_abort2456;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2456:
                                          goto _flick_abort1489;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t1147_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1147_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1147_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1148_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1148_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1148_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1149_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1149_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1149_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1150_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1150_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1150_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1151_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1151_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1151_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1152_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1152_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1152_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1153_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1153_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t1153_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t1154_principal_len;
                                                      CORBA::Boolean _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2466);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1154_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_decode_new_glob(_t1154_principal_len);
                                                      flick_iiopxx_check_span(_t1154_principal_len * 1, _flick_abort2466);
                                                      flick_iiopxx_decode_new_chunk(_t1154_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t1154_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t1154_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->boolean_attribute(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t1155_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1155_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2466);
                                                        flick_iiopxx_encode_new_glob(5, _flick_abort2466);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t1155_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t1155_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                                              flick_iiopxx_encode_end_chunk(1);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(5);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2472);
                                                              break;
                                                              {
                                                              _flick_abort2472:
                                                                goto _flick_abort2466;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2473);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort2473:
                                                                goto _flick_abort2466;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2466:
                                                        goto _flick_abort2465;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2465:
                                                      goto _flick_abort1489;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1156_switch_tag;

                flick_iiopxx_check_span(25, _flick_abort1489);
                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1156_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1156_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1157_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1157_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1157_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1158_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1158_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1158_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1159_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1159_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1159_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1160_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1160_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1160_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1161_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1161_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t1161_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t1162_principal_len;
                                                      CORBA::Boolean _local_boolean_attribute;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2475);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1162_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_decode_new_glob(_t1162_principal_len);
                                                      flick_iiopxx_check_span(6 - 6 + 1 + _t1162_principal_len * 1, _flick_abort2475);
                                                      flick_iiopxx_decode_new_chunk(_t1162_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t1162_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t1162_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(1);
                                                      flick_iiopxx_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_unsigned8(0, _local_boolean_attribute, CORBA::Boolean );
                                                      flick_iiopxx_decode_end_chunk(1);
                                                      flick_iiopxx_decode_end_glob(1);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->boolean_attribute(_local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t1163_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1163_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2475);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort2475);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t1163_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t1163_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2481);
                                                              break;
                                                              {
                                                              _flick_abort2481:
                                                                goto _flick_abort2475;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2482);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort2482:
                                                                goto _flick_abort2475;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2475:
                                                        goto _flick_abort2474;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2474:
                                                      goto _flick_abort1489;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1164_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1164_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1164_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1165_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1165_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1165_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1166_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1166_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1166_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1167_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1167_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1167_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1168_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1168_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1168_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1169_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1169_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1169_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1170_principal_len;
                                                CORBA::Octet _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2484);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1170_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1170_principal_len);
                                                flick_iiopxx_check_span(_t1170_principal_len * 1, _flick_abort2484);
                                                flick_iiopxx_decode_new_chunk(_t1170_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1170_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1170_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->octet_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1171_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1171_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2484);
                                                  flick_iiopxx_encode_new_glob(5, _flick_abort2484);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1171_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1171_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                                        flick_iiopxx_encode_end_chunk(1);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(5);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2490);
                                                        break;
                                                        {
                                                        _flick_abort2490:
                                                          goto _flick_abort2484;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2491);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort2491:
                                                          goto _flick_abort2484;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2484:
                                                  goto _flick_abort2483;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2483:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1172_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1172_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1172_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1173_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1173_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1173_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1174_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1174_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1174_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1175_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1175_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1175_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1176_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2493);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1176_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1176_principal_len);
                                                flick_iiopxx_check_span(_t1176_principal_len * 1, _flick_abort2493);
                                                flick_iiopxx_decode_new_chunk(_t1176_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1176_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1176_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1177_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1177_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2493);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort2493);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1177_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1177_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2499);
                                                        break;
                                                        {
                                                        _flick_abort2499:
                                                          goto _flick_abort2493;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2500);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2500:
                                                          goto _flick_abort2493;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2493:
                                                  goto _flick_abort2492;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2492:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1178_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1178_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1178_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1179_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1179_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1179_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1180_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1180_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1180_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1181_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1181_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1181_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1182_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2502);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1182_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1182_principal_len);
                                                flick_iiopxx_check_span(_t1182_principal_len * 1, _flick_abort2502);
                                                flick_iiopxx_decode_new_chunk(_t1182_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1182_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1182_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1183_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1183_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2502);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort2502);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1183_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1183_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2508);
                                                        break;
                                                        {
                                                        _flick_abort2508:
                                                          goto _flick_abort2502;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2509);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort2509:
                                                          goto _flick_abort2502;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2502:
                                                  goto _flick_abort2501;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2501:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1184_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1184_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1184_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1185_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1185_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1185_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1186_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1186_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1186_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1187_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1187_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1187_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1188_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1188_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1188_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1189_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2511);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1189_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1189_principal_len);
                                                flick_iiopxx_check_span(_t1189_principal_len * 1, _flick_abort2511);
                                                flick_iiopxx_decode_new_chunk(_t1189_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1189_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1189_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort2511);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1190_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1190_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2511);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2511);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1190_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1190_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2517);
                                                        break;
                                                        {
                                                        _flick_abort2517:
                                                          goto _flick_abort2511;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2518);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2518:
                                                          goto _flick_abort2511;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2511:
                                                  goto _flick_abort2510;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2510:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1191_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1191_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1191_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1192_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1192_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1192_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1193_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1193_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1193_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1194_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1194_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1194_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1195_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1195_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1195_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1196_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1196_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1196_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1197_principal_len;
                                                char *_return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2520);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1197_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1197_principal_len);
                                                flick_iiopxx_check_span(_t1197_principal_len * 1, _flick_abort2520);
                                                flick_iiopxx_decode_new_chunk(_t1197_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1197_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1197_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->string_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1198_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1198_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2520);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort2520);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1198_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1198_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1200_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1200_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1200_temp_string_len, flick_unsigned32_t );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_iiopxx_encode_new_glob(1 * _t1200_temp_string_len, _flick_abort2527);
                                                        flick_iiopxx_encode_new_chunk(1 * _t1200_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1200_temp_string_len);
                                                        flick_iiopxx_encode_end_chunk(1 * _t1200_temp_string_len);
                                                        flick_iiopxx_encode_end_glob(1 * _t1200_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort2527:
                                                          goto _flick_abort2520;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2530);
                                                        break;
                                                        {
                                                        _flick_abort2530:
                                                          goto _flick_abort2520;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2531);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2531:
                                                          goto _flick_abort2520;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2520:
                                                  goto _flick_abort2519;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2519:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1201_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1201_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1201_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1202_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1202_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1202_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1203_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1203_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1203_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1204_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1204_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1204_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1205_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2533);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1205_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1205_principal_len);
                                                flick_iiopxx_check_span(_t1205_principal_len * 1, _flick_abort2533);
                                                flick_iiopxx_decode_new_chunk(_t1205_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1205_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1205_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1206_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1206_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2533);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort2533);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1206_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1206_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2539);
                                                        break;
                                                        {
                                                        _flick_abort2539:
                                                          goto _flick_abort2533;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2540);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort2540:
                                                          goto _flick_abort2533;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2533:
                                                  goto _flick_abort2532;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2532:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1207_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1207_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1207_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1208_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1208_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1208_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1209_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1209_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1209_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1210_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1210_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1210_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1211_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1211_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1211_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1212_principal_len;
                                                char *_local_string_attribute;
                                                flick_unsigned32_t _t1213_temp_string_len;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2542);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1212_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1212_principal_len);
                                                flick_iiopxx_check_span(_t1212_principal_len * 1, _flick_abort2542);
                                                flick_iiopxx_decode_new_chunk(_t1212_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1212_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1212_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(7);
                                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiopxx_check_span(4, _flick_abort2542);
                                                flick_cdr_swap_decode_unsigned32(0, _t1213_temp_string_len, flick_unsigned32_t );
                                                flick_iiopxx_decode_end_chunk(4);
                                                flick_iiopxx_decode_end_glob(7);
                                                flick_iiopxx_decode_new_glob(1 * _t1213_temp_string_len);
                                                flick_iiopxx_check_span(1 * _t1213_temp_string_len * 1, _flick_abort2542);
                                                flick_iiopxx_decode_new_chunk(1 * _t1213_temp_string_len);
                                                {
                                                  CORBA::Char *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1213_temp_string_len * sizeof(CORBA::Char )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2542);
                                                  _local_string_attribute = _t_alloc_ptr;
                                                }
                                                flick_cdr_swap_decode_bcopy(0, _local_string_attribute, 1 * _t1213_temp_string_len);
                                                flick_iiopxx_decode_end_chunk(1 * _t1213_temp_string_len);
                                                flick_iiopxx_decode_end_glob(1 * _t1213_temp_string_len);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->string_attribute(_local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1214_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1214_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2542);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2542);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1214_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1214_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2550);
                                                        break;
                                                        {
                                                        _flick_abort2550:
                                                          goto _flick_abort2542;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2551);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2551:
                                                          goto _flick_abort2542;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2542:
                                                  goto _flick_abort2541;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2541:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1215_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1215_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1215_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1216_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1216_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1216_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1217_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1217_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1217_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1218_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1218_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1218_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1219_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2553);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1219_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t1219_principal_len);
                                                flick_iiopxx_check_span(_t1219_principal_len * 1, _flick_abort2553);
                                                flick_iiopxx_decode_new_chunk(_t1219_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1219_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1219_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort2553);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1220_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1220_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2553);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2553);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1220_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1220_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2559);
                                                        break;
                                                        {
                                                        _flick_abort2559:
                                                          goto _flick_abort2553;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2560);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2560:
                                                          goto _flick_abort2553;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2553:
                                                  goto _flick_abort2552;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2552:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1221_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1221_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1221_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1222_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2562);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(6, _flick_abort2562);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1222_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1222_principal_len);
                  flick_iiopxx_check_span(6 - 6 + 2 + _t1222_principal_len * 1, _flick_abort2562);
                  flick_iiopxx_decode_new_chunk(_t1222_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1222_principal_len);
                  flick_iiopxx_decode_end_glob(_t1222_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_swap_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1223_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1223_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2562);
                    flick_iiopxx_encode_new_glob(7, _flick_abort2562);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1223_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1223_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2568);
                          break;
                          {
                          _flick_abort2568:
                            goto _flick_abort2562;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2569);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2569:
                            goto _flick_abort2562;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2562:
                    goto _flick_abort2561;
                  }
                }
                break;
                {
                _flick_abort2561:
                  goto _flick_abort1489;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1224_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2571);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort2571);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1224_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1224_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t1224_principal_len * 1, _flick_abort2571);
                  flick_iiopxx_decode_new_chunk(_t1224_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1224_principal_len);
                  flick_iiopxx_decode_end_glob(_t1224_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1225_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1225_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2571);
                    flick_iiopxx_encode_new_glob(6, _flick_abort2571);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1225_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1225_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2577);
                          break;
                          {
                          _flick_abort2577:
                            goto _flick_abort2571;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2578);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort2578:
                            goto _flick_abort2571;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2571:
                    goto _flick_abort2570;
                  }
                }
                break;
                {
                _flick_abort2570:
                  goto _flick_abort1489;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1226_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t1227_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2580);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort2580);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1226_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1226_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t1226_principal_len * 1, _flick_abort2580);
                  flick_iiopxx_decode_new_chunk(_t1226_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1226_principal_len);
                  flick_iiopxx_decode_end_glob(_t1226_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2580);
                  flick_cdr_swap_decode_unsigned32(0, _t1227_temp_string_len, flick_unsigned32_t );
                  if (_t1227_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2580);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t1227_temp_string_len * 1, _flick_abort2580);
                  flick_iiopxx_decode_new_chunk(1 * _t1227_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1227_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2580);
                    _local_ls = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t1227_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t1227_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2580);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1228_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1228_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2580);
                    flick_iiopxx_encode_new_glob(12, _flick_abort2580);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1228_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1228_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1230_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t1230_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t1230_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t1230_temp_string_len, _flick_abort2589);
                          flick_iiopxx_encode_new_chunk(1 * _t1230_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t1230_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t1230_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t1230_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort2589);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2589:
                            goto _flick_abort2580;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2592);
                          break;
                          {
                          _flick_abort2592:
                            goto _flick_abort2580;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2593);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort2593:
                            goto _flick_abort2580;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2580:
                    goto _flick_abort2579;
                  }
                }
                break;
                {
                _flick_abort2579:
                  goto _flick_abort1489;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1231_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2595);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1231_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1231_principal_len);
                  flick_iiopxx_check_span(_t1231_principal_len * 1, _flick_abort2595);
                  flick_iiopxx_decode_new_chunk(_t1231_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1231_principal_len);
                  flick_iiopxx_decode_end_glob(_t1231_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1232_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1232_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2595);
                    flick_iiopxx_encode_new_glob(4, _flick_abort2595);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1232_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1232_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2601);
                          break;
                          {
                          _flick_abort2601:
                            goto _flick_abort2595;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2602);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort2602:
                            goto _flick_abort2595;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2595:
                    goto _flick_abort2594;
                  }
                }
                break;
                {
                _flick_abort2594:
                  goto _flick_abort1489;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1233_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2604);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1233_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1233_principal_len);
                  flick_iiopxx_check_span(_t1233_principal_len * 1, _flick_abort2604);
                  flick_iiopxx_decode_new_chunk(_t1233_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1233_principal_len);
                  flick_iiopxx_decode_end_glob(_t1233_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2604);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1234_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1234_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2604);
                    flick_iiopxx_encode_new_glob(24, _flick_abort2604);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1234_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1234_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2610);
                          break;
                          {
                          _flick_abort2610:
                            goto _flick_abort2604;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2611);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort2611:
                            goto _flick_abort2604;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2604:
                    goto _flick_abort2603;
                  }
                }
                break;
                {
                _flick_abort2603:
                  goto _flick_abort1489;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1235_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2613);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1235_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1235_principal_len);
                  flick_iiopxx_check_span(_t1235_principal_len * 1, _flick_abort2613);
                  flick_iiopxx_decode_new_chunk(_t1235_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1235_principal_len);
                  flick_iiopxx_decode_end_glob(_t1235_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort2613);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1236_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1236_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2613);
                    flick_iiopxx_encode_new_glob(22, _flick_abort2613);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1236_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1236_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2619);
                          break;
                          {
                          _flick_abort2619:
                            goto _flick_abort2613;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2620);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2620:
                            goto _flick_abort2613;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2613:
                    goto _flick_abort2612;
                  }
                }
                break;
                {
                _flick_abort2612:
                  goto _flick_abort1489;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1237_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2622);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1237_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1237_principal_len);
                  flick_iiopxx_check_span(_t1237_principal_len * 1, _flick_abort2622);
                  flick_iiopxx_decode_new_chunk(_t1237_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1237_principal_len);
                  flick_iiopxx_decode_end_glob(_t1237_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2622);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1238_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1238_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2622);
                    flick_iiopxx_encode_new_glob(16, _flick_abort2622);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1238_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1238_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2628);
                          break;
                          {
                          _flick_abort2628:
                            goto _flick_abort2622;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2629);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2629:
                            goto _flick_abort2622;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2622:
                    goto _flick_abort2621;
                  }
                }
                break;
                {
                _flick_abort2621:
                  goto _flick_abort1489;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1239_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2631);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1239_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1239_principal_len);
                  flick_iiopxx_check_span(_t1239_principal_len * 1, _flick_abort2631);
                  flick_iiopxx_decode_new_chunk(_t1239_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1239_principal_len);
                  flick_iiopxx_decode_end_glob(_t1239_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2631);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1240_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1240_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2631);
                    flick_iiopxx_encode_new_glob(14, _flick_abort2631);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1240_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1240_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2637);
                          break;
                          {
                          _flick_abort2637:
                            goto _flick_abort2631;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2638);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2638:
                            goto _flick_abort2631;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2631:
                    goto _flick_abort2630;
                  }
                }
                break;
                {
                _flick_abort2630:
                  goto _flick_abort1489;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1241_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2640);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1241_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1241_principal_len);
                  flick_iiopxx_check_span(_t1241_principal_len * 1, _flick_abort2640);
                  flick_iiopxx_decode_new_chunk(_t1241_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1241_principal_len);
                  flick_iiopxx_decode_end_glob(_t1241_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort2640);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1242_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1242_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2640);
                    flick_iiopxx_encode_new_glob(13, _flick_abort2640);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1242_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1242_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2646);
                          break;
                          {
                          _flick_abort2646:
                            goto _flick_abort2640;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2647);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2647:
                            goto _flick_abort2640;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2640:
                    goto _flick_abort2639;
                  }
                }
                break;
                {
                _flick_abort2639:
                  goto _flick_abort1489;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1243_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2649);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort2649);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1243_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t1243_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t1243_principal_len * 1, _flick_abort2649);
                  flick_iiopxx_decode_new_chunk(_t1243_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1243_principal_len);
                  flick_iiopxx_decode_end_glob(_t1243_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1244_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1244_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2649);
                    flick_iiopxx_encode_new_glob(9, _flick_abort2649);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1244_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1244_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2655);
                          break;
                          {
                          _flick_abort2655:
                            goto _flick_abort2649;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2656);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2656:
                            goto _flick_abort2649;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2649:
                    goto _flick_abort2648;
                  }
                }
                break;
                {
                _flick_abort2648:
                  goto _flick_abort1489;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1245_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1245_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1245_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1246_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1246_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1246_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1247_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t1248_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2658);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1247_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t1247_principal_len);
                        flick_iiopxx_check_span(_t1247_principal_len * 1, _flick_abort2658);
                        flick_iiopxx_decode_new_chunk(_t1247_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1247_principal_len);
                        flick_iiopxx_decode_end_glob(_t1247_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2658);
                        flick_cdr_swap_decode_unsigned32(0, _t1248_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t1248_temp_string_len);
                        flick_iiopxx_check_span(1 * _t1248_temp_string_len * 1, _flick_abort2658);
                        flick_iiopxx_decode_new_chunk(1 * _t1248_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1248_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2658);
                          _local_s = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_s, 1 * _t1248_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t1248_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t1248_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1249_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1249_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2658);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2658);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1249_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1249_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1252_temp_string_len;
                                flick_unsigned32_t _t1253_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1252_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t1253_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1252_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t1252_temp_string_len, _flick_abort2669);
                                flick_iiopxx_encode_new_chunk(1 * _t1252_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1252_temp_string_len);
                                flick_iiopxx_encode_end_chunk(1 * _t1252_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t1252_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort2669);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1253_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1253_temp_string_len, flick_unsigned32_t );
                                if (_t1253_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2669);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t1253_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1253_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2669:
                                  goto _flick_abort2658;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2674);
                                break;
                                {
                                _flick_abort2674:
                                  goto _flick_abort2658;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2675);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2675:
                                  goto _flick_abort2658;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2658:
                          goto _flick_abort2657;
                        }
                      }
                      break;
                      {
                      _flick_abort2657:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1254_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1254_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1254_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1255_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t1256_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2677);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1255_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t1255_principal_len);
                        flick_iiopxx_check_span(_t1255_principal_len * 1, _flick_abort2677);
                        flick_iiopxx_decode_new_chunk(_t1255_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1255_principal_len);
                        flick_iiopxx_decode_end_glob(_t1255_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2677);
                        flick_cdr_swap_decode_unsigned32(0, _t1256_temp_string_len, flick_unsigned32_t );
                        if (_t1256_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2677);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t1256_temp_string_len * 1, _flick_abort2677);
                        flick_iiopxx_decode_new_chunk(1 * _t1256_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1256_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2677);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t1256_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t1256_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1257_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1257_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2677);
                          flick_iiopxx_encode_new_glob(44, _flick_abort2677);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1257_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1257_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1260_temp_string_len;
                                flick_unsigned32_t _t1261_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1260_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t1261_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t1260_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1260_temp_string_len, flick_unsigned32_t );
                                if (_t1260_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2688);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1260_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1260_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1261_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1261_temp_string_len, flick_unsigned32_t );
                                if (_t1261_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2688);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t1261_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1261_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2688:
                                  goto _flick_abort2677;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2693);
                                break;
                                {
                                _flick_abort2693:
                                  goto _flick_abort2677;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2694);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2694:
                                  goto _flick_abort2677;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2677:
                          goto _flick_abort2676;
                        }
                      }
                      break;
                      {
                      _flick_abort2676:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1262_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1262_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1262_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1263_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2696);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1263_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t1263_principal_len);
                        flick_iiopxx_check_span(_t1263_principal_len * 1, _flick_abort2696);
                        flick_iiopxx_decode_new_chunk(_t1263_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1263_principal_len);
                        flick_iiopxx_decode_end_glob(_t1263_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2696);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1264_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1264_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2696);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2696);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1264_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1264_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2702);
                                break;
                                {
                                _flick_abort2702:
                                  goto _flick_abort2696;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2703);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2703:
                                  goto _flick_abort2696;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2696:
                          goto _flick_abort2695;
                        }
                      }
                      break;
                      {
                      _flick_abort2695:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1265_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1265_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1265_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1266_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1266_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1266_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1267_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1267_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1267_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1268_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1268_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1268_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1269_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1269_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1269_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1270_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1270_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1270_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1271_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1271_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1271_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1272_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1272_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t1272_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1273_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2705);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t1273_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t1273_principal_len);
                                                            flick_iiopxx_check_span(_t1273_principal_len * 1, _flick_abort2705);
                                                            flick_iiopxx_decode_new_chunk(_t1273_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1273_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1273_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1274_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1274_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2705);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort2705);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1274_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1274_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2711);
                                                                    break;
                                                                    {
                                                                    _flick_abort2711:
                                                                      goto _flick_abort2705;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2712);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2712:
                                                                      goto _flick_abort2705;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2705:
                                                              goto _flick_abort2704;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2704:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1275_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1275_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1275_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1276_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1276_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t1276_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1277_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t1278_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2714);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1277_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t1277_principal_len);
                        flick_iiopxx_check_span(_t1277_principal_len * 1, _flick_abort2714);
                        flick_iiopxx_decode_new_chunk(_t1277_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1277_principal_len);
                        flick_iiopxx_decode_end_glob(_t1277_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2714);
                        flick_cdr_swap_decode_unsigned32(0, _t1278_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t1278_temp_string_len);
                        flick_iiopxx_check_span(1 * _t1278_temp_string_len * 1, _flick_abort2714);
                        flick_iiopxx_decode_new_chunk(1 * _t1278_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1278_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2714);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t1278_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t1278_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t1278_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1279_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1279_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2714);
                          flick_iiopxx_encode_new_glob(5, _flick_abort2714);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1279_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1279_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2722);
                                break;
                                {
                                _flick_abort2722:
                                  goto _flick_abort2714;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2723);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2723:
                                  goto _flick_abort2714;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2714:
                          goto _flick_abort2713;
                        }
                      }
                      break;
                      {
                      _flick_abort2713:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t755_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort1489);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t755_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t755_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t756_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t756_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t756_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t757_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t757_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t757_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t758_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t758_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t758_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t759_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t759_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t759_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t760_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t760_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t760_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t761_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t761_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t761_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t762_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t762_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t762_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t763_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t763_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t763_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t764_principal_len;
                                                            CORBA::UShort _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1800);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t764_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t764_principal_len);
                                                            flick_iiopxx_check_span(_t764_principal_len * 1, _flick_abort1800);
                                                            flick_iiopxx_decode_new_chunk(_t764_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t764_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t764_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_short_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t765_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t765_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1800);
                                                              flick_iiopxx_encode_new_glob(6, _flick_abort1800);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t765_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t765_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                                                    flick_iiopxx_encode_end_chunk(2);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1806);
                                                                    break;
                                                                    {
                                                                    _flick_abort1806:
                                                                      goto _flick_abort1800;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1807);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort1807:
                                                                      goto _flick_abort1800;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1800:
                                                              goto _flick_abort1799;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1799:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t766_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t766_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t766_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t767_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t767_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t767_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t768_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t768_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t768_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t769_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t769_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t769_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t770_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t770_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t770_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t771_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t771_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t771_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t772_principal_len;
                                                            char *_return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1809);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t772_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t772_principal_len);
                                                            flick_iiopxx_check_span(_t772_principal_len * 1, _flick_abort1809);
                                                            flick_iiopxx_decode_new_chunk(_t772_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t772_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t772_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->limited_string_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t773_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t773_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1809);
                                                              flick_iiopxx_encode_new_glob(19, _flick_abort1809);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t773_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t773_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t775_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t775_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4 + 1 * _t775_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t775_temp_string_len, flick_unsigned32_t );
                                                                    if (_t775_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1816);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t775_temp_string_len);
                                                                    flick_iiopxx_encode_end_chunk(4 + 1 * _t775_temp_string_len);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1816:
                                                                      goto _flick_abort1809;
                                                                    }
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1819);
                                                                    break;
                                                                    {
                                                                    _flick_abort1819:
                                                                      goto _flick_abort1809;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1820);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1820:
                                                                      goto _flick_abort1809;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1809:
                                                              goto _flick_abort1808;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1808:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t776_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t776_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t776_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t777_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t777_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t777_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t778_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t778_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t778_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t779_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t779_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t779_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t780_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t780_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t780_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t781_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t781_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t781_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t782_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t782_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t782_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t783_principal_len;
                                                            CORBA::UShort _local_unsigned_short_attribute;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1822);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t783_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t783_principal_len);
                                                            flick_iiopxx_check_span(_t783_principal_len * 1, _flick_abort1822);
                                                            flick_iiopxx_decode_new_chunk(_t783_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t783_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t783_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiopxx_decode_new_glob(3);
                                                            flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_iiopxx_check_span(2, _flick_abort1822);
                                                            flick_cdr_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA::UShort );
                                                            flick_iiopxx_decode_end_chunk(2);
                                                            flick_iiopxx_decode_end_glob(3);
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _local_this->unsigned_short_attribute(_local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t784_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t784_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1822);
                                                              flick_iiopxx_encode_new_glob(4, _flick_abort1822);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t784_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t784_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1828);
                                                                    break;
                                                                    {
                                                                    _flick_abort1828:
                                                                      goto _flick_abort1822;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1829);
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort1829:
                                                                      goto _flick_abort1822;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1822:
                                                              goto _flick_abort1821;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1821:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t785_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t785_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t785_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t786_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t786_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t786_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t787_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t787_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t787_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t788_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t788_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t788_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t789_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t789_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t789_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t790_principal_len;
                                          CORBA::Char _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1831);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t790_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t790_principal_len);
                                          flick_iiopxx_check_span(_t790_principal_len * 1, _flick_abort1831);
                                          flick_iiopxx_decode_new_chunk(_t790_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t790_principal_len);
                                          flick_iiopxx_decode_end_glob(_t790_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->char_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t791_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t791_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1831);
                                            flick_iiopxx_encode_new_glob(5, _flick_abort1831);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t791_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t791_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(5);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1837);
                                                  break;
                                                  {
                                                  _flick_abort1837:
                                                    goto _flick_abort1831;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1838);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort1838:
                                                    goto _flick_abort1831;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1831:
                                            goto _flick_abort1830;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1830:
                                          goto _flick_abort1489;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t792_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t792_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t792_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t793_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t793_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t793_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t794_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t794_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t794_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t795_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1840);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t795_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_decode_new_glob(_t795_principal_len);
                                          flick_iiopxx_check_span(_t795_principal_len * 1, _flick_abort1840);
                                          flick_iiopxx_decode_new_chunk(_t795_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t795_principal_len);
                                          flick_iiopxx_decode_end_glob(_t795_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t796_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t796_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1840);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1840);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t796_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t796_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1846);
                                                  break;
                                                  {
                                                  _flick_abort1846:
                                                    goto _flick_abort1840;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1847);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1847:
                                                    goto _flick_abort1840;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1840:
                                            goto _flick_abort1839;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1839:
                                          goto _flick_abort1489;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t797_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t797_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t797_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t798_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t798_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t798_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t799_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t799_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t799_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t800_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t800_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t800_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t801_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t801_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t801_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t802_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t802_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t802_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t803_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t803_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t803_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t804_principal_len;
                                                      CORBA::Boolean _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1849);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t804_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_decode_new_glob(_t804_principal_len);
                                                      flick_iiopxx_check_span(_t804_principal_len * 1, _flick_abort1849);
                                                      flick_iiopxx_decode_new_chunk(_t804_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t804_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t804_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->boolean_attribute(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t805_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t805_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1849);
                                                        flick_iiopxx_encode_new_glob(5, _flick_abort1849);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t805_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t805_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                                              flick_iiopxx_encode_end_chunk(1);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(5);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1855);
                                                              break;
                                                              {
                                                              _flick_abort1855:
                                                                goto _flick_abort1849;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1856);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort1856:
                                                                goto _flick_abort1849;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1849:
                                                        goto _flick_abort1848;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1848:
                                                      goto _flick_abort1489;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t806_switch_tag;

                flick_iiopxx_check_span(25, _flick_abort1489);
                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t806_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t806_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t807_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t807_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t807_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t808_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t808_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t808_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t809_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t809_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t809_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t810_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t810_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t810_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t811_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t811_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t811_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t812_principal_len;
                                                      CORBA::Boolean _local_boolean_attribute;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1858);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t812_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_decode_new_glob(_t812_principal_len);
                                                      flick_iiopxx_check_span(6 - 6 + 1 + _t812_principal_len * 1, _flick_abort1858);
                                                      flick_iiopxx_decode_new_chunk(_t812_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t812_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t812_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(1);
                                                      flick_iiopxx_decode_new_chunk(1);
                                                      flick_cdr_decode_unsigned8(0, _local_boolean_attribute, CORBA::Boolean );
                                                      flick_iiopxx_decode_end_chunk(1);
                                                      flick_iiopxx_decode_end_glob(1);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->boolean_attribute(_local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t813_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t813_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1858);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort1858);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t813_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t813_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1864);
                                                              break;
                                                              {
                                                              _flick_abort1864:
                                                                goto _flick_abort1858;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1865);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1865:
                                                                goto _flick_abort1858;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1858:
                                                        goto _flick_abort1857;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1857:
                                                      goto _flick_abort1489;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t814_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t814_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t814_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t815_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t815_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t815_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t816_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t816_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t816_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t817_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t817_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t817_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t818_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t818_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t818_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t819_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t819_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t819_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t820_principal_len;
                                                CORBA::Octet _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1867);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t820_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t820_principal_len);
                                                flick_iiopxx_check_span(_t820_principal_len * 1, _flick_abort1867);
                                                flick_iiopxx_decode_new_chunk(_t820_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t820_principal_len);
                                                flick_iiopxx_decode_end_glob(_t820_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->octet_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t821_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t821_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1867);
                                                  flick_iiopxx_encode_new_glob(5, _flick_abort1867);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t821_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t821_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                                        flick_iiopxx_encode_end_chunk(1);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(5);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1873);
                                                        break;
                                                        {
                                                        _flick_abort1873:
                                                          goto _flick_abort1867;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1874);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort1874:
                                                          goto _flick_abort1867;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1867:
                                                  goto _flick_abort1866;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1866:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t822_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t822_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t822_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t823_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t823_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t823_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t824_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t824_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t824_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t825_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t825_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t825_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t826_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1876);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t826_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t826_principal_len);
                                                flick_iiopxx_check_span(_t826_principal_len * 1, _flick_abort1876);
                                                flick_iiopxx_decode_new_chunk(_t826_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t826_principal_len);
                                                flick_iiopxx_decode_end_glob(_t826_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t827_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t827_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1876);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1876);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t827_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t827_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1882);
                                                        break;
                                                        {
                                                        _flick_abort1882:
                                                          goto _flick_abort1876;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1883);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1883:
                                                          goto _flick_abort1876;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1876:
                                                  goto _flick_abort1875;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1875:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t828_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t828_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t828_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t829_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t829_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t829_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t830_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t830_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t830_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t831_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t831_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t831_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t832_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1885);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t832_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t832_principal_len);
                                                flick_iiopxx_check_span(_t832_principal_len * 1, _flick_abort1885);
                                                flick_iiopxx_decode_new_chunk(_t832_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t832_principal_len);
                                                flick_iiopxx_decode_end_glob(_t832_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t833_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t833_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1885);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1885);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t833_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t833_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1891);
                                                        break;
                                                        {
                                                        _flick_abort1891:
                                                          goto _flick_abort1885;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1892);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1892:
                                                          goto _flick_abort1885;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1885:
                                                  goto _flick_abort1884;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1884:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t834_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t834_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t834_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t835_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t835_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t835_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t836_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t836_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t836_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t837_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t837_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t837_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t838_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t838_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t838_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t839_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1894);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t839_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t839_principal_len);
                                                flick_iiopxx_check_span(_t839_principal_len * 1, _flick_abort1894);
                                                flick_iiopxx_decode_new_chunk(_t839_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t839_principal_len);
                                                flick_iiopxx_decode_end_glob(_t839_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1894);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t840_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t840_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1894);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1894);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t840_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t840_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1900);
                                                        break;
                                                        {
                                                        _flick_abort1900:
                                                          goto _flick_abort1894;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1901);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1901:
                                                          goto _flick_abort1894;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1894:
                                                  goto _flick_abort1893;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1893:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t841_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t841_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t841_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t842_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t842_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t842_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t843_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t843_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t843_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t844_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t844_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t844_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t845_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t845_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t845_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t846_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t846_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t846_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t847_principal_len;
                                                char *_return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1903);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t847_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t847_principal_len);
                                                flick_iiopxx_check_span(_t847_principal_len * 1, _flick_abort1903);
                                                flick_iiopxx_decode_new_chunk(_t847_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t847_principal_len);
                                                flick_iiopxx_decode_end_glob(_t847_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->string_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t848_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t848_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1903);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1903);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t848_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t848_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t850_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t850_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t850_temp_string_len, flick_unsigned32_t );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_iiopxx_encode_new_glob(1 * _t850_temp_string_len, _flick_abort1910);
                                                        flick_iiopxx_encode_new_chunk(1 * _t850_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t850_temp_string_len);
                                                        flick_iiopxx_encode_end_chunk(1 * _t850_temp_string_len);
                                                        flick_iiopxx_encode_end_glob(1 * _t850_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort1910:
                                                          goto _flick_abort1903;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1913);
                                                        break;
                                                        {
                                                        _flick_abort1913:
                                                          goto _flick_abort1903;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1914);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1914:
                                                          goto _flick_abort1903;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1903:
                                                  goto _flick_abort1902;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1902:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t851_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t851_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t851_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t852_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t852_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t852_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t853_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t853_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t853_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t854_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t854_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t854_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t855_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1916);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t855_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t855_principal_len);
                                                flick_iiopxx_check_span(_t855_principal_len * 1, _flick_abort1916);
                                                flick_iiopxx_decode_new_chunk(_t855_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t855_principal_len);
                                                flick_iiopxx_decode_end_glob(_t855_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t856_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t856_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1916);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1916);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t856_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t856_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1922);
                                                        break;
                                                        {
                                                        _flick_abort1922:
                                                          goto _flick_abort1916;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1923);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1923:
                                                          goto _flick_abort1916;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1916:
                                                  goto _flick_abort1915;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1915:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t857_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t857_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t857_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t858_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t858_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t858_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t859_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t859_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t859_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t860_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t860_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t860_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t861_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t861_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t861_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t862_principal_len;
                                                char *_local_string_attribute;
                                                flick_unsigned32_t _t863_temp_string_len;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1925);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t862_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t862_principal_len);
                                                flick_iiopxx_check_span(_t862_principal_len * 1, _flick_abort1925);
                                                flick_iiopxx_decode_new_chunk(_t862_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t862_principal_len);
                                                flick_iiopxx_decode_end_glob(_t862_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(7);
                                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiopxx_check_span(4, _flick_abort1925);
                                                flick_cdr_decode_unsigned32(0, _t863_temp_string_len, flick_unsigned32_t );
                                                flick_iiopxx_decode_end_chunk(4);
                                                flick_iiopxx_decode_end_glob(7);
                                                flick_iiopxx_decode_new_glob(1 * _t863_temp_string_len);
                                                flick_iiopxx_check_span(1 * _t863_temp_string_len * 1, _flick_abort1925);
                                                flick_iiopxx_decode_new_chunk(1 * _t863_temp_string_len);
                                                {
                                                  CORBA::Char *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t863_temp_string_len * sizeof(CORBA::Char )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1925);
                                                  _local_string_attribute = _t_alloc_ptr;
                                                }
                                                flick_cdr_decode_bcopy(0, _local_string_attribute, 1 * _t863_temp_string_len);
                                                flick_iiopxx_decode_end_chunk(1 * _t863_temp_string_len);
                                                flick_iiopxx_decode_end_glob(1 * _t863_temp_string_len);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->string_attribute(_local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t864_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t864_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1925);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1925);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t864_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t864_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1933);
                                                        break;
                                                        {
                                                        _flick_abort1933:
                                                          goto _flick_abort1925;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1934);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1934:
                                                          goto _flick_abort1925;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1925:
                                                  goto _flick_abort1924;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1924:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t865_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t865_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t865_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t866_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t866_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t866_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t867_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t867_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t867_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t868_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t868_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t868_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t869_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1936);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t869_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_decode_new_glob(_t869_principal_len);
                                                flick_iiopxx_check_span(_t869_principal_len * 1, _flick_abort1936);
                                                flick_iiopxx_decode_new_chunk(_t869_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t869_principal_len);
                                                flick_iiopxx_decode_end_glob(_t869_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1936);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t870_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t870_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1936);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1936);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t870_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t870_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1942);
                                                        break;
                                                        {
                                                        _flick_abort1942:
                                                          goto _flick_abort1936;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1943);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1943:
                                                          goto _flick_abort1936;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1936:
                                                  goto _flick_abort1935;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1935:
                                                goto _flick_abort1489;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t871_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t871_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t871_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t872_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1945);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(6, _flick_abort1945);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t872_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t872_principal_len);
                  flick_iiopxx_check_span(6 - 6 + 2 + _t872_principal_len * 1, _flick_abort1945);
                  flick_iiopxx_decode_new_chunk(_t872_principal_len);
                  flick_iiopxx_decode_end_chunk(_t872_principal_len);
                  flick_iiopxx_decode_end_glob(_t872_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t873_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t873_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1945);
                    flick_iiopxx_encode_new_glob(7, _flick_abort1945);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t873_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t873_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1951);
                          break;
                          {
                          _flick_abort1951:
                            goto _flick_abort1945;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1952);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1952:
                            goto _flick_abort1945;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1945:
                    goto _flick_abort1944;
                  }
                }
                break;
                {
                _flick_abort1944:
                  goto _flick_abort1489;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t874_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1954);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort1954);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t874_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t874_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t874_principal_len * 1, _flick_abort1954);
                  flick_iiopxx_decode_new_chunk(_t874_principal_len);
                  flick_iiopxx_decode_end_chunk(_t874_principal_len);
                  flick_iiopxx_decode_end_glob(_t874_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t875_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t875_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1954);
                    flick_iiopxx_encode_new_glob(6, _flick_abort1954);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t875_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t875_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1960);
                          break;
                          {
                          _flick_abort1960:
                            goto _flick_abort1954;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1961);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort1961:
                            goto _flick_abort1954;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1954:
                    goto _flick_abort1953;
                  }
                }
                break;
                {
                _flick_abort1953:
                  goto _flick_abort1489;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t876_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t877_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1963);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort1963);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t876_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t876_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t876_principal_len * 1, _flick_abort1963);
                  flick_iiopxx_decode_new_chunk(_t876_principal_len);
                  flick_iiopxx_decode_end_chunk(_t876_principal_len);
                  flick_iiopxx_decode_end_glob(_t876_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1963);
                  flick_cdr_decode_unsigned32(0, _t877_temp_string_len, flick_unsigned32_t );
                  if (_t877_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1963);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t877_temp_string_len * 1, _flick_abort1963);
                  flick_iiopxx_decode_new_chunk(1 * _t877_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t877_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1963);
                    _local_ls = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _local_ls, 1 * _t877_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t877_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1963);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t878_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t878_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1963);
                    flick_iiopxx_encode_new_glob(12, _flick_abort1963);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t878_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t878_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t880_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t880_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t880_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t880_temp_string_len, _flick_abort1972);
                          flick_iiopxx_encode_new_chunk(1 * _t880_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t880_temp_string_len);
                          flick_iiopxx_encode_end_chunk(1 * _t880_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t880_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort1972);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1972:
                            goto _flick_abort1963;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1975);
                          break;
                          {
                          _flick_abort1975:
                            goto _flick_abort1963;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1976);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort1976:
                            goto _flick_abort1963;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1963:
                    goto _flick_abort1962;
                  }
                }
                break;
                {
                _flick_abort1962:
                  goto _flick_abort1489;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t881_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1978);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t881_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t881_principal_len);
                  flick_iiopxx_check_span(_t881_principal_len * 1, _flick_abort1978);
                  flick_iiopxx_decode_new_chunk(_t881_principal_len);
                  flick_iiopxx_decode_end_chunk(_t881_principal_len);
                  flick_iiopxx_decode_end_glob(_t881_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t882_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t882_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1978);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1978);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t882_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t882_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1984);
                          break;
                          {
                          _flick_abort1984:
                            goto _flick_abort1978;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1985);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1985:
                            goto _flick_abort1978;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1978:
                    goto _flick_abort1977;
                  }
                }
                break;
                {
                _flick_abort1977:
                  goto _flick_abort1489;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t883_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1987);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t883_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t883_principal_len);
                  flick_iiopxx_check_span(_t883_principal_len * 1, _flick_abort1987);
                  flick_iiopxx_decode_new_chunk(_t883_principal_len);
                  flick_iiopxx_decode_end_chunk(_t883_principal_len);
                  flick_iiopxx_decode_end_glob(_t883_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1987);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t884_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t884_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1987);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1987);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t884_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t884_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1993);
                          break;
                          {
                          _flick_abort1993:
                            goto _flick_abort1987;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1994);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1994:
                            goto _flick_abort1987;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1987:
                    goto _flick_abort1986;
                  }
                }
                break;
                {
                _flick_abort1986:
                  goto _flick_abort1489;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t885_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1996);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t885_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t885_principal_len);
                  flick_iiopxx_check_span(_t885_principal_len * 1, _flick_abort1996);
                  flick_iiopxx_decode_new_chunk(_t885_principal_len);
                  flick_iiopxx_decode_end_chunk(_t885_principal_len);
                  flick_iiopxx_decode_end_glob(_t885_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort1996);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t886_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t886_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1996);
                    flick_iiopxx_encode_new_glob(22, _flick_abort1996);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t886_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t886_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2002);
                          break;
                          {
                          _flick_abort2002:
                            goto _flick_abort1996;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2003);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2003:
                            goto _flick_abort1996;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1996:
                    goto _flick_abort1995;
                  }
                }
                break;
                {
                _flick_abort1995:
                  goto _flick_abort1489;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t887_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2005);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t887_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t887_principal_len);
                  flick_iiopxx_check_span(_t887_principal_len * 1, _flick_abort2005);
                  flick_iiopxx_decode_new_chunk(_t887_principal_len);
                  flick_iiopxx_decode_end_chunk(_t887_principal_len);
                  flick_iiopxx_decode_end_glob(_t887_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2005);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t888_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t888_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2005);
                    flick_iiopxx_encode_new_glob(16, _flick_abort2005);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t888_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t888_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2011);
                          break;
                          {
                          _flick_abort2011:
                            goto _flick_abort2005;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2012);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2012:
                            goto _flick_abort2005;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2005:
                    goto _flick_abort2004;
                  }
                }
                break;
                {
                _flick_abort2004:
                  goto _flick_abort1489;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t889_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2014);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t889_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t889_principal_len);
                  flick_iiopxx_check_span(_t889_principal_len * 1, _flick_abort2014);
                  flick_iiopxx_decode_new_chunk(_t889_principal_len);
                  flick_iiopxx_decode_end_chunk(_t889_principal_len);
                  flick_iiopxx_decode_end_glob(_t889_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2014);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t890_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t890_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2014);
                    flick_iiopxx_encode_new_glob(14, _flick_abort2014);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t890_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t890_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2020);
                          break;
                          {
                          _flick_abort2020:
                            goto _flick_abort2014;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2021);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2021:
                            goto _flick_abort2014;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2014:
                    goto _flick_abort2013;
                  }
                }
                break;
                {
                _flick_abort2013:
                  goto _flick_abort1489;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t891_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2023);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t891_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t891_principal_len);
                  flick_iiopxx_check_span(_t891_principal_len * 1, _flick_abort2023);
                  flick_iiopxx_decode_new_chunk(_t891_principal_len);
                  flick_iiopxx_decode_end_chunk(_t891_principal_len);
                  flick_iiopxx_decode_end_glob(_t891_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort2023);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t892_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t892_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2023);
                    flick_iiopxx_encode_new_glob(13, _flick_abort2023);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t892_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t892_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2029);
                          break;
                          {
                          _flick_abort2029:
                            goto _flick_abort2023;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2030);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2030:
                            goto _flick_abort2023;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2023:
                    goto _flick_abort2022;
                  }
                }
                break;
                {
                _flick_abort2022:
                  goto _flick_abort1489;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t893_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2032);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort2032);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t893_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_decode_new_glob(_t893_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t893_principal_len * 1, _flick_abort2032);
                  flick_iiopxx_decode_new_chunk(_t893_principal_len);
                  flick_iiopxx_decode_end_chunk(_t893_principal_len);
                  flick_iiopxx_decode_end_glob(_t893_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t894_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t894_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2032);
                    flick_iiopxx_encode_new_glob(9, _flick_abort2032);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t894_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t894_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2038);
                          break;
                          {
                          _flick_abort2038:
                            goto _flick_abort2032;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2039);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2039:
                            goto _flick_abort2032;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2032:
                    goto _flick_abort2031;
                  }
                }
                break;
                {
                _flick_abort2031:
                  goto _flick_abort1489;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t895_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t895_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t895_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t896_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t896_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t896_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t897_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t898_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2041);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t897_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t897_principal_len);
                        flick_iiopxx_check_span(_t897_principal_len * 1, _flick_abort2041);
                        flick_iiopxx_decode_new_chunk(_t897_principal_len);
                        flick_iiopxx_decode_end_chunk(_t897_principal_len);
                        flick_iiopxx_decode_end_glob(_t897_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2041);
                        flick_cdr_decode_unsigned32(0, _t898_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t898_temp_string_len);
                        flick_iiopxx_check_span(1 * _t898_temp_string_len * 1, _flick_abort2041);
                        flick_iiopxx_decode_new_chunk(1 * _t898_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t898_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2041);
                          _local_s = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_s, 1 * _t898_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t898_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t898_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t899_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t899_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2041);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2041);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t899_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t899_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t902_temp_string_len;
                                flick_unsigned32_t _t903_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t902_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t903_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t902_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t902_temp_string_len, _flick_abort2052);
                                flick_iiopxx_encode_new_chunk(1 * _t902_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t902_temp_string_len);
                                flick_iiopxx_encode_end_chunk(1 * _t902_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t902_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort2052);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t903_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t903_temp_string_len, flick_unsigned32_t );
                                if (_t903_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2052);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t903_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t903_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2052:
                                  goto _flick_abort2041;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2057);
                                break;
                                {
                                _flick_abort2057:
                                  goto _flick_abort2041;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2058);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2058:
                                  goto _flick_abort2041;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2041:
                          goto _flick_abort2040;
                        }
                      }
                      break;
                      {
                      _flick_abort2040:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t904_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t904_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t904_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t905_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t906_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2060);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t905_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t905_principal_len);
                        flick_iiopxx_check_span(_t905_principal_len * 1, _flick_abort2060);
                        flick_iiopxx_decode_new_chunk(_t905_principal_len);
                        flick_iiopxx_decode_end_chunk(_t905_principal_len);
                        flick_iiopxx_decode_end_glob(_t905_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2060);
                        flick_cdr_decode_unsigned32(0, _t906_temp_string_len, flick_unsigned32_t );
                        if (_t906_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2060);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t906_temp_string_len * 1, _flick_abort2060);
                        flick_iiopxx_decode_new_chunk(1 * _t906_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t906_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2060);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_ls, 1 * _t906_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t906_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t907_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t907_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2060);
                          flick_iiopxx_encode_new_glob(44, _flick_abort2060);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t907_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t907_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t910_temp_string_len;
                                flick_unsigned32_t _t911_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t910_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t911_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t910_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t910_temp_string_len, flick_unsigned32_t );
                                if (_t910_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2071);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t910_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t910_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t911_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t911_temp_string_len, flick_unsigned32_t );
                                if (_t911_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2071);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t911_temp_string_len);
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t911_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2071:
                                  goto _flick_abort2060;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2076);
                                break;
                                {
                                _flick_abort2076:
                                  goto _flick_abort2060;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2077);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2077:
                                  goto _flick_abort2060;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2060:
                          goto _flick_abort2059;
                        }
                      }
                      break;
                      {
                      _flick_abort2059:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t912_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t912_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t912_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t913_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2079);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t913_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t913_principal_len);
                        flick_iiopxx_check_span(_t913_principal_len * 1, _flick_abort2079);
                        flick_iiopxx_decode_new_chunk(_t913_principal_len);
                        flick_iiopxx_decode_end_chunk(_t913_principal_len);
                        flick_iiopxx_decode_end_glob(_t913_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2079);
                        flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t914_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t914_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2079);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2079);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t914_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t914_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2085);
                                break;
                                {
                                _flick_abort2085:
                                  goto _flick_abort2079;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2086);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2086:
                                  goto _flick_abort2079;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2079:
                          goto _flick_abort2078;
                        }
                      }
                      break;
                      {
                      _flick_abort2078:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t915_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t915_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t915_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t916_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t916_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t916_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t917_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t917_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t917_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t918_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t918_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t918_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t919_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t919_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t919_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t920_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t920_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t920_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t921_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t921_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t921_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t922_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t922_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t922_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t923_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2088);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t923_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_decode_new_glob(_t923_principal_len);
                                                            flick_iiopxx_check_span(_t923_principal_len * 1, _flick_abort2088);
                                                            flick_iiopxx_decode_new_chunk(_t923_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t923_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t923_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t924_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t924_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2088);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort2088);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t924_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t924_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2094);
                                                                    break;
                                                                    {
                                                                    _flick_abort2094:
                                                                      goto _flick_abort2088;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2095);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2095:
                                                                      goto _flick_abort2088;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2088:
                                                              goto _flick_abort2087;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2087:
                                                            goto _flick_abort1489;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t925_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1489);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t925_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t925_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t926_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t926_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t926_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t927_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t928_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2097);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t927_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_decode_new_glob(_t927_principal_len);
                        flick_iiopxx_check_span(_t927_principal_len * 1, _flick_abort2097);
                        flick_iiopxx_decode_new_chunk(_t927_principal_len);
                        flick_iiopxx_decode_end_chunk(_t927_principal_len);
                        flick_iiopxx_decode_end_glob(_t927_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2097);
                        flick_cdr_decode_unsigned32(0, _t928_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t928_temp_string_len);
                        flick_iiopxx_check_span(1 * _t928_temp_string_len * 1, _flick_abort2097);
                        flick_iiopxx_decode_new_chunk(1 * _t928_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t928_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2097);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t928_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t928_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t928_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t929_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t929_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2097);
                          flick_iiopxx_encode_new_glob(5, _flick_abort2097);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t929_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t929_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2105);
                                break;
                                {
                                _flick_abort2105:
                                  goto _flick_abort2097;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2106);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2106:
                                  goto _flick_abort2097;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2097:
                          goto _flick_abort2096;
                        }
                      }
                      break;
                      {
                      _flick_abort2096:
                        goto _flick_abort1489;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1489);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort1489:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1488);
  _flick_abort1488:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

