#include "impldef-server.h"

POA_CORBA::ImplementationDef::ImplementationDef()
{}

POA_CORBA::ImplementationDef::ImplementationDef(const ImplementationDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::ImplementationDef::~ImplementationDef()
{}

CORBA::ImplementationDef *POA_CORBA::ImplementationDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_CORBA::_tao_collocated_ImplementationDef(this, stub);
}

CORBA::Boolean POA_CORBA::ImplementationDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::ImplementationDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_static_cast(POA_CORBA::ImplementationDef_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::ImplementationDef::_interface_repository_id() const
{
  return "IDL:CORBA/ImplementationDef:1.0";
}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::~ImplementationDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::ImplementationDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::ImplementationDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::ImplementationDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::ImplementationDef_tie<T>::ImplementationDef_tie(const ImplementationDef_tie &c)
{}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::operator=(const ImplementationDef_tie &c)
{}

template <class T>
  char *POA_CORBA::ImplementationDef_tie<T>::interface_name(/* POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::interface_name(/* POA_CORBA::ImplementationDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::ImplementationDef_tie<T>::object_name(/* POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::object_name(/* POA_CORBA::ImplementationDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  CORBA::ReferenceData *POA_CORBA::ImplementationDef_tie<T>::id(/* POA_CORBA::ImplementationDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::ImplementationDef_tie<T>::id(/* POA_CORBA::ImplementationDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_collocated_ImplementationDef::_tao_collocated_ImplementationDef(POA_CORBA::ImplementationDef_ptr servant, TAO_Stub *stub)
  : CORBA::ImplementationDef(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_CORBA::ImplementationDef_ptr POA_CORBA::_tao_collocated_ImplementationDef::_get_servant() const
{
  return this->servant_;
}

char *POA_CORBA::_tao_collocated_ImplementationDef::interface_name(CORBA::Environment &_ev)
{
  return this->servant_->interface_name (_ev);
}

void POA_CORBA::_tao_collocated_ImplementationDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  this->servant_->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_collocated_ImplementationDef::object_name(CORBA::Environment &_ev)
{
  return this->servant_->object_name (_ev);
}

void POA_CORBA::_tao_collocated_ImplementationDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  this->servant_->object_name (object_name, _ev);
}

CORBA::ReferenceData *POA_CORBA::_tao_collocated_ImplementationDef::id(CORBA::Environment &_ev)
{
  return this->servant_->id (_ev);
}

void POA_CORBA::_tao_collocated_ImplementationDef::id(const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->servant_->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_collocated_ImplementationDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_CORBA::CreationImplDef::CreationImplDef()
{}

POA_CORBA::CreationImplDef::CreationImplDef(const CreationImplDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::CreationImplDef::~CreationImplDef()
{}

CORBA::CreationImplDef *POA_CORBA::CreationImplDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_CORBA::_tao_collocated_CreationImplDef(this, stub);
}

CORBA::Boolean POA_CORBA::CreationImplDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/CreationImplDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::CreationImplDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/CreationImplDef:1.0") == 0)
    return ACE_static_cast(POA_CORBA::CreationImplDef_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_reinterpret_cast(POA_CORBA::ImplementationDef_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::CreationImplDef::_interface_repository_id() const
{
  return "IDL:CORBA/CreationImplDef:1.0";
}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::~CreationImplDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::CreationImplDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::CreationImplDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::CreationImplDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::CreationImplDef_tie<T>::CreationImplDef_tie(const CreationImplDef_tie &c)
{}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::operator=(const CreationImplDef_tie &c)
{}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::path_name(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->path_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::path_name(/* POA_CORBA::CreationImplDef *this, */ const char *path_name, CORBA::Environment &_ev)
{
  this->ptr_->path_name (path_name, _ev);
}

template <class T>
  enum CORBA::Policy POA_CORBA::CreationImplDef_tie<T>::activation_policy(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->activation_policy (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::activation_policy(/* POA_CORBA::CreationImplDef *this, */ enum CORBA::Policy activation_policy, CORBA::Environment &_ev)
{
  this->ptr_->activation_policy (activation_policy, _ev);
}

template <class T>
  CORBA::StringSequence *POA_CORBA::CreationImplDef_tie<T>::args(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->args (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::args(/* POA_CORBA::CreationImplDef *this, */ const CORBA::StringSequence &args, CORBA::Environment &_ev)
{
  this->ptr_->args (args, _ev);
}

template <class T>
  CORBA::StringSequence *POA_CORBA::CreationImplDef_tie<T>::env(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->env (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::env(/* POA_CORBA::CreationImplDef *this, */ const CORBA::StringSequence &env, CORBA::Environment &_ev)
{
  this->ptr_->env (env, _ev);
}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::interface_name(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::interface_name(/* POA_CORBA::CreationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::CreationImplDef_tie<T>::object_name(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::object_name(/* POA_CORBA::CreationImplDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  CORBA::ReferenceData *POA_CORBA::CreationImplDef_tie<T>::id(/* POA_CORBA::CreationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::CreationImplDef_tie<T>::id(/* POA_CORBA::CreationImplDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_collocated_CreationImplDef::_tao_collocated_CreationImplDef(POA_CORBA::CreationImplDef_ptr servant, TAO_Stub *stub)
  : CORBA::CreationImplDef(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_CORBA::CreationImplDef_ptr POA_CORBA::_tao_collocated_CreationImplDef::_get_servant() const
{
  return this->servant_;
}

char *POA_CORBA::_tao_collocated_CreationImplDef::path_name(CORBA::Environment &_ev)
{
  return this->servant_->path_name (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::path_name(const char *path_name, CORBA::Environment &_ev)
{
  this->servant_->path_name (path_name, _ev);
}

enum CORBA::Policy POA_CORBA::_tao_collocated_CreationImplDef::activation_policy(CORBA::Environment &_ev)
{
  return this->servant_->activation_policy (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::activation_policy(enum CORBA::Policy activation_policy, CORBA::Environment &_ev)
{
  this->servant_->activation_policy (activation_policy, _ev);
}

CORBA::StringSequence *POA_CORBA::_tao_collocated_CreationImplDef::args(CORBA::Environment &_ev)
{
  return this->servant_->args (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::args(const CORBA::StringSequence &args, CORBA::Environment &_ev)
{
  this->servant_->args (args, _ev);
}

CORBA::StringSequence *POA_CORBA::_tao_collocated_CreationImplDef::env(CORBA::Environment &_ev)
{
  return this->servant_->env (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::env(const CORBA::StringSequence &env, CORBA::Environment &_ev)
{
  this->servant_->env (env, _ev);
}

char *POA_CORBA::_tao_collocated_CreationImplDef::interface_name(CORBA::Environment &_ev)
{
  return this->servant_->interface_name (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  this->servant_->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_collocated_CreationImplDef::object_name(CORBA::Environment &_ev)
{
  return this->servant_->object_name (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  this->servant_->object_name (object_name, _ev);
}

CORBA::ReferenceData *POA_CORBA::_tao_collocated_CreationImplDef::id(CORBA::Environment &_ev)
{
  return this->servant_->id (_ev);
}

void POA_CORBA::_tao_collocated_CreationImplDef::id(const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->servant_->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_collocated_CreationImplDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_CORBA::Activator::Activator()
{}

POA_CORBA::Activator::Activator(const Activator &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::Activator::~Activator()
{}

CORBA::Activator *POA_CORBA::Activator::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_CORBA::_tao_collocated_Activator(this, stub);
}

CORBA::Boolean POA_CORBA::Activator::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/Activator:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::Activator::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/Activator:1.0") == 0)
    return ACE_static_cast(POA_CORBA::Activator_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::Activator::_interface_repository_id() const
{
  return "IDL:CORBA/Activator:1.0";
}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::Activator_tie<T>::~Activator_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::Activator_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::Activator_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::Activator_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::Activator_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::Activator_tie<T>::Activator_tie(const Activator_tie &c)
{}

template <class T>
  void POA_CORBA::Activator_tie<T>::operator=(const Activator_tie &c)
{}

template <class T>
  CORBA::Object_ptr POA_CORBA::Activator_tie<T>::activate(/* POA_CORBA::Activator *this, */ CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  return this->ptr_->activate (impl, _ev);
}

template <class T>
  void POA_CORBA::Activator_tie<T>::deactivate(/* POA_CORBA::Activator *this, */ CORBA::Object_ptr obj, CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  this->ptr_->deactivate (obj, impl, _ev);
}

POA_CORBA::_tao_collocated_Activator::_tao_collocated_Activator(POA_CORBA::Activator_ptr servant, TAO_Stub *stub)
  : CORBA::Activator(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_CORBA::Activator_ptr POA_CORBA::_tao_collocated_Activator::_get_servant() const
{
  return this->servant_;
}

CORBA::Object_ptr POA_CORBA::_tao_collocated_Activator::activate(CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  return this->servant_->activate (impl, _ev);
}

void POA_CORBA::_tao_collocated_Activator::deactivate(CORBA::Object_ptr obj, CORBA::ImplementationDef_ptr impl, CORBA::Environment &_ev)
{
  this->servant_->deactivate (obj, impl, _ev);
}

CORBA::Boolean POA_CORBA::_tao_collocated_Activator::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_CORBA::ActivationImplDef::ActivationImplDef()
{}

POA_CORBA::ActivationImplDef::ActivationImplDef(const ActivationImplDef &rhs)
  : TAO_ServantBase(rhs)
{}

POA_CORBA::ActivationImplDef::~ActivationImplDef()
{}

CORBA::ActivationImplDef *POA_CORBA::ActivationImplDef::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_CORBA::_tao_collocated_ActivationImplDef(this, stub);
}

CORBA::Boolean POA_CORBA::ActivationImplDef::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ImplementationDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:CORBA/ActivationImplDef:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_CORBA::ActivationImplDef::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ActivationImplDef:1.0") == 0)
    return ACE_static_cast(POA_CORBA::ActivationImplDef_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:CORBA/ImplementationDef:1.0") == 0)
    return ACE_reinterpret_cast(POA_CORBA::ImplementationDef_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_CORBA::ActivationImplDef::_interface_repository_id() const
{
  return "IDL:CORBA/ActivationImplDef:1.0";
}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::~ActivationImplDef_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_CORBA::ActivationImplDef_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_CORBA::ActivationImplDef_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_CORBA::ActivationImplDef_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_CORBA::ActivationImplDef_tie<T>::ActivationImplDef_tie(const ActivationImplDef_tie &c)
{}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::operator=(const ActivationImplDef_tie &c)
{}

template <class T>
  CORBA::Activator_ptr POA_CORBA::ActivationImplDef_tie<T>::activator_obj(/* POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->activator_obj (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::activator_obj(/* POA_CORBA::ActivationImplDef *this, */ CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev)
{
  this->ptr_->activator_obj (activator_obj, _ev);
}

template <class T>
  char *POA_CORBA::ActivationImplDef_tie<T>::interface_name(/* POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->interface_name (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::interface_name(/* POA_CORBA::ActivationImplDef *this, */ const char *interface_name, CORBA::Environment &_ev)
{
  this->ptr_->interface_name (interface_name, _ev);
}

template <class T>
  char *POA_CORBA::ActivationImplDef_tie<T>::object_name(/* POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->object_name (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::object_name(/* POA_CORBA::ActivationImplDef *this, */ const char *object_name, CORBA::Environment &_ev)
{
  this->ptr_->object_name (object_name, _ev);
}

template <class T>
  CORBA::ReferenceData *POA_CORBA::ActivationImplDef_tie<T>::id(/* POA_CORBA::ActivationImplDef *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_CORBA::ActivationImplDef_tie<T>::id(/* POA_CORBA::ActivationImplDef *this, */ const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

POA_CORBA::_tao_collocated_ActivationImplDef::_tao_collocated_ActivationImplDef(POA_CORBA::ActivationImplDef_ptr servant, TAO_Stub *stub)
  : CORBA::ActivationImplDef(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_CORBA::ActivationImplDef_ptr POA_CORBA::_tao_collocated_ActivationImplDef::_get_servant() const
{
  return this->servant_;
}

CORBA::Activator_ptr POA_CORBA::_tao_collocated_ActivationImplDef::activator_obj(CORBA::Environment &_ev)
{
  return this->servant_->activator_obj (_ev);
}

void POA_CORBA::_tao_collocated_ActivationImplDef::activator_obj(CORBA::Activator_ptr activator_obj, CORBA::Environment &_ev)
{
  this->servant_->activator_obj (activator_obj, _ev);
}

char *POA_CORBA::_tao_collocated_ActivationImplDef::interface_name(CORBA::Environment &_ev)
{
  return this->servant_->interface_name (_ev);
}

void POA_CORBA::_tao_collocated_ActivationImplDef::interface_name(const char *interface_name, CORBA::Environment &_ev)
{
  this->servant_->interface_name (interface_name, _ev);
}

char *POA_CORBA::_tao_collocated_ActivationImplDef::object_name(CORBA::Environment &_ev)
{
  return this->servant_->object_name (_ev);
}

void POA_CORBA::_tao_collocated_ActivationImplDef::object_name(const char *object_name, CORBA::Environment &_ev)
{
  this->servant_->object_name (object_name, _ev);
}

CORBA::ReferenceData *POA_CORBA::_tao_collocated_ActivationImplDef::id(CORBA::Environment &_ev)
{
  return this->servant_->id (_ev);
}

void POA_CORBA::_tao_collocated_ActivationImplDef::id(const CORBA::ReferenceData &id, CORBA::Environment &_ev)
{
  this->servant_->id (id, _ev);
}

CORBA::Boolean POA_CORBA::_tao_collocated_ActivationImplDef::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, CORBA::ImplementationDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ImplementationDef , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ImplementationDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ImplementationDef , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, CORBA::ImplementationDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ImplementationDef , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_CORBA::ImplementationDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t135_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t135_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t135_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t136_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t136_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t136_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t137_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t137_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t137_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t138_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t138_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t139_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t139_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t140_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t140_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t140_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t141_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort258);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t141_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t141_principal_len);
                                          flick_iiopxx_check_span(_t141_principal_len * 1, _flick_abort258);
                                          flick_iiopxx_decode_new_chunk(_t141_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t141_principal_len);
                                          flick_iiopxx_decode_end_glob(_t141_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t142_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort258);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort258);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t142_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t142_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t144_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t144_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t144_temp_string_len, _flick_abort265);
                                                  flick_iiopxx_encode_new_chunk(1 * _t144_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t144_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t144_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t144_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort265:
                                                    goto _flick_abort258;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort268);
                                                  break;
                                                  {
                                                  _flick_abort268:
                                                    goto _flick_abort258;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort269);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort269:
                                                    goto _flick_abort258;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort258:
                                            goto _flick_abort257;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort257:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t145_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t145_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t145_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t146_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t146_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t146_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t147_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t147_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t148_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t148_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t149_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t150_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort271);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t149_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t149_principal_len);
                                          flick_iiopxx_check_span(_t149_principal_len * 1, _flick_abort271);
                                          flick_iiopxx_decode_new_chunk(_t149_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t149_principal_len);
                                          flick_iiopxx_decode_end_glob(_t149_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort271);
                                          flick_cdr_swap_decode_unsigned32(0, _t150_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t150_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t150_temp_string_len * 1, _flick_abort271);
                                          flick_iiopxx_decode_new_chunk(1 * _t150_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t150_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_interface_name, 1 * _t150_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t150_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t150_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t151_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t151_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort271);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort271);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t151_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t151_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort279);
                                                  break;
                                                  {
                                                  _flick_abort279:
                                                    goto _flick_abort271;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort280:
                                                    goto _flick_abort271;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort271:
                                            goto _flick_abort270;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort270:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t152_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t152_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t152_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t153_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t153_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t153_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t154_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t154_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t155_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t155_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t156_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t156_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t157_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort282);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t157_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t157_principal_len);
                                          flick_iiopxx_check_span(_t157_principal_len * 1, _flick_abort282);
                                          flick_iiopxx_decode_new_chunk(_t157_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t157_principal_len);
                                          flick_iiopxx_decode_end_glob(_t157_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t158_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort282);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort282);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t158_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t158_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t160_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t160_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t160_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t160_temp_string_len, _flick_abort289);
                                                  flick_iiopxx_encode_new_chunk(1 * _t160_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t160_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t160_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t160_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort289:
                                                    goto _flick_abort282;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort292);
                                                  break;
                                                  {
                                                  _flick_abort292:
                                                    goto _flick_abort282;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort293);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort293:
                                                    goto _flick_abort282;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort282:
                                            goto _flick_abort281;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort281:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t161_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t161_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t161_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t162_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t162_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t163_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t163_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t164_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t164_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t164_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t165_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t166_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort295);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t165_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t165_principal_len);
                                          flick_iiopxx_check_span(_t165_principal_len * 1, _flick_abort295);
                                          flick_iiopxx_decode_new_chunk(_t165_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t165_principal_len);
                                          flick_iiopxx_decode_end_glob(_t165_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort295);
                                          flick_cdr_swap_decode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t166_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t166_temp_string_len * 1, _flick_abort295);
                                          flick_iiopxx_decode_new_chunk(1 * _t166_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t166_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort295);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_object_name, 1 * _t166_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t166_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t166_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t167_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t167_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort295);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort295);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t167_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t167_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort303);
                                                  break;
                                                  {
                                                  _flick_abort303:
                                                    goto _flick_abort295;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort304);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort304:
                                                    goto _flick_abort295;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort295:
                                            goto _flick_abort294;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort294:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t168_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t168_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t168_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t169_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t169_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t169_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t170_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort306);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t170_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t170_principal_len);
                        flick_iiopxx_check_span(_t170_principal_len * 1, _flick_abort306);
                        flick_iiopxx_decode_new_chunk(_t170_principal_len);
                        flick_iiopxx_decode_end_chunk(_t170_principal_len);
                        flick_iiopxx_decode_end_glob(_t170_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t171_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort306);
                          flick_iiopxx_encode_new_glob(8, _flick_abort306);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t171_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t171_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort313);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort313:
                                  goto _flick_abort306;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort316);
                                break;
                                {
                                _flick_abort316:
                                  goto _flick_abort306;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort317);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort317:
                                  goto _flick_abort306;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort306:
                          goto _flick_abort305;
                        }
                      }
                      break;
                      {
                      _flick_abort305:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t172_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t172_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t173_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort319);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t173_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t173_principal_len);
                        flick_iiopxx_check_span(_t173_principal_len * 1, _flick_abort319);
                        flick_iiopxx_decode_new_chunk(_t173_principal_len);
                        flick_iiopxx_decode_end_chunk(_t173_principal_len);
                        flick_iiopxx_decode_end_glob(_t173_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort319);
                        flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort319);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t174_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t174_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort319);
                          flick_iiopxx_encode_new_glob(4, _flick_abort319);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t174_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t174_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort327);
                                break;
                                {
                                _flick_abort327:
                                  goto _flick_abort319;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort328);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort328:
                                  goto _flick_abort319;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort319:
                          goto _flick_abort318;
                        }
                      }
                      break;
                      {
                      _flick_abort318:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t175_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t175_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t176_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t176_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t176_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t177_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t178_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort330);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t177_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t177_principal_len);
                        flick_iiopxx_check_span(_t177_principal_len * 1, _flick_abort330);
                        flick_iiopxx_decode_new_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort330);
                        flick_cdr_swap_decode_unsigned32(0, _t178_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t178_temp_string_len);
                        flick_iiopxx_check_span(1 * _t178_temp_string_len * 1, _flick_abort330);
                        flick_iiopxx_decode_new_chunk(1 * _t178_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t178_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort330);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t178_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t178_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t178_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t179_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t179_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort330);
                          flick_iiopxx_encode_new_glob(5, _flick_abort330);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t179_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t179_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort338);
                                break;
                                {
                                _flick_abort338:
                                  goto _flick_abort330;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort330;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort330:
                          goto _flick_abort329;
                        }
                      }
                      break;
                      {
                      _flick_abort329:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t45_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t46_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t46_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t47_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t47_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t48_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t48_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t49_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t49_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t50_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t50_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t50_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t51_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t51_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t51_principal_len);
                                          flick_iiopxx_check_span(_t51_principal_len * 1, _flick_abort91);
                                          flick_iiopxx_decode_new_chunk(_t51_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t51_principal_len);
                                          flick_iiopxx_decode_end_glob(_t51_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t52_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t52_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort91);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t52_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t52_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t54_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t54_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t54_temp_string_len, _flick_abort98);
                                                  flick_iiopxx_encode_new_chunk(1 * _t54_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t54_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t54_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t54_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort98:
                                                    goto _flick_abort91;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort101);
                                                  break;
                                                  {
                                                  _flick_abort101:
                                                    goto _flick_abort91;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort102:
                                                    goto _flick_abort91;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort91:
                                            goto _flick_abort90;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort90:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t55_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t55_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t56_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t56_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t57_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t57_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t58_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t58_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t59_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t60_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort104);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t59_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t59_principal_len);
                                          flick_iiopxx_check_span(_t59_principal_len * 1, _flick_abort104);
                                          flick_iiopxx_decode_new_chunk(_t59_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t59_principal_len);
                                          flick_iiopxx_decode_end_glob(_t59_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort104);
                                          flick_cdr_decode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t60_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t60_temp_string_len * 1, _flick_abort104);
                                          flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t60_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort104);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_interface_name, 1 * _t60_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t60_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t61_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort104);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort104);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t61_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t61_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort112);
                                                  break;
                                                  {
                                                  _flick_abort112:
                                                    goto _flick_abort104;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort113:
                                                    goto _flick_abort104;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort104:
                                            goto _flick_abort103;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort103:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t62_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t63_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t64_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t64_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t65_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t65_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t66_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t66_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t66_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t67_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort115);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t67_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t67_principal_len);
                                          flick_iiopxx_check_span(_t67_principal_len * 1, _flick_abort115);
                                          flick_iiopxx_decode_new_chunk(_t67_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t67_principal_len);
                                          flick_iiopxx_decode_end_glob(_t67_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t68_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort115);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort115);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t68_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t68_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t70_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t70_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t70_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t70_temp_string_len, _flick_abort122);
                                                  flick_iiopxx_encode_new_chunk(1 * _t70_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t70_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t70_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t70_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort122:
                                                    goto _flick_abort115;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort125);
                                                  break;
                                                  {
                                                  _flick_abort125:
                                                    goto _flick_abort115;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort126:
                                                    goto _flick_abort115;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort115:
                                            goto _flick_abort114;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort114:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t71_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t71_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t72_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t72_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t73_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t73_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t74_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t74_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t74_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ImplementationDef *_local_this;
                                          unsigned int _t75_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t76_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort128);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t75_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t75_principal_len);
                                          flick_iiopxx_check_span(_t75_principal_len * 1, _flick_abort128);
                                          flick_iiopxx_decode_new_chunk(_t75_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t75_principal_len);
                                          flick_iiopxx_decode_end_glob(_t75_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort128);
                                          flick_cdr_decode_unsigned32(0, _t76_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t76_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t76_temp_string_len * 1, _flick_abort128);
                                          flick_iiopxx_decode_new_chunk(1 * _t76_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t76_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_object_name, 1 * _t76_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t76_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t76_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t77_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t77_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort128);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort128);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t77_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t77_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort136);
                                                  break;
                                                  {
                                                  _flick_abort136:
                                                    goto _flick_abort128;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort137);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort137:
                                                    goto _flick_abort128;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort128:
                                            goto _flick_abort127;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort127:
                                          goto _flick_abort5;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t78_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t78_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t79_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t79_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t80_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort139);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t80_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t80_principal_len);
                        flick_iiopxx_check_span(_t80_principal_len * 1, _flick_abort139);
                        flick_iiopxx_decode_new_chunk(_t80_principal_len);
                        flick_iiopxx_decode_end_chunk(_t80_principal_len);
                        flick_iiopxx_decode_end_glob(_t80_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t81_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t81_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort139);
                          flick_iiopxx_encode_new_glob(8, _flick_abort139);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t81_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t81_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort146);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort139;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort149);
                                break;
                                {
                                _flick_abort149:
                                  goto _flick_abort139;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort150);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort150:
                                  goto _flick_abort139;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort139:
                          goto _flick_abort138;
                        }
                      }
                      break;
                      {
                      _flick_abort138:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t82_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t82_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t83_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort152);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t83_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t83_principal_len);
                        flick_iiopxx_check_span(_t83_principal_len * 1, _flick_abort152);
                        flick_iiopxx_decode_new_chunk(_t83_principal_len);
                        flick_iiopxx_decode_end_chunk(_t83_principal_len);
                        flick_iiopxx_decode_end_glob(_t83_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort152);
                        flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort152);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t84_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t84_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort152);
                          flick_iiopxx_encode_new_glob(4, _flick_abort152);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t84_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t84_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort160);
                                break;
                                {
                                _flick_abort160:
                                  goto _flick_abort152;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort161:
                                  goto _flick_abort152;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort152:
                          goto _flick_abort151;
                        }
                      }
                      break;
                      {
                      _flick_abort151:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t85_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t86_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t86_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t86_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::ImplementationDef *_local_this;
                        unsigned int _t87_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t88_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort163);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t87_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t87_principal_len);
                        flick_iiopxx_check_span(_t87_principal_len * 1, _flick_abort163);
                        flick_iiopxx_decode_new_chunk(_t87_principal_len);
                        flick_iiopxx_decode_end_chunk(_t87_principal_len);
                        flick_iiopxx_decode_end_glob(_t87_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort163);
                        flick_cdr_decode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t88_temp_string_len);
                        flick_iiopxx_check_span(1 * _t88_temp_string_len * 1, _flick_abort163);
                        flick_iiopxx_decode_new_chunk(1 * _t88_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t88_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort163);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t88_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t88_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t88_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t89_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t89_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort163);
                          flick_iiopxx_encode_new_glob(5, _flick_abort163);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t89_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t89_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                break;
                                {
                                _flick_abort171:
                                  goto _flick_abort163;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort163;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort163:
                          goto _flick_abort162;
                        }
                      }
                      break;
                      {
                      _flick_abort162:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, CORBA::CreationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, CreationImplDef , _flick_abort340);
  return 0;
  {
  _flick_abort340:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::CreationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, CreationImplDef , _flick_abort341);
  return 0;
  {
  _flick_abort341:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, CORBA::CreationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, CreationImplDef , _flick_abort342);
  return 0;
  {
  _flick_abort342:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_CORBA::CreationImplDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t576_switch_tag;

    flick_iiopxx_decode_new_glob(32);
    flick_iiopxx_check_span(16, _flick_abort345);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t576_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t576_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t577_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t577_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t577_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t578_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t578_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t578_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t579_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t579_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t579_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t580_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t580_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t580_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t581_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t581_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t581_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t582_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1102);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t582_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(5);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t582_principal_len);
                                          flick_iiopxx_check_span(_t582_principal_len * 1, _flick_abort1102);
                                          flick_iiopxx_decode_new_chunk(_t582_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t582_principal_len);
                                          flick_iiopxx_decode_end_glob(_t582_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->path_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t583_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t583_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1102);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1102);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t583_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t583_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t585_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t585_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t585_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t585_temp_string_len, _flick_abort1109);
                                                  flick_iiopxx_encode_new_chunk(1 * _t585_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t585_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t585_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t585_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1109:
                                                    goto _flick_abort1102;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1112);
                                                  break;
                                                  {
                                                  _flick_abort1112:
                                                    goto _flick_abort1102;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1113);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1113:
                                                    goto _flick_abort1102;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1102:
                                            goto _flick_abort1101;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1101:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t586_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t586_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t586_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t587_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t587_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t587_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t588_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t588_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t588_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t589_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t589_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t589_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t590_principal_len;
                                          char *_local_path_name;
                                          flick_unsigned32_t _t591_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1115);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t590_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(5);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t590_principal_len);
                                          flick_iiopxx_check_span(_t590_principal_len * 1, _flick_abort1115);
                                          flick_iiopxx_decode_new_chunk(_t590_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t590_principal_len);
                                          flick_iiopxx_decode_end_glob(_t590_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1115);
                                          flick_cdr_swap_decode_unsigned32(0, _t591_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t591_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t591_temp_string_len * 1, _flick_abort1115);
                                          flick_iiopxx_decode_new_chunk(1 * _t591_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t591_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1115);
                                            _local_path_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_path_name, 1 * _t591_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t591_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t591_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->path_name(_local_path_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t592_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t592_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1115);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1115);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t592_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t592_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1123);
                                                  break;
                                                  {
                                                  _flick_abort1123:
                                                    goto _flick_abort1115;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1124);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1124:
                                                    goto _flick_abort1115;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1115:
                                            goto _flick_abort1114;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1114:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t593_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t593_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t593_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t594_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t594_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t594_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t595_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t595_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t595_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t596_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t596_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t596_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t597_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t597_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t597_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t598_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t598_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t598_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t599_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t599_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t599_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_CORBA::CreationImplDef *_local_this;
                                                      unsigned int _t600_principal_len;
                                                      enum CORBA::Policy _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1126);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t600_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      flick_iiopxx_decode_new_glob(_t600_principal_len);
                                                      flick_iiopxx_check_span(_t600_principal_len * 1, _flick_abort1126);
                                                      flick_iiopxx_decode_new_chunk(_t600_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t600_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t600_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->activation_policy(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t601_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t601_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1126);
                                                        flick_iiopxx_encode_new_glob(8, _flick_abort1126);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t601_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t601_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_unsigned32(0, _return, enum CORBA::Policy );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(8);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(8);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1132);
                                                              break;
                                                              {
                                                              _flick_abort1132:
                                                                goto _flick_abort1126;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1133);
                                                              flick_iiopxx_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort1133:
                                                                goto _flick_abort1126;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1126:
                                                        goto _flick_abort1125;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1125:
                                                      goto _flick_abort345;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                                    flick_iiopxx_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                              flick_iiopxx_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t602_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t602_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t602_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t603_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t603_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t603_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t604_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t604_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t604_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t605_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t605_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t605_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t606_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t606_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t606_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t607_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t607_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t607_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_CORBA::CreationImplDef *_local_this;
                                                      unsigned int _t608_principal_len;
                                                      enum CORBA::Policy _local_activation_policy;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1135);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t608_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      flick_iiopxx_decode_new_glob(_t608_principal_len);
                                                      flick_iiopxx_check_span(_t608_principal_len * 1, _flick_abort1135);
                                                      flick_iiopxx_decode_new_chunk(_t608_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t608_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t608_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort1135);
                                                      flick_cdr_swap_decode_unsigned32(0, _local_activation_policy, enum CORBA::Policy );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->activation_policy(_local_activation_policy, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t609_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t609_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1135);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort1135);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t609_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t609_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1141);
                                                              break;
                                                              {
                                                              _flick_abort1141:
                                                                goto _flick_abort1135;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1142);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1142:
                                                                goto _flick_abort1135;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1135:
                                                        goto _flick_abort1134;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1134:
                                                      goto _flick_abort345;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                                    flick_iiopxx_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                              flick_iiopxx_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t610_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t610_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t610_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t611_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t611_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t611_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t612_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t612_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t612_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t613_principal_len;
                              CORBA::StringSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1144);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t613_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t613_principal_len);
                              flick_iiopxx_check_span(_t613_principal_len * 1, _flick_abort1144);
                              flick_iiopxx_decode_new_chunk(_t613_principal_len);
                              flick_iiopxx_decode_end_chunk(_t613_principal_len);
                              flick_iiopxx_decode_end_glob(_t613_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->args(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t614_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t614_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1144);
                                flick_iiopxx_encode_new_glob(8, _flick_abort1144);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t614_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t614_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      CORBA::ULong _t624_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      for (_t624_array_iter = 0; _t624_array_iter < _return->_length; _t624_array_iter++)
                                        {
                                          flick_unsigned32_t _t626_temp_string_len;

                                          flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t624_array_iter], flick_unsigned32_t , _t626_temp_string_len);

                                          flick_iiopxx_encode_new_glob(7, _flick_abort1174);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t626_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_encode_end_chunk(4);
                                          flick_iiopxx_encode_end_glob(7);
                                          flick_iiopxx_encode_new_glob(1 * _t626_temp_string_len, _flick_abort1174);
                                          flick_iiopxx_encode_new_chunk(1 * _t626_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t624_array_iter], 1 * _t626_temp_string_len);
                                          flick_iiopxx_encode_end_chunk(1 * _t626_temp_string_len);
                                          flick_iiopxx_encode_end_glob(1 * _t626_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1174:
                                            goto _flick_abort1164;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort1164:
                                        goto _flick_abort1144;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1180);
                                      break;
                                      {
                                      _flick_abort1180:
                                        goto _flick_abort1144;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1181);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1181:
                                        goto _flick_abort1144;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1144:
                                goto _flick_abort1143;
                              }
                            }
                            break;
                            {
                            _flick_abort1143:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t627_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t627_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t627_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t628_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t628_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t628_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t629_principal_len;
                              CORBA::StringSequence _local_args;
                              CORBA::ULong _t633_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1183);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t629_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t629_principal_len);
                              flick_iiopxx_check_span(_t629_principal_len * 1, _flick_abort1183);
                              flick_iiopxx_decode_new_chunk(_t629_principal_len);
                              flick_iiopxx_decode_end_chunk(_t629_principal_len);
                              flick_iiopxx_decode_end_glob(_t629_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1183);
                              flick_cdr_swap_decode_unsigned32(0, _local_args._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              {
                                char **_t_alloc_ptr;

                                _t_alloc_ptr = (char **)new (char *[_local_args._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1183);
                                _local_args._buffer = _t_alloc_ptr;
                                _local_args._maximum = _local_args._length;
                                _local_args._release = 1;
                              }
                              flick_iiopxx_check_span(_local_args._length * 0, _flick_abort1183);
                              for (_t633_array_iter = 0; _t633_array_iter < _local_args._length; _t633_array_iter++)
                                {
                                  flick_unsigned32_t _t635_temp_string_len;

                                  flick_iiopxx_decode_new_glob(7);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1193);
                                  flick_cdr_swap_decode_unsigned32(0, _t635_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_decode_end_chunk(4);
                                  flick_iiopxx_decode_end_glob(7);
                                  flick_iiopxx_decode_new_glob(1 * _t635_temp_string_len);
                                  flick_iiopxx_check_span(1 * _t635_temp_string_len * 1, _flick_abort1193);
                                  flick_iiopxx_decode_new_chunk(1 * _t635_temp_string_len);
                                  {
                                    CORBA::Char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t635_temp_string_len * sizeof(CORBA::Char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1193);
                                    _local_args._buffer[_t633_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_swap_decode_bcopy(0, _local_args._buffer[_t633_array_iter], 1 * _t635_temp_string_len);
                                  flick_iiopxx_decode_end_chunk(1 * _t635_temp_string_len);
                                  flick_iiopxx_decode_end_glob(1 * _t635_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1193:
                                    goto _flick_abort1183;
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->args(_local_args, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t636_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t636_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1183);
                                flick_iiopxx_encode_new_glob(4, _flick_abort1183);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t636_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t636_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1204);
                                      break;
                                      {
                                      _flick_abort1204:
                                        goto _flick_abort1183;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1205);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1205:
                                        goto _flick_abort1183;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1183:
                                goto _flick_abort1182;
                              }
                            }
                            break;
                            {
                            _flick_abort1182:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t637_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t637_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t637_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t638_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t638_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t638_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t639_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t639_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t639_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t640_principal_len;
                              CORBA::StringSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1207);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t640_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t640_principal_len);
                              flick_iiopxx_check_span(_t640_principal_len * 1, _flick_abort1207);
                              flick_iiopxx_decode_new_chunk(_t640_principal_len);
                              flick_iiopxx_decode_end_chunk(_t640_principal_len);
                              flick_iiopxx_decode_end_glob(_t640_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->env(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t641_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t641_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1207);
                                flick_iiopxx_encode_new_glob(8, _flick_abort1207);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t641_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t641_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      CORBA::ULong _t651_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      for (_t651_array_iter = 0; _t651_array_iter < _return->_length; _t651_array_iter++)
                                        {
                                          flick_unsigned32_t _t653_temp_string_len;

                                          flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t651_array_iter], flick_unsigned32_t , _t653_temp_string_len);

                                          flick_iiopxx_encode_new_glob(7, _flick_abort1237);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t653_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_encode_end_chunk(4);
                                          flick_iiopxx_encode_end_glob(7);
                                          flick_iiopxx_encode_new_glob(1 * _t653_temp_string_len, _flick_abort1237);
                                          flick_iiopxx_encode_new_chunk(1 * _t653_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t651_array_iter], 1 * _t653_temp_string_len);
                                          flick_iiopxx_encode_end_chunk(1 * _t653_temp_string_len);
                                          flick_iiopxx_encode_end_glob(1 * _t653_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1237:
                                            goto _flick_abort1227;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort1227:
                                        goto _flick_abort1207;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1243);
                                      break;
                                      {
                                      _flick_abort1243:
                                        goto _flick_abort1207;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1244);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1244:
                                        goto _flick_abort1207;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1207:
                                goto _flick_abort1206;
                              }
                            }
                            break;
                            {
                            _flick_abort1206:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t654_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t654_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t654_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t655_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t655_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t655_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t656_principal_len;
                              CORBA::StringSequence _local_env;
                              CORBA::ULong _t660_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1246);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t656_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t656_principal_len);
                              flick_iiopxx_check_span(_t656_principal_len * 1, _flick_abort1246);
                              flick_iiopxx_decode_new_chunk(_t656_principal_len);
                              flick_iiopxx_decode_end_chunk(_t656_principal_len);
                              flick_iiopxx_decode_end_glob(_t656_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1246);
                              flick_cdr_swap_decode_unsigned32(0, _local_env._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              {
                                char **_t_alloc_ptr;

                                _t_alloc_ptr = (char **)new (char *[_local_env._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1246);
                                _local_env._buffer = _t_alloc_ptr;
                                _local_env._maximum = _local_env._length;
                                _local_env._release = 1;
                              }
                              flick_iiopxx_check_span(_local_env._length * 0, _flick_abort1246);
                              for (_t660_array_iter = 0; _t660_array_iter < _local_env._length; _t660_array_iter++)
                                {
                                  flick_unsigned32_t _t662_temp_string_len;

                                  flick_iiopxx_decode_new_glob(7);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1256);
                                  flick_cdr_swap_decode_unsigned32(0, _t662_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_decode_end_chunk(4);
                                  flick_iiopxx_decode_end_glob(7);
                                  flick_iiopxx_decode_new_glob(1 * _t662_temp_string_len);
                                  flick_iiopxx_check_span(1 * _t662_temp_string_len * 1, _flick_abort1256);
                                  flick_iiopxx_decode_new_chunk(1 * _t662_temp_string_len);
                                  {
                                    CORBA::Char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t662_temp_string_len * sizeof(CORBA::Char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1256);
                                    _local_env._buffer[_t660_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_swap_decode_bcopy(0, _local_env._buffer[_t660_array_iter], 1 * _t662_temp_string_len);
                                  flick_iiopxx_decode_end_chunk(1 * _t662_temp_string_len);
                                  flick_iiopxx_decode_end_glob(1 * _t662_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1256:
                                    goto _flick_abort1246;
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->env(_local_env, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t663_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t663_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1246);
                                flick_iiopxx_encode_new_glob(4, _flick_abort1246);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t663_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t663_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1267);
                                      break;
                                      {
                                      _flick_abort1267:
                                        goto _flick_abort1246;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1268);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1268:
                                        goto _flick_abort1246;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1246:
                                goto _flick_abort1245;
                              }
                            }
                            break;
                            {
                            _flick_abort1245:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t664_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t664_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t664_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t665_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t665_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t665_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t666_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t666_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t666_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t667_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t667_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t667_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t668_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t668_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t668_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t669_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1270);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t669_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t669_principal_len);
                                          flick_iiopxx_check_span(_t669_principal_len * 1, _flick_abort1270);
                                          flick_iiopxx_decode_new_chunk(_t669_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t669_principal_len);
                                          flick_iiopxx_decode_end_glob(_t669_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t670_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t670_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1270);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1270);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t670_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t670_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t672_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t672_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t672_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t672_temp_string_len, _flick_abort1277);
                                                  flick_iiopxx_encode_new_chunk(1 * _t672_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t672_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t672_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t672_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1277:
                                                    goto _flick_abort1270;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1280);
                                                  break;
                                                  {
                                                  _flick_abort1280:
                                                    goto _flick_abort1270;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1281);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1281:
                                                    goto _flick_abort1270;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1270:
                                            goto _flick_abort1269;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1269:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t673_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t673_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t673_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t674_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t674_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t674_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t675_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t675_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t675_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t676_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t676_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t676_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t677_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t678_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1283);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t677_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t677_principal_len);
                                          flick_iiopxx_check_span(_t677_principal_len * 1, _flick_abort1283);
                                          flick_iiopxx_decode_new_chunk(_t677_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t677_principal_len);
                                          flick_iiopxx_decode_end_glob(_t677_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1283);
                                          flick_cdr_swap_decode_unsigned32(0, _t678_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t678_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t678_temp_string_len * 1, _flick_abort1283);
                                          flick_iiopxx_decode_new_chunk(1 * _t678_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t678_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1283);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_interface_name, 1 * _t678_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t678_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t678_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t679_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t679_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1283);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1283);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t679_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t679_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1291);
                                                  break;
                                                  {
                                                  _flick_abort1291:
                                                    goto _flick_abort1283;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1292);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1292:
                                                    goto _flick_abort1283;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1283:
                                            goto _flick_abort1282;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1282:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t680_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t680_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t680_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t681_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t681_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t681_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t682_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t682_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t682_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t683_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t683_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t683_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t684_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t684_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t684_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t685_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1294);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t685_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t685_principal_len);
                                          flick_iiopxx_check_span(_t685_principal_len * 1, _flick_abort1294);
                                          flick_iiopxx_decode_new_chunk(_t685_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t685_principal_len);
                                          flick_iiopxx_decode_end_glob(_t685_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t686_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t686_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1294);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1294);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t686_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t686_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t688_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t688_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t688_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t688_temp_string_len, _flick_abort1301);
                                                  flick_iiopxx_encode_new_chunk(1 * _t688_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t688_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t688_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t688_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1301:
                                                    goto _flick_abort1294;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1304);
                                                  break;
                                                  {
                                                  _flick_abort1304:
                                                    goto _flick_abort1294;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1305);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1305:
                                                    goto _flick_abort1294;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1294:
                                            goto _flick_abort1293;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1293:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t689_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t689_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t689_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t690_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t690_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t690_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t691_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t691_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t691_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t692_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t692_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t692_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t693_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t694_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1307);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t693_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t693_principal_len);
                                          flick_iiopxx_check_span(_t693_principal_len * 1, _flick_abort1307);
                                          flick_iiopxx_decode_new_chunk(_t693_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t693_principal_len);
                                          flick_iiopxx_decode_end_glob(_t693_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1307);
                                          flick_cdr_swap_decode_unsigned32(0, _t694_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t694_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t694_temp_string_len * 1, _flick_abort1307);
                                          flick_iiopxx_decode_new_chunk(1 * _t694_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t694_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1307);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_object_name, 1 * _t694_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t694_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t694_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t695_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t695_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1307);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1307);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t695_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t695_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1315);
                                                  break;
                                                  {
                                                  _flick_abort1315:
                                                    goto _flick_abort1307;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1316);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1316:
                                                    goto _flick_abort1307;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1307:
                                            goto _flick_abort1306;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1306:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t696_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t696_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t696_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t697_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t697_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t697_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t698_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1318);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t698_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t698_principal_len);
                        flick_iiopxx_check_span(_t698_principal_len * 1, _flick_abort1318);
                        flick_iiopxx_decode_new_chunk(_t698_principal_len);
                        flick_iiopxx_decode_end_chunk(_t698_principal_len);
                        flick_iiopxx_decode_end_glob(_t698_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t699_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t699_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1318);
                          flick_iiopxx_encode_new_glob(8, _flick_abort1318);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t699_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t699_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1325);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort1325:
                                  goto _flick_abort1318;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1328);
                                break;
                                {
                                _flick_abort1328:
                                  goto _flick_abort1318;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1329);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1329:
                                  goto _flick_abort1318;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1318:
                          goto _flick_abort1317;
                        }
                      }
                      break;
                      {
                      _flick_abort1317:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t700_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t700_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t700_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t701_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1331);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t701_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t701_principal_len);
                        flick_iiopxx_check_span(_t701_principal_len * 1, _flick_abort1331);
                        flick_iiopxx_decode_new_chunk(_t701_principal_len);
                        flick_iiopxx_decode_end_chunk(_t701_principal_len);
                        flick_iiopxx_decode_end_glob(_t701_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1331);
                        flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort1331);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t702_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t702_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1331);
                          flick_iiopxx_encode_new_glob(4, _flick_abort1331);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t702_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t702_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1339);
                                break;
                                {
                                _flick_abort1339:
                                  goto _flick_abort1331;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1340);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1340:
                                  goto _flick_abort1331;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1331:
                          goto _flick_abort1330;
                        }
                      }
                      break;
                      {
                      _flick_abort1330:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t703_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t703_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t703_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t704_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t704_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t704_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t705_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t706_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1342);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t705_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t705_principal_len);
                        flick_iiopxx_check_span(_t705_principal_len * 1, _flick_abort1342);
                        flick_iiopxx_decode_new_chunk(_t705_principal_len);
                        flick_iiopxx_decode_end_chunk(_t705_principal_len);
                        flick_iiopxx_decode_end_glob(_t705_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1342);
                        flick_cdr_swap_decode_unsigned32(0, _t706_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t706_temp_string_len);
                        flick_iiopxx_check_span(1 * _t706_temp_string_len * 1, _flick_abort1342);
                        flick_iiopxx_decode_new_chunk(1 * _t706_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t706_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1342);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t706_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t706_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t706_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t707_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t707_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1342);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1342);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t707_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t707_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1350);
                                break;
                                {
                                _flick_abort1350:
                                  goto _flick_abort1342;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1351);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1351:
                                  goto _flick_abort1342;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1342:
                          goto _flick_abort1341;
                        }
                      }
                      break;
                      {
                      _flick_abort1341:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
          flick_iiopxx_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t312_switch_tag;

    flick_iiopxx_decode_new_glob(32);
    flick_iiopxx_check_span(16, _flick_abort345);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t312_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t312_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t313_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t313_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t313_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t314_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t314_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t314_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t315_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t315_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t315_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t316_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t316_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t316_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t317_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t317_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t317_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t318_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort599);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t318_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(5);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t318_principal_len);
                                          flick_iiopxx_check_span(_t318_principal_len * 1, _flick_abort599);
                                          flick_iiopxx_decode_new_chunk(_t318_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t318_principal_len);
                                          flick_iiopxx_decode_end_glob(_t318_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->path_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t319_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t319_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort599);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort599);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t319_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t319_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t321_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t321_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t321_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t321_temp_string_len, _flick_abort606);
                                                  flick_iiopxx_encode_new_chunk(1 * _t321_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t321_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t321_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t321_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort606:
                                                    goto _flick_abort599;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort609);
                                                  break;
                                                  {
                                                  _flick_abort609:
                                                    goto _flick_abort599;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort610);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort610:
                                                    goto _flick_abort599;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort599:
                                            goto _flick_abort598;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort598:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t322_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t322_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t322_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t323_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t323_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t323_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t324_switch_tag;

                            flick_iiopxx_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t324_switch_tag, unsigned short int );
                            flick_iiopxx_decode_end_chunk(2);
                            switch ((unsigned short int )_t324_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t325_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t325_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t325_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t326_principal_len;
                                          char *_local_path_name;
                                          flick_unsigned32_t _t327_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort612);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t326_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(5);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t326_principal_len);
                                          flick_iiopxx_check_span(_t326_principal_len * 1, _flick_abort612);
                                          flick_iiopxx_decode_new_chunk(_t326_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t326_principal_len);
                                          flick_iiopxx_decode_end_glob(_t326_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort612);
                                          flick_cdr_decode_unsigned32(0, _t327_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t327_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t327_temp_string_len * 1, _flick_abort612);
                                          flick_iiopxx_decode_new_chunk(1 * _t327_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t327_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort612);
                                            _local_path_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_path_name, 1 * _t327_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t327_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t327_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->path_name(_local_path_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t328_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t328_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort612);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort612);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t328_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t328_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort620);
                                                  break;
                                                  {
                                                  _flick_abort620:
                                                    goto _flick_abort612;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort621);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort621:
                                                    goto _flick_abort612;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort612:
                                            goto _flick_abort611;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort611:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t329_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t329_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t329_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t330_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t330_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t330_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t331_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t331_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t331_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t332_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t332_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t332_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t333_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t333_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t333_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t334_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t334_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t334_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t335_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t335_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t335_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_CORBA::CreationImplDef *_local_this;
                                                      unsigned int _t336_principal_len;
                                                      enum CORBA::Policy _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort623);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t336_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      flick_iiopxx_decode_new_glob(_t336_principal_len);
                                                      flick_iiopxx_check_span(_t336_principal_len * 1, _flick_abort623);
                                                      flick_iiopxx_decode_new_chunk(_t336_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t336_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t336_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->activation_policy(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t337_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t337_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort623);
                                                        flick_iiopxx_encode_new_glob(8, _flick_abort623);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t337_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t337_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_unsigned32(0, _return, enum CORBA::Policy );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(8);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(8);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort629);
                                                              break;
                                                              {
                                                              _flick_abort629:
                                                                goto _flick_abort623;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort630);
                                                              flick_iiopxx_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort630:
                                                                goto _flick_abort623;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort623:
                                                        goto _flick_abort622;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort622:
                                                      goto _flick_abort345;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                                    flick_iiopxx_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                              flick_iiopxx_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t338_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t338_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t338_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t339_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t339_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t339_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t340_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t340_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t340_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t341_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t341_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t341_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t342_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t342_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t342_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t343_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t343_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t343_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_CORBA::CreationImplDef *_local_this;
                                                      unsigned int _t344_principal_len;
                                                      enum CORBA::Policy _local_activation_policy;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort632);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t344_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(32);
                                                      flick_iiopxx_decode_new_glob(_t344_principal_len);
                                                      flick_iiopxx_check_span(_t344_principal_len * 1, _flick_abort632);
                                                      flick_iiopxx_decode_new_chunk(_t344_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t344_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t344_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort632);
                                                      flick_cdr_decode_unsigned32(0, _local_activation_policy, enum CORBA::Policy );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->activation_policy(_local_activation_policy, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t345_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t345_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort632);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort632);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t345_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t345_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort638);
                                                              break;
                                                              {
                                                              _flick_abort638:
                                                                goto _flick_abort632;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort639);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort639:
                                                                goto _flick_abort632;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort632:
                                                        goto _flick_abort631;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort631:
                                                      goto _flick_abort345;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                                    flick_iiopxx_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                              flick_iiopxx_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t346_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t346_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t346_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t347_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t347_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t347_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t348_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t348_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t348_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t349_principal_len;
                              CORBA::StringSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort641);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t349_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t349_principal_len);
                              flick_iiopxx_check_span(_t349_principal_len * 1, _flick_abort641);
                              flick_iiopxx_decode_new_chunk(_t349_principal_len);
                              flick_iiopxx_decode_end_chunk(_t349_principal_len);
                              flick_iiopxx_decode_end_glob(_t349_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->args(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t350_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t350_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort641);
                                flick_iiopxx_encode_new_glob(8, _flick_abort641);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t350_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t350_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      CORBA::ULong _t360_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      for (_t360_array_iter = 0; _t360_array_iter < _return->_length; _t360_array_iter++)
                                        {
                                          flick_unsigned32_t _t362_temp_string_len;

                                          flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t360_array_iter], flick_unsigned32_t , _t362_temp_string_len);

                                          flick_iiopxx_encode_new_glob(7, _flick_abort671);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t362_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_encode_end_chunk(4);
                                          flick_iiopxx_encode_end_glob(7);
                                          flick_iiopxx_encode_new_glob(1 * _t362_temp_string_len, _flick_abort671);
                                          flick_iiopxx_encode_new_chunk(1 * _t362_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t360_array_iter], 1 * _t362_temp_string_len);
                                          flick_iiopxx_encode_end_chunk(1 * _t362_temp_string_len);
                                          flick_iiopxx_encode_end_glob(1 * _t362_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort671:
                                            goto _flick_abort661;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort661:
                                        goto _flick_abort641;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort677);
                                      break;
                                      {
                                      _flick_abort677:
                                        goto _flick_abort641;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort678);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort678:
                                        goto _flick_abort641;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort641:
                                goto _flick_abort640;
                              }
                            }
                            break;
                            {
                            _flick_abort640:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t363_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t363_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t364_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t364_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t364_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t365_principal_len;
                              CORBA::StringSequence _local_args;
                              CORBA::ULong _t369_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort680);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t365_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t365_principal_len);
                              flick_iiopxx_check_span(_t365_principal_len * 1, _flick_abort680);
                              flick_iiopxx_decode_new_chunk(_t365_principal_len);
                              flick_iiopxx_decode_end_chunk(_t365_principal_len);
                              flick_iiopxx_decode_end_glob(_t365_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort680);
                              flick_cdr_decode_unsigned32(0, _local_args._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              {
                                char **_t_alloc_ptr;

                                _t_alloc_ptr = (char **)new (char *[_local_args._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort680);
                                _local_args._buffer = _t_alloc_ptr;
                                _local_args._maximum = _local_args._length;
                                _local_args._release = 1;
                              }
                              flick_iiopxx_check_span(_local_args._length * 0, _flick_abort680);
                              for (_t369_array_iter = 0; _t369_array_iter < _local_args._length; _t369_array_iter++)
                                {
                                  flick_unsigned32_t _t371_temp_string_len;

                                  flick_iiopxx_decode_new_glob(7);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort690);
                                  flick_cdr_decode_unsigned32(0, _t371_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_decode_end_chunk(4);
                                  flick_iiopxx_decode_end_glob(7);
                                  flick_iiopxx_decode_new_glob(1 * _t371_temp_string_len);
                                  flick_iiopxx_check_span(1 * _t371_temp_string_len * 1, _flick_abort690);
                                  flick_iiopxx_decode_new_chunk(1 * _t371_temp_string_len);
                                  {
                                    CORBA::Char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t371_temp_string_len * sizeof(CORBA::Char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort690);
                                    _local_args._buffer[_t369_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_decode_bcopy(0, _local_args._buffer[_t369_array_iter], 1 * _t371_temp_string_len);
                                  flick_iiopxx_decode_end_chunk(1 * _t371_temp_string_len);
                                  flick_iiopxx_decode_end_glob(1 * _t371_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort690:
                                    goto _flick_abort680;
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->args(_local_args, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t372_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t372_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort680);
                                flick_iiopxx_encode_new_glob(4, _flick_abort680);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t372_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t372_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort701);
                                      break;
                                      {
                                      _flick_abort701:
                                        goto _flick_abort680;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort702);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort702:
                                        goto _flick_abort680;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort680:
                                goto _flick_abort679;
                              }
                            }
                            break;
                            {
                            _flick_abort679:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t373_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t373_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t373_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t374_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t374_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t374_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t375_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t375_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t375_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t376_principal_len;
                              CORBA::StringSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort704);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t376_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t376_principal_len);
                              flick_iiopxx_check_span(_t376_principal_len * 1, _flick_abort704);
                              flick_iiopxx_decode_new_chunk(_t376_principal_len);
                              flick_iiopxx_decode_end_chunk(_t376_principal_len);
                              flick_iiopxx_decode_end_glob(_t376_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->env(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t377_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t377_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort704);
                                flick_iiopxx_encode_new_glob(8, _flick_abort704);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t377_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t377_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      CORBA::ULong _t387_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      for (_t387_array_iter = 0; _t387_array_iter < _return->_length; _t387_array_iter++)
                                        {
                                          flick_unsigned32_t _t389_temp_string_len;

                                          flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t387_array_iter], flick_unsigned32_t , _t389_temp_string_len);

                                          flick_iiopxx_encode_new_glob(7, _flick_abort734);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t389_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_encode_end_chunk(4);
                                          flick_iiopxx_encode_end_glob(7);
                                          flick_iiopxx_encode_new_glob(1 * _t389_temp_string_len, _flick_abort734);
                                          flick_iiopxx_encode_new_chunk(1 * _t389_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t387_array_iter], 1 * _t389_temp_string_len);
                                          flick_iiopxx_encode_end_chunk(1 * _t389_temp_string_len);
                                          flick_iiopxx_encode_end_glob(1 * _t389_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort734:
                                            goto _flick_abort724;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort724:
                                        goto _flick_abort704;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort740);
                                      break;
                                      {
                                      _flick_abort740:
                                        goto _flick_abort704;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort741);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort741:
                                        goto _flick_abort704;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort704:
                                goto _flick_abort703;
                              }
                            }
                            break;
                            {
                            _flick_abort703:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t390_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t390_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t390_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t391_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t391_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t391_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::CreationImplDef *_local_this;
                              unsigned int _t392_principal_len;
                              CORBA::StringSequence _local_env;
                              CORBA::ULong _t396_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort743);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t392_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(32);
                              flick_iiopxx_decode_new_glob(_t392_principal_len);
                              flick_iiopxx_check_span(_t392_principal_len * 1, _flick_abort743);
                              flick_iiopxx_decode_new_chunk(_t392_principal_len);
                              flick_iiopxx_decode_end_chunk(_t392_principal_len);
                              flick_iiopxx_decode_end_glob(_t392_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort743);
                              flick_cdr_decode_unsigned32(0, _local_env._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              {
                                char **_t_alloc_ptr;

                                _t_alloc_ptr = (char **)new (char *[_local_env._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort743);
                                _local_env._buffer = _t_alloc_ptr;
                                _local_env._maximum = _local_env._length;
                                _local_env._release = 1;
                              }
                              flick_iiopxx_check_span(_local_env._length * 0, _flick_abort743);
                              for (_t396_array_iter = 0; _t396_array_iter < _local_env._length; _t396_array_iter++)
                                {
                                  flick_unsigned32_t _t398_temp_string_len;

                                  flick_iiopxx_decode_new_glob(7);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort753);
                                  flick_cdr_decode_unsigned32(0, _t398_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_decode_end_chunk(4);
                                  flick_iiopxx_decode_end_glob(7);
                                  flick_iiopxx_decode_new_glob(1 * _t398_temp_string_len);
                                  flick_iiopxx_check_span(1 * _t398_temp_string_len * 1, _flick_abort753);
                                  flick_iiopxx_decode_new_chunk(1 * _t398_temp_string_len);
                                  {
                                    CORBA::Char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t398_temp_string_len * sizeof(CORBA::Char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort753);
                                    _local_env._buffer[_t396_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_decode_bcopy(0, _local_env._buffer[_t396_array_iter], 1 * _t398_temp_string_len);
                                  flick_iiopxx_decode_end_chunk(1 * _t398_temp_string_len);
                                  flick_iiopxx_decode_end_glob(1 * _t398_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort753:
                                    goto _flick_abort743;
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->env(_local_env, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t399_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t399_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort743);
                                flick_iiopxx_encode_new_glob(4, _flick_abort743);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t399_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t399_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort764);
                                      break;
                                      {
                                      _flick_abort764:
                                        goto _flick_abort743;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort765);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort765:
                                        goto _flick_abort743;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort743:
                                goto _flick_abort742;
                              }
                            }
                            break;
                            {
                            _flick_abort742:
                              goto _flick_abort345;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t400_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t400_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t401_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t401_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t402_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t402_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t403_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t403_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t404_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t404_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t404_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t405_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort767);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t405_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t405_principal_len);
                                          flick_iiopxx_check_span(_t405_principal_len * 1, _flick_abort767);
                                          flick_iiopxx_decode_new_chunk(_t405_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t405_principal_len);
                                          flick_iiopxx_decode_end_glob(_t405_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t406_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t406_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort767);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort767);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t406_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t406_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t408_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t408_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t408_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t408_temp_string_len, _flick_abort774);
                                                  flick_iiopxx_encode_new_chunk(1 * _t408_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t408_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t408_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t408_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort774:
                                                    goto _flick_abort767;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort777);
                                                  break;
                                                  {
                                                  _flick_abort777:
                                                    goto _flick_abort767;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort778);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort778:
                                                    goto _flick_abort767;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort767:
                                            goto _flick_abort766;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort766:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t409_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t409_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t409_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t410_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t410_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t410_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t411_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t411_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t411_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t412_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t412_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t412_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t413_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t414_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort780);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t413_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t413_principal_len);
                                          flick_iiopxx_check_span(_t413_principal_len * 1, _flick_abort780);
                                          flick_iiopxx_decode_new_chunk(_t413_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t413_principal_len);
                                          flick_iiopxx_decode_end_glob(_t413_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort780);
                                          flick_cdr_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t414_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t414_temp_string_len * 1, _flick_abort780);
                                          flick_iiopxx_decode_new_chunk(1 * _t414_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t414_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort780);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_interface_name, 1 * _t414_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t414_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t414_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t415_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t415_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort780);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort780);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t415_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t415_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort788);
                                                  break;
                                                  {
                                                  _flick_abort788:
                                                    goto _flick_abort780;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort789);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort789:
                                                    goto _flick_abort780;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort780:
                                            goto _flick_abort779;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort779:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t416_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort345);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t416_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t416_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t417_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t417_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t417_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t418_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t418_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t418_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t419_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t419_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t419_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t420_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t420_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t420_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t421_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort791);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t421_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t421_principal_len);
                                          flick_iiopxx_check_span(_t421_principal_len * 1, _flick_abort791);
                                          flick_iiopxx_decode_new_chunk(_t421_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t421_principal_len);
                                          flick_iiopxx_decode_end_glob(_t421_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t422_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t422_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort791);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort791);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t422_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t422_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t424_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t424_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t424_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t424_temp_string_len, _flick_abort798);
                                                  flick_iiopxx_encode_new_chunk(1 * _t424_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t424_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t424_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t424_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort798:
                                                    goto _flick_abort791;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort801);
                                                  break;
                                                  {
                                                  _flick_abort801:
                                                    goto _flick_abort791;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort802);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort802:
                                                    goto _flick_abort791;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort791:
                                            goto _flick_abort790;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort790:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t425_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t425_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t425_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t426_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t426_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t426_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t427_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t427_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t428_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t428_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t428_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::CreationImplDef *_local_this;
                                          unsigned int _t429_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t430_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort804);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t429_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(32);
                                          flick_iiopxx_decode_new_glob(_t429_principal_len);
                                          flick_iiopxx_check_span(_t429_principal_len * 1, _flick_abort804);
                                          flick_iiopxx_decode_new_chunk(_t429_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t429_principal_len);
                                          flick_iiopxx_decode_end_glob(_t429_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort804);
                                          flick_cdr_decode_unsigned32(0, _t430_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t430_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t430_temp_string_len * 1, _flick_abort804);
                                          flick_iiopxx_decode_new_chunk(1 * _t430_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t430_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort804);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_object_name, 1 * _t430_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t430_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t430_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t431_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t431_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort804);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort804);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t431_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t431_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort812);
                                                  break;
                                                  {
                                                  _flick_abort812:
                                                    goto _flick_abort804;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort813);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort813:
                                                    goto _flick_abort804;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort804:
                                            goto _flick_abort803;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort803:
                                          goto _flick_abort345;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                        flick_iiopxx_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                                  flick_iiopxx_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                            flick_iiopxx_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t432_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t432_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t432_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t433_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t433_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t433_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t434_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort815);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t434_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t434_principal_len);
                        flick_iiopxx_check_span(_t434_principal_len * 1, _flick_abort815);
                        flick_iiopxx_decode_new_chunk(_t434_principal_len);
                        flick_iiopxx_decode_end_chunk(_t434_principal_len);
                        flick_iiopxx_decode_end_glob(_t434_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t435_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t435_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort815);
                          flick_iiopxx_encode_new_glob(8, _flick_abort815);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t435_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t435_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort822);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort822:
                                  goto _flick_abort815;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort825);
                                break;
                                {
                                _flick_abort825:
                                  goto _flick_abort815;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort826);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort826:
                                  goto _flick_abort815;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort815:
                          goto _flick_abort814;
                        }
                      }
                      break;
                      {
                      _flick_abort814:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t436_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t436_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t436_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t437_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort828);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t437_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t437_principal_len);
                        flick_iiopxx_check_span(_t437_principal_len * 1, _flick_abort828);
                        flick_iiopxx_decode_new_chunk(_t437_principal_len);
                        flick_iiopxx_decode_end_chunk(_t437_principal_len);
                        flick_iiopxx_decode_end_glob(_t437_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort828);
                        flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort828);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t438_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t438_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort828);
                          flick_iiopxx_encode_new_glob(4, _flick_abort828);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t438_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t438_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort836);
                                break;
                                {
                                _flick_abort836:
                                  goto _flick_abort828;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort837);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort837:
                                  goto _flick_abort828;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort828:
                          goto _flick_abort827;
                        }
                      }
                      break;
                      {
                      _flick_abort827:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t439_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t439_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t439_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t440_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t440_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t440_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::CreationImplDef *_local_this;
                        unsigned int _t441_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t442_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort839);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t441_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(32);
                        flick_iiopxx_decode_new_glob(_t441_principal_len);
                        flick_iiopxx_check_span(_t441_principal_len * 1, _flick_abort839);
                        flick_iiopxx_decode_new_chunk(_t441_principal_len);
                        flick_iiopxx_decode_end_chunk(_t441_principal_len);
                        flick_iiopxx_decode_end_glob(_t441_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort839);
                        flick_cdr_decode_unsigned32(0, _t442_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t442_temp_string_len);
                        flick_iiopxx_check_span(1 * _t442_temp_string_len * 1, _flick_abort839);
                        flick_iiopxx_decode_new_chunk(1 * _t442_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t442_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort839);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t442_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t442_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t442_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t443_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t443_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort839);
                          flick_iiopxx_encode_new_glob(5, _flick_abort839);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t443_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t443_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort847);
                                break;
                                {
                                _flick_abort847:
                                  goto _flick_abort839;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort848);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort848:
                                  goto _flick_abort839;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort839:
                          goto _flick_abort838;
                        }
                      }
                      break;
                      {
                      _flick_abort838:
                        goto _flick_abort345;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                      flick_iiopxx_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
                flick_iiopxx_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort345);
          flick_iiopxx_decode_end_glob(32);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort345:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort344);
  _flick_abort344:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, CORBA::Activator_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, Activator , _flick_abort1352);
  return 0;
  {
  _flick_abort1352:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::Activator_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, Activator , _flick_abort1353);
  return 0;
  {
  _flick_abort1353:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, CORBA::Activator_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, Activator , _flick_abort1354);
  return 0;
  {
  _flick_abort1354:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_CORBA::Activator::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t759_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort1357);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t759_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t759_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t760_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort1357);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t760_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t760_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t761_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t761_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t761_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t762_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t762_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t762_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::Activator *_local_this;
                              unsigned int _t763_principal_len;
                              CORBA::Object_ptr _return;
                              CORBA::ImplementationDef_ptr _local_impl;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1448);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t763_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t763_principal_len);
                              flick_iiopxx_check_span(_t763_principal_len * 1, _flick_abort1448);
                              flick_iiopxx_decode_new_chunk(_t763_principal_len);
                              flick_iiopxx_decode_end_chunk(_t763_principal_len);
                              flick_iiopxx_decode_end_glob(_t763_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swapxx_decode_IOR(iiopxx, _local_impl, 1, ImplementationDef , _flick_abort1448);
                              flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->activate(_local_impl, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t764_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t764_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1448);
                                flick_iiopxx_encode_new_glob(4, _flick_abort1448);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t764_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t764_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, Object , _flick_abort1453);
                                      break;
                                      {
                                      _flick_abort1453:
                                        goto _flick_abort1448;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1454);
                                      break;
                                      {
                                      _flick_abort1454:
                                        goto _flick_abort1448;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1455);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1455:
                                        goto _flick_abort1448;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1448:
                                goto _flick_abort1447;
                              }
                            }
                            break;
                            {
                            _flick_abort1447:
                              goto _flick_abort1357;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t765_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort1357);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t765_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t765_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t766_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t766_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t766_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t767_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t767_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t767_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t768_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t768_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t768_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_CORBA::Activator *_local_this;
                                    unsigned int _t769_principal_len;
                                    CORBA::Object_ptr _local_obj;
                                    CORBA::ImplementationDef_ptr _local_impl;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1457);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t769_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t769_principal_len);
                                    flick_iiopxx_check_span(_t769_principal_len * 1, _flick_abort1457);
                                    flick_iiopxx_decode_new_chunk(_t769_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t769_principal_len);
                                    flick_iiopxx_decode_end_glob(_t769_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swapxx_decode_IOR(iiopxx, _local_obj, 1, Object , _flick_abort1457);
                                    flick_iiopxx_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdr_swapxx_decode_IOR(iiopxx, _local_impl, 1, ImplementationDef , _flick_abort1457);
                                    flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->deactivate(_local_obj, _local_impl, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t770_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t770_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1457);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort1457);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t770_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t770_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1463);
                                            break;
                                            {
                                            _flick_abort1463:
                                              goto _flick_abort1457;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1464);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1464:
                                              goto _flick_abort1457;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1457:
                                      goto _flick_abort1456;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1456:
                                    goto _flick_abort1357;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t771_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t771_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t771_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t772_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t772_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t772_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::Activator *_local_this;
                        unsigned int _t773_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t774_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1466);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t773_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t773_principal_len);
                        flick_iiopxx_check_span(_t773_principal_len * 1, _flick_abort1466);
                        flick_iiopxx_decode_new_chunk(_t773_principal_len);
                        flick_iiopxx_decode_end_chunk(_t773_principal_len);
                        flick_iiopxx_decode_end_glob(_t773_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1466);
                        flick_cdr_swap_decode_unsigned32(0, _t774_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t774_temp_string_len);
                        flick_iiopxx_check_span(1 * _t774_temp_string_len * 1, _flick_abort1466);
                        flick_iiopxx_decode_new_chunk(1 * _t774_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t774_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1466);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t774_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t774_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t774_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t775_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t775_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1466);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1466);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t775_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t775_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1474);
                                break;
                                {
                                _flick_abort1474:
                                  goto _flick_abort1466;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1475);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1475:
                                  goto _flick_abort1466;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1466:
                          goto _flick_abort1465;
                        }
                      }
                      break;
                      {
                      _flick_abort1465:
                        goto _flick_abort1357;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t725_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort1357);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t725_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t725_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t726_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort1357);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t726_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t726_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t727_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t727_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t727_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t728_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t728_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t728_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_CORBA::Activator *_local_this;
                              unsigned int _t729_principal_len;
                              CORBA::Object_ptr _return;
                              CORBA::ImplementationDef_ptr _local_impl;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1389);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t729_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t729_principal_len);
                              flick_iiopxx_check_span(_t729_principal_len * 1, _flick_abort1389);
                              flick_iiopxx_decode_new_chunk(_t729_principal_len);
                              flick_iiopxx_decode_end_chunk(_t729_principal_len);
                              flick_iiopxx_decode_end_glob(_t729_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdrxx_decode_IOR(iiopxx, _local_impl, 1, ImplementationDef , _flick_abort1389);
                              flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->activate(_local_impl, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t730_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t730_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1389);
                                flick_iiopxx_encode_new_glob(4, _flick_abort1389);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t730_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t730_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, Object , _flick_abort1394);
                                      break;
                                      {
                                      _flick_abort1394:
                                        goto _flick_abort1389;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1395);
                                      break;
                                      {
                                      _flick_abort1395:
                                        goto _flick_abort1389;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1396);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1396:
                                        goto _flick_abort1389;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1389:
                                goto _flick_abort1388;
                              }
                            }
                            break;
                            {
                            _flick_abort1388:
                              goto _flick_abort1357;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t731_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort1357);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t731_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t731_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t732_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t732_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t732_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t733_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t733_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t733_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t734_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t734_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t734_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_CORBA::Activator *_local_this;
                                    unsigned int _t735_principal_len;
                                    CORBA::Object_ptr _local_obj;
                                    CORBA::ImplementationDef_ptr _local_impl;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1398);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t735_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t735_principal_len);
                                    flick_iiopxx_check_span(_t735_principal_len * 1, _flick_abort1398);
                                    flick_iiopxx_decode_new_chunk(_t735_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t735_principal_len);
                                    flick_iiopxx_decode_end_glob(_t735_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdrxx_decode_IOR(iiopxx, _local_obj, 1, Object , _flick_abort1398);
                                    flick_iiopxx_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdrxx_decode_IOR(iiopxx, _local_impl, 1, ImplementationDef , _flick_abort1398);
                                    flick_iiopxx_mark_port_for_cleanup(_local_impl, 1);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->deactivate(_local_obj, _local_impl, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t736_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t736_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1398);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort1398);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t736_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t736_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1404);
                                            break;
                                            {
                                            _flick_abort1404:
                                              goto _flick_abort1398;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1405);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1405:
                                              goto _flick_abort1398;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1398:
                                      goto _flick_abort1397;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1397:
                                    goto _flick_abort1357;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t737_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t737_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t737_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t738_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t738_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t738_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::Activator *_local_this;
                        unsigned int _t739_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t740_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1407);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t739_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t739_principal_len);
                        flick_iiopxx_check_span(_t739_principal_len * 1, _flick_abort1407);
                        flick_iiopxx_decode_new_chunk(_t739_principal_len);
                        flick_iiopxx_decode_end_chunk(_t739_principal_len);
                        flick_iiopxx_decode_end_glob(_t739_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1407);
                        flick_cdr_decode_unsigned32(0, _t740_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t740_temp_string_len);
                        flick_iiopxx_check_span(1 * _t740_temp_string_len * 1, _flick_abort1407);
                        flick_iiopxx_decode_new_chunk(1 * _t740_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t740_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1407);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t740_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t740_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t740_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t741_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t741_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1407);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1407);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t741_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t741_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1415);
                                break;
                                {
                                _flick_abort1415:
                                  goto _flick_abort1407;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1416);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1416:
                                  goto _flick_abort1407;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1407:
                          goto _flick_abort1406;
                        }
                      }
                      break;
                      {
                      _flick_abort1406:
                        goto _flick_abort1357;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1357);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort1357:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1356);
  _flick_abort1356:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, CORBA::ActivationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ActivationImplDef , _flick_abort1476);
  return 0;
  {
  _flick_abort1476:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, CORBA::ActivationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ActivationImplDef , _flick_abort1477);
  return 0;
  {
  _flick_abort1477:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, CORBA::ActivationImplDef_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ActivationImplDef , _flick_abort1478);
  return 0;
  {
  _flick_abort1478:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_CORBA::ActivationImplDef::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t956_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort1481);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t956_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t956_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t957_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t957_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t957_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t958_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t958_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t958_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t959_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t959_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t959_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t960_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t960_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t960_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t961_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t961_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t961_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t962_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t962_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t962_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_CORBA::ActivationImplDef *_local_this;
                                                unsigned int _t963_principal_len;
                                                CORBA::Activator_ptr _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1788);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t963_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_decode_new_glob(_t963_principal_len);
                                                flick_iiopxx_check_span(_t963_principal_len * 1, _flick_abort1788);
                                                flick_iiopxx_decode_new_chunk(_t963_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t963_principal_len);
                                                flick_iiopxx_decode_end_glob(_t963_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->activator_obj(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t964_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t964_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1788);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1788);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t964_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t964_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, Activator , _flick_abort1793);
                                                        break;
                                                        {
                                                        _flick_abort1793:
                                                          goto _flick_abort1788;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1794);
                                                        break;
                                                        {
                                                        _flick_abort1794:
                                                          goto _flick_abort1788;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1795);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1795:
                                                          goto _flick_abort1788;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1788:
                                                  goto _flick_abort1787;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1787:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t965_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t965_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t965_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t966_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t966_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t966_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t967_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t967_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t967_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t968_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t968_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t968_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t969_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t969_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t969_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_CORBA::ActivationImplDef *_local_this;
                                                unsigned int _t970_principal_len;
                                                CORBA::Activator_ptr _local_activator_obj;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1797);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t970_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_decode_new_glob(_t970_principal_len);
                                                flick_iiopxx_check_span(_t970_principal_len * 1, _flick_abort1797);
                                                flick_iiopxx_decode_new_chunk(_t970_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t970_principal_len);
                                                flick_iiopxx_decode_end_glob(_t970_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_swapxx_decode_IOR(iiopxx, _local_activator_obj, 1, Activator , _flick_abort1797);
                                                flick_iiopxx_mark_port_for_cleanup(_local_activator_obj, 1);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->activator_obj(_local_activator_obj, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t971_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t971_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1797);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1797);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t971_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t971_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1803);
                                                        break;
                                                        {
                                                        _flick_abort1803:
                                                          goto _flick_abort1797;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1804);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1804:
                                                          goto _flick_abort1797;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1797:
                                                  goto _flick_abort1796;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1796:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t972_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t972_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t972_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t973_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t973_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t973_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t974_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t974_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t974_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t975_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t975_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t975_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t976_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t976_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t976_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t977_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1806);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t977_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t977_principal_len);
                                          flick_iiopxx_check_span(_t977_principal_len * 1, _flick_abort1806);
                                          flick_iiopxx_decode_new_chunk(_t977_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t977_principal_len);
                                          flick_iiopxx_decode_end_glob(_t977_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t978_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t978_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1806);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1806);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t978_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t978_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t980_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t980_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t980_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t980_temp_string_len, _flick_abort1813);
                                                  flick_iiopxx_encode_new_chunk(1 * _t980_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t980_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t980_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t980_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1813:
                                                    goto _flick_abort1806;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1816);
                                                  break;
                                                  {
                                                  _flick_abort1816:
                                                    goto _flick_abort1806;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1817);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1817:
                                                    goto _flick_abort1806;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1806:
                                            goto _flick_abort1805;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1805:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t981_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t981_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t981_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t982_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t982_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t982_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t983_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t983_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t983_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t984_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t984_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t984_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t985_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t986_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1819);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t985_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t985_principal_len);
                                          flick_iiopxx_check_span(_t985_principal_len * 1, _flick_abort1819);
                                          flick_iiopxx_decode_new_chunk(_t985_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t985_principal_len);
                                          flick_iiopxx_decode_end_glob(_t985_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1819);
                                          flick_cdr_swap_decode_unsigned32(0, _t986_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t986_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t986_temp_string_len * 1, _flick_abort1819);
                                          flick_iiopxx_decode_new_chunk(1 * _t986_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t986_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1819);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_interface_name, 1 * _t986_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t986_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t986_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t987_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t987_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1819);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1819);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t987_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t987_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1827);
                                                  break;
                                                  {
                                                  _flick_abort1827:
                                                    goto _flick_abort1819;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1828);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1828:
                                                    goto _flick_abort1819;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1819:
                                            goto _flick_abort1818;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1818:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t988_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t988_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t988_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t989_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t989_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t989_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t990_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t990_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t990_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t991_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t991_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t991_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t992_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t992_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t992_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t993_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1830);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t993_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t993_principal_len);
                                          flick_iiopxx_check_span(_t993_principal_len * 1, _flick_abort1830);
                                          flick_iiopxx_decode_new_chunk(_t993_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t993_principal_len);
                                          flick_iiopxx_decode_end_glob(_t993_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t994_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t994_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1830);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1830);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t994_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t994_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t996_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t996_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t996_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t996_temp_string_len, _flick_abort1837);
                                                  flick_iiopxx_encode_new_chunk(1 * _t996_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t996_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t996_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t996_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1837:
                                                    goto _flick_abort1830;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1840);
                                                  break;
                                                  {
                                                  _flick_abort1840:
                                                    goto _flick_abort1830;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1841);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1841:
                                                    goto _flick_abort1830;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1830:
                                            goto _flick_abort1829;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1829:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t997_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t997_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t997_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t998_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t998_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t998_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t999_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t999_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t999_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t1000_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1000_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t1000_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t1001_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t1002_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1843);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t1001_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t1001_principal_len);
                                          flick_iiopxx_check_span(_t1001_principal_len * 1, _flick_abort1843);
                                          flick_iiopxx_decode_new_chunk(_t1001_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t1001_principal_len);
                                          flick_iiopxx_decode_end_glob(_t1001_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1843);
                                          flick_cdr_swap_decode_unsigned32(0, _t1002_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t1002_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t1002_temp_string_len * 1, _flick_abort1843);
                                          flick_iiopxx_decode_new_chunk(1 * _t1002_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1002_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1843);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_swap_decode_bcopy(0, _local_object_name, 1 * _t1002_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t1002_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t1002_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t1003_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1003_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1843);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1843);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t1003_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t1003_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1851);
                                                  break;
                                                  {
                                                  _flick_abort1851:
                                                    goto _flick_abort1843;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1852);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1852:
                                                    goto _flick_abort1843;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1843:
                                            goto _flick_abort1842;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1842:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t1004_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1004_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1004_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1005_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1005_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1005_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t1006_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1854);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t1006_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t1006_principal_len);
                        flick_iiopxx_check_span(_t1006_principal_len * 1, _flick_abort1854);
                        flick_iiopxx_decode_new_chunk(_t1006_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1006_principal_len);
                        flick_iiopxx_decode_end_glob(_t1006_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1007_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1007_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1854);
                          flick_iiopxx_encode_new_glob(8, _flick_abort1854);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1007_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1007_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1861);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort1861:
                                  goto _flick_abort1854;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1864);
                                break;
                                {
                                _flick_abort1864:
                                  goto _flick_abort1854;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1865);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1865:
                                  goto _flick_abort1854;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1854:
                          goto _flick_abort1853;
                        }
                      }
                      break;
                      {
                      _flick_abort1853:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1008_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1008_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1008_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t1009_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1867);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t1009_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t1009_principal_len);
                        flick_iiopxx_check_span(_t1009_principal_len * 1, _flick_abort1867);
                        flick_iiopxx_decode_new_chunk(_t1009_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1009_principal_len);
                        flick_iiopxx_decode_end_glob(_t1009_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1867);
                        flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort1867);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1010_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1010_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1867);
                          flick_iiopxx_encode_new_glob(4, _flick_abort1867);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1010_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1010_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1875);
                                break;
                                {
                                _flick_abort1875:
                                  goto _flick_abort1867;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1876);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1876:
                                  goto _flick_abort1867;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1867:
                          goto _flick_abort1866;
                        }
                      }
                      break;
                      {
                      _flick_abort1866:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1011_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1011_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1011_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1012_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1012_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t1012_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t1013_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t1014_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1878);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1013_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t1013_principal_len);
                        flick_iiopxx_check_span(_t1013_principal_len * 1, _flick_abort1878);
                        flick_iiopxx_decode_new_chunk(_t1013_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1013_principal_len);
                        flick_iiopxx_decode_end_glob(_t1013_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1878);
                        flick_cdr_swap_decode_unsigned32(0, _t1014_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t1014_temp_string_len);
                        flick_iiopxx_check_span(1 * _t1014_temp_string_len * 1, _flick_abort1878);
                        flick_iiopxx_decode_new_chunk(1 * _t1014_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1014_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1878);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t1014_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t1014_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t1014_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1015_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1015_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1878);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1878);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1015_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1015_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1886);
                                break;
                                {
                                _flick_abort1886:
                                  goto _flick_abort1878;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1887);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1887:
                                  goto _flick_abort1878;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1878:
                          goto _flick_abort1877;
                        }
                      }
                      break;
                      {
                      _flick_abort1877:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t836_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort1481);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t836_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t836_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t837_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t837_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t837_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t838_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t838_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t838_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t839_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t839_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t839_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t840_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t840_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t840_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t841_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t841_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t841_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t842_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t842_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t842_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_CORBA::ActivationImplDef *_local_this;
                                                unsigned int _t843_principal_len;
                                                CORBA::Activator_ptr _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1585);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t843_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_decode_new_glob(_t843_principal_len);
                                                flick_iiopxx_check_span(_t843_principal_len * 1, _flick_abort1585);
                                                flick_iiopxx_decode_new_chunk(_t843_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t843_principal_len);
                                                flick_iiopxx_decode_end_glob(_t843_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->activator_obj(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t844_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t844_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1585);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1585);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t844_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t844_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, Activator , _flick_abort1590);
                                                        break;
                                                        {
                                                        _flick_abort1590:
                                                          goto _flick_abort1585;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1591);
                                                        break;
                                                        {
                                                        _flick_abort1591:
                                                          goto _flick_abort1585;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1592);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1592:
                                                          goto _flick_abort1585;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1585:
                                                  goto _flick_abort1584;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1584:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t845_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t845_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t845_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t846_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t846_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t846_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t847_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t847_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t847_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t848_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t848_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t848_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t849_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t849_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t849_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_CORBA::ActivationImplDef *_local_this;
                                                unsigned int _t850_principal_len;
                                                CORBA::Activator_ptr _local_activator_obj;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1594);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t850_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_decode_new_glob(_t850_principal_len);
                                                flick_iiopxx_check_span(_t850_principal_len * 1, _flick_abort1594);
                                                flick_iiopxx_decode_new_chunk(_t850_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t850_principal_len);
                                                flick_iiopxx_decode_end_glob(_t850_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdrxx_decode_IOR(iiopxx, _local_activator_obj, 1, Activator , _flick_abort1594);
                                                flick_iiopxx_mark_port_for_cleanup(_local_activator_obj, 1);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->activator_obj(_local_activator_obj, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t851_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t851_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1594);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1594);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t851_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t851_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1600);
                                                        break;
                                                        {
                                                        _flick_abort1600:
                                                          goto _flick_abort1594;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1601);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1601:
                                                          goto _flick_abort1594;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1594:
                                                  goto _flick_abort1593;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1593:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t852_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t852_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t852_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t853_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t853_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t853_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t854_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t854_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t854_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t855_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t855_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t855_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t856_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t856_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t856_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t857_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1603);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t857_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t857_principal_len);
                                          flick_iiopxx_check_span(_t857_principal_len * 1, _flick_abort1603);
                                          flick_iiopxx_decode_new_chunk(_t857_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t857_principal_len);
                                          flick_iiopxx_decode_end_glob(_t857_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->interface_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t858_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t858_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1603);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1603);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t858_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t858_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t860_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t860_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t860_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t860_temp_string_len, _flick_abort1610);
                                                  flick_iiopxx_encode_new_chunk(1 * _t860_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t860_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t860_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t860_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1610:
                                                    goto _flick_abort1603;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1613);
                                                  break;
                                                  {
                                                  _flick_abort1613:
                                                    goto _flick_abort1603;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1614);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1614:
                                                    goto _flick_abort1603;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1603:
                                            goto _flick_abort1602;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1602:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t861_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t861_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t861_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t862_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t862_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t862_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t863_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t863_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t863_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t864_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t864_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t864_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t865_principal_len;
                                          char *_local_interface_name;
                                          flick_unsigned32_t _t866_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1616);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t865_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t865_principal_len);
                                          flick_iiopxx_check_span(_t865_principal_len * 1, _flick_abort1616);
                                          flick_iiopxx_decode_new_chunk(_t865_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t865_principal_len);
                                          flick_iiopxx_decode_end_glob(_t865_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1616);
                                          flick_cdr_decode_unsigned32(0, _t866_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t866_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t866_temp_string_len * 1, _flick_abort1616);
                                          flick_iiopxx_decode_new_chunk(1 * _t866_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t866_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1616);
                                            _local_interface_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_interface_name, 1 * _t866_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t866_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t866_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->interface_name(_local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t867_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t867_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1616);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1616);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t867_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t867_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1624);
                                                  break;
                                                  {
                                                  _flick_abort1624:
                                                    goto _flick_abort1616;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1625);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1625:
                                                    goto _flick_abort1616;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1616:
                                            goto _flick_abort1615;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1615:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t868_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1481);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t868_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t868_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t869_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t869_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t869_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t870_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t870_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t870_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t871_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t871_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t871_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t872_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t872_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t872_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t873_principal_len;
                                          char *_return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1627);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t873_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t873_principal_len);
                                          flick_iiopxx_check_span(_t873_principal_len * 1, _flick_abort1627);
                                          flick_iiopxx_decode_new_chunk(_t873_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t873_principal_len);
                                          flick_iiopxx_decode_end_glob(_t873_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->object_name(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t874_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t874_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1627);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1627);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t874_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t874_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t876_temp_string_len;

                                                  flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t876_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t876_temp_string_len, flick_unsigned32_t );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_iiopxx_encode_new_glob(1 * _t876_temp_string_len, _flick_abort1634);
                                                  flick_iiopxx_encode_new_chunk(1 * _t876_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t876_temp_string_len);
                                                  flick_iiopxx_encode_end_chunk(1 * _t876_temp_string_len);
                                                  flick_iiopxx_encode_end_glob(1 * _t876_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1634:
                                                    goto _flick_abort1627;
                                                  }
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1637);
                                                  break;
                                                  {
                                                  _flick_abort1637:
                                                    goto _flick_abort1627;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1638);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1638:
                                                    goto _flick_abort1627;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1627:
                                            goto _flick_abort1626;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1626:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t877_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t877_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t877_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t878_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t878_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t878_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t879_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t879_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t879_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t880_switch_tag;

                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t880_switch_tag, char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  switch ((char )_t880_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          POA_CORBA::ActivationImplDef *_local_this;
                                          unsigned int _t881_principal_len;
                                          char *_local_object_name;
                                          flick_unsigned32_t _t882_temp_string_len;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1640);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t881_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(7);
                                          flick_iiopxx_decode_end_glob(28);
                                          flick_iiopxx_decode_new_glob(_t881_principal_len);
                                          flick_iiopxx_check_span(_t881_principal_len * 1, _flick_abort1640);
                                          flick_iiopxx_decode_new_chunk(_t881_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t881_principal_len);
                                          flick_iiopxx_decode_end_glob(_t881_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_iiopxx_decode_new_glob(7);
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort1640);
                                          flick_cdr_decode_unsigned32(0, _t882_temp_string_len, flick_unsigned32_t );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(7);
                                          flick_iiopxx_decode_new_glob(1 * _t882_temp_string_len);
                                          flick_iiopxx_check_span(1 * _t882_temp_string_len * 1, _flick_abort1640);
                                          flick_iiopxx_decode_new_chunk(1 * _t882_temp_string_len);
                                          {
                                            CORBA::Char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t882_temp_string_len * sizeof(CORBA::Char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1640);
                                            _local_object_name = _t_alloc_ptr;
                                          }
                                          flick_cdr_decode_bcopy(0, _local_object_name, 1 * _t882_temp_string_len);
                                          flick_iiopxx_decode_end_chunk(1 * _t882_temp_string_len);
                                          flick_iiopxx_decode_end_glob(1 * _t882_temp_string_len);
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _local_this->object_name(_local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t883_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t883_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1640);
                                            flick_iiopxx_encode_new_glob(4, _flick_abort1640);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t883_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t883_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(4);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1648);
                                                  break;
                                                  {
                                                  _flick_abort1648:
                                                    goto _flick_abort1640;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1649);
                                                  flick_iiopxx_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1649:
                                                    goto _flick_abort1640;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1640:
                                            goto _flick_abort1639;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1639:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t884_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t884_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t884_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t885_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t885_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t885_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t886_principal_len;
                        CORBA::ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1651);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t886_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t886_principal_len);
                        flick_iiopxx_check_span(_t886_principal_len * 1, _flick_abort1651);
                        flick_iiopxx_decode_new_chunk(_t886_principal_len);
                        flick_iiopxx_decode_end_chunk(_t886_principal_len);
                        flick_iiopxx_decode_end_glob(_t886_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t887_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t887_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1651);
                          flick_iiopxx_encode_new_glob(8, _flick_abort1651);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t887_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t887_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort1658);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort1658:
                                  goto _flick_abort1651;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1661);
                                break;
                                {
                                _flick_abort1661:
                                  goto _flick_abort1651;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1662);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1662:
                                  goto _flick_abort1651;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1651:
                          goto _flick_abort1650;
                        }
                      }
                      break;
                      {
                      _flick_abort1650:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t888_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t888_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t888_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t889_principal_len;
                        CORBA::ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1664);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t889_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t889_principal_len);
                        flick_iiopxx_check_span(_t889_principal_len * 1, _flick_abort1664);
                        flick_iiopxx_decode_new_chunk(_t889_principal_len);
                        flick_iiopxx_decode_end_chunk(_t889_principal_len);
                        flick_iiopxx_decode_end_glob(_t889_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1664);
                        flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length * 1, _flick_abort1664);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t890_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t890_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1664);
                          flick_iiopxx_encode_new_glob(4, _flick_abort1664);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t890_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t890_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1672);
                                break;
                                {
                                _flick_abort1672:
                                  goto _flick_abort1664;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1673);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1673:
                                  goto _flick_abort1664;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1664:
                          goto _flick_abort1663;
                        }
                      }
                      break;
                      {
                      _flick_abort1663:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t891_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t891_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t891_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t892_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t892_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t892_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_CORBA::ActivationImplDef *_local_this;
                        unsigned int _t893_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t894_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1675);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t893_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_decode_new_glob(_t893_principal_len);
                        flick_iiopxx_check_span(_t893_principal_len * 1, _flick_abort1675);
                        flick_iiopxx_decode_new_chunk(_t893_principal_len);
                        flick_iiopxx_decode_end_chunk(_t893_principal_len);
                        flick_iiopxx_decode_end_glob(_t893_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1675);
                        flick_cdr_decode_unsigned32(0, _t894_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t894_temp_string_len);
                        flick_iiopxx_check_span(1 * _t894_temp_string_len * 1, _flick_abort1675);
                        flick_iiopxx_decode_new_chunk(1 * _t894_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t894_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1675);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t894_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t894_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t894_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t895_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t895_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1675);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1675);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t895_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t895_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1683);
                                break;
                                {
                                _flick_abort1683:
                                  goto _flick_abort1675;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1684);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1684:
                                  goto _flick_abort1675;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1675:
                          goto _flick_abort1674;
                        }
                      }
                      break;
                      {
                      _flick_abort1674:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort1481:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1480);
  _flick_abort1480:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

